<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ include file="/common/taglibs.jsp"%>


<!DOCTYPE html>
<html lang="en">
<head>

	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	
	<meta http-equiv="X-UA-Compatible" content="IE=edge">

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="description" content="Biblioteca ENAMM" />
	<meta name="author" content="" />

	<link rel="icon" href="<c:url value="/resources/assets/images/favicon.ico"/>">

	<title>DELFINES HOTEL & CONVENTION CENTER</title>

	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jquery-ui/css/no-theme/jquery-ui-1.10.3.custom.min.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Noto+Sans:400,700,400italic">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	

	<script src="./resources/assets/js/jquery-1.11.3.min.js"></script>

	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<script type="text/javascript"
	src="<c:url value="/resources/js/fn_consulta_referencia.js" />"></script>

	<!--  Inicio JR  -->
  	<script type="text/javascript" src="<c:url value="/resources/assets/js/bootstrap-datepicker.js"/>"></script>
  	<!--  Fin JR  -->

	<!-- datatable:inicio -->
	<link rel="stylesheet" href="//cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css">
	<script src="//cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.4.1/css/buttons.dataTables.min.css">
	<script type="text/javascript" language="javascript" src="https://cdn.datatables.net/buttons/1.4.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" language="javascript" src="https://cdn.datatables.net/buttons/1.4.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" language="javascript"  src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" language="javascript" src="https://cdn.datatables.net/buttons/1.4.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" language="javascript" src="https://cdn.datatables.net/buttons/1.4.1/js/buttons.print.min.js"></script>
	<script type="text/javascript" language="javascript" src="https://cdn.datatables.net/fixedcolumns/3.2.1/js/dataTables.fixedColumns.min.js"></script>
	<!-- datatable:fin -->

</head>
<body class="page-body">
    <div class="container-fluid">
			<div class="col-md-6 col-sm-4 clearfix">	
				<ul class="user-info pull-left pull-none-xsm">
		
					<li class="profile-info dropdown">
						<div class="logo">
							<a href="index.html">
							
								<img src="./resources/assets/images/logo_delfin.png" height="87" alt="" />
								
							</a>
						</div>
					</li>
				</ul>									
			</div>
			<div class="col-md-6 col-sm-8 clearfix hidden-xs">
		
				<ul class="list-inline links-list pull-right">
					<li>
						<p>Bienvenido: <strong>[${p_usuario.username}/${p_usuario.perfil} - ${p_usuario.denominacionArea}]</strong></p>
						<li>
							
							<a href="${pageContext.request.contextPath}/">Salir <i class="entypo-logout right"></i></a>
							
						</li>
						<br>
					</li>
					<li></li>
					<li>
					</li>
				</ul>
		
			</div>   
			<div class="col-md-6 msg-alert-login-error" style="display:none;">
				<div class="alert alert-danger"></div>
			</div>
    </div>
    <!-- /.container-fluid -->



<!-- collapsed -->
<div class="page-container sidebar-collapsed" style="border-top: 1px solid #ccc">
	
	<div class="sidebar-menu">

		<div class="sidebar-menu-inner">
			
			<header class="logo-env">
				<div class="sidebar-collapse">
					<a href="#" class="sidebar-collapse-icon"><!-- add class "with-animation" if you want sidebar to have animation during expanding/collapsing transition -->
						<i class="entypo-menu"></i>
					</a>
				</div>

								
				<!-- open/close menu icon (do not remove if you want to enable menu on mobile devices) -->
				<div class="sidebar-mobile-menu visible-xs">
					<a href="#" class="with-animation"><!-- add class "with-animation" to support animation -->
						<i class="entypo-menu"></i>
					</a>
				</div>

			</header>
			
									
			<ul id="main-menu" class="main-menu">		
				<c:if test="${(p_usuario.perfilId eq 1) or (p_usuario.perfilId eq 2) or (p_usuario.perfilId eq 9)}">	
				<li class="has-sub">					
					<a href="<c:url value="/registro-referencia"/>">
						<i class="entypo-home"></i>
						<span class="title">Registro Comentarios</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 9) }">
				<li class="has-sub">					
					<a href="<c:url value="/valida-referencia"/>">
						<i class="entypo-doc-text"></i>
						<span class="title">Validacion Comentarios</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 1) or (p_usuario.perfilId eq 2) or (p_usuario.perfilId eq 9) or (p_usuario.perfilId eq 8) or (p_usuario.perfilId eq 0)}">
				<li class="has-sub">					
					<a href="<c:url value="/consulta-referencia"/>">
						<i class="entypo-list"></i>
						<span class="title">Consulta Comentarios</span>
					</a>
				</li>
				</c:if>

				<c:if test="${(p_usuario.perfilId eq 1) or (p_usuario.perfilId eq 2) or (p_usuario.perfilId eq 9) or (p_usuario.perfilId eq 8) or (p_usuario.perfilId eq 0)}">
				<li class="has-sub">					
					<a href="<c:url value="/consulta-descargo"/>">
						<i class="entypo-thumbs-down"></i>
						<span class="title">Validaciones Anuladas</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 8) }">
				<li class="has-sub">					
					<a href="<c:url value="/registro-usuario"/>">
						<i class="entypo-folder"></i>
						<span class="title">Registro Usuarios</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 1) }">
				<li class="has-sub">					
					<a href="<c:url value="/registro-ticket"/>">
						<i class="entypo-doc"></i>
						<span class="title">Registro Ticket-Metas</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 9)}">
				<li class="has-sub">					
					<a href="<c:url value="/registro-general"/>">
						<i class="entypo-book"></i>
						<span class="title">Registro Datos General</span>
					</a>
				</li>
				</c:if>	
				
				<c:if test="${(p_usuario.perfilId eq 8)}">
				<li class="has-sub">					
					<a href="<c:url value="/registro-mantenimiento"/>">
						<i class="entypo-tools"></i>
						<span class="title">Registro Mantenimiento</span>
					</a>
				</li>
				</c:if>							
				
				<c:if test="${not (p_urlbi eq '')}">
					<li>					
						<a href="${p_urlbi}" target="_blank">
							<i class="entypo-chart-bar"></i>
							<span class="title">Visor de avance diario</span>
						</a>
					</li>
				</c:if>
				
			</ul>
			
		</div>

	</div>

	<div class="main-content">
				
		<div class="row">
			<form id="frmConsultaReferencia">
				<div class="col-md-12">
				 	<div class="panel panel-default">
				  
					  <div id="panelHead" class="panel-heading">
					  	<div class="row">
					  		<div class="col-md-12">
					  			<div class="form-group">
							    	<label class="control-label control-label-left col-sm-12" for="field25"><h4>Consulta de Comentarios</h4></label>
							    </div>
							</div>
						</div>
					  </div>
					  
					  
					  <div class="panel-body">
					  		
						<div class="row">
				            	<div class="col-md-6">
				                	<div class="form-group">
									    <label class="control-label control-label-left col-sm-3" for="field24">Nro Desde</label>
										<div class="controls col-sm-9">
						                	<input id="txtNroRegistroIni" type="text" size="6" maxlength="6" class="form-control k-textbox" data-role="text" pattern="\d*" title="Indique numero valido" data-parsley-errors-container="#errId2">
						            	</div>
									</div>
								</div>
						
								<div class="col-md-6">
									<div class="form-group">
									    <label class="control-label control-label-left col-sm-3" for="field24">Nro Hasta</label>
										<div class="controls col-sm-9">
						                	<input id="txtNroRegistroFin" type="text" size="6" maxlength="6" class="form-control k-textbox" data-role="text" pattern="\d*" title="Indique numero valido" data-parsley-errors-container="#errId2">
						            	</div>
									</div>
								</div>
						</div>
						
						<div class="row">
				            	<div class="col-md-6">
				                	<div class="form-group">
								    	<label class="control-label control-label-left col-sm-3" for="field24">Fecha Inicio</label>
										<div class="controls col-sm-9">
											<!-- 
						                	<input id="txtFechaRegistroIni" type="text" class="form-control k-textbox" data-role="text" data-parsley-errors-container="#errId2"><span id="errId2" class="error"></span>
						                	 -->
						                	 <div class="input-group">
							                	 <input type="text" id="txtFechaRegistroIni" required="required" class="form-control datepicker" data-format="mm/dd/yyyy">
												<div class="input-group-addon">
													<a href="#"><i class="entypo-calendar"></i></a>
												</div>
											</div>	
						            	</div>
									</div>
								</div>
						
								<div class="col-md-6">
									<div class="form-group">
									    <label class="control-label control-label-left col-sm-3" for="field24">Fecha Fin</label>
										<div class="controls col-sm-9">
											<!-- 
						                	<input id="txtFechaRegistroFin" type="text" class="form-control k-textbox" data-role="text" data-parsley-errors-container="#errId2"><span id="errId2" class="error"></span>
						                	-->
						                	<div class="input-group">
							                	<input type="text" id="txtFechaRegistroFin" required="required" class="form-control datepicker" data-format="mm/dd/yyyy">
												<div class="input-group-addon">
													<a href="#"><i class="entypo-calendar"></i></a>
												</div>
											</div>	
						            	</div>
									</div>
								</div>
						</div>
						
						<div class="row">
				            	<div class="col-md-6">
				                	<div class="form-group">
								    	<label class="control-label control-label-left col-sm-3" for="field49">Usuario</label>
									    <div class="controls col-sm-9">
									    
									    	<input id="selIdUsuario" list="lUsuarios" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase" >
								                
							                <datalist id="lUsuarios">
												  <c:forEach items="${listaUsuarios}" var="u">
													  <option data-value="${u.usuarioId}" value="${u.apellidosNombres}">
												  </c:forEach>
											</datalist>

										</div>
									</div>
								</div>
						
								<div class="col-md-6">
									<div class="form-group">
									    <label class="control-label control-label-left col-sm-3" for="field49">Area</label>
									    <div class="controls col-sm-9">
									    
									    	<input id="selIdArea" list="lAreas" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase" >
									    	
									    	<datalist id="lAreas">
												  <c:forEach items="${listaAreas}" var="a">
													  <option data-value="${a.areaId}" value="${a.denominacion}">
												  </c:forEach>
											</datalist>
											
										</div>
									</div>
								</div>
						</div>
						
						
						<div class="row">
				            	<div class="col-md-6">
				                	<div class="form-group">
								    	<label class="control-label control-label-left col-sm-3" for="field49">NickName</label>
									    <div class="controls col-sm-9">
									    
							                <input type="text" id="txtNickName" size="30" maxlength="30" class="form-control k-textbox" data-role="text" style="text-transform: uppercase"  >
							                
										</div>
									</div>
								</div>
						
								<div class="col-md-6">
									<div class="form-group">
									    
									</div>
								</div>
						</div>
						
						
						<div class="row">
				            	<div class="col-md-12">
				                	<div class="form-group">
								    	<button id="cmdBuscarConsultaReferencia" type="button" class="btn btn-lg" name="Buscar">Buscar</button>
									</div>
								</div>
						</div>
						<div class="row">
				            	<div class="col-md-12">
											<div id="subViewDiv">
								</div>
						</div>		
					</div>
				</div>
				</div>	
			</form>		
		</div>
				
		
	</div>			
	
</div>

	<!-- Modal -->
	<div id="modalDelValidate" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Anular Validacin</h4>
	      </div>
	      
	      <div class="modal-body">
	      		<form id="frmRetirarValidacion" >
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
		                		<div class="controls col-sm-12">
						    		<label class="control-label control-label-left col-sm-12" for="field24">Motivo de anulacin:</label>
						    	</div>	
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
								<div class="controls col-sm-12">
									<textarea class="form-control" maxlength="2000" style="text-transform: uppercase" rows="4" required="required" id="txtMotivo"></textarea>
				            	</div>
							</div>
						</div>
					</div>
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      	  <input type="hidden" required="required" id="p_hIdReferencia" value="0">
			  <input type="hidden" required="required" id="p_hIdEstadoReferencia" value="0">
			  
			  <button id="cmdRegistrar" type="button" class="btn btn-default" name="Registrar">Registrar</button>
	          <button type="button" id="cmdClose" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	    </div>
	
	  </div>
	</div>

	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery-ui/js/jquery-ui-1.10.3.minimal.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>


	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>


	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>


	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
	<script>
    $('.datepicker').datepicker();
    $('.datepicker').datepicker({
        dateFormat: 'dd/mm/yyyy',
        format: 'dd/mm/yyyy'
     });

    $(document).ready(function() {
        $("#txtNroRegistroIni").keydown(function (e) {
            // Allow: backspace, delete, tab, escape, enter and .
            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
                 // Allow: Ctrl/cmd+A
                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+C
                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+X
                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: home, end, left, right
                (e.keyCode >= 35 && e.keyCode <= 39)) {
                     // let it happen, don't do anything
                     return;
            }
            // Ensure that it is a number and stop the keypress
            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
                e.preventDefault();
            }
        });
    });

    $(document).ready(function() {
        $("#txtNroRegistroFin").keydown(function (e) {
            // Allow: backspace, delete, tab, escape, enter and .
            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
                 // Allow: Ctrl/cmd+A
                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+C
                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+X
                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: home, end, left, right
                (e.keyCode >= 35 && e.keyCode <= 39)) {
                     // let it happen, don't do anything
                     return;
            }
            // Ensure that it is a number and stop the keypress
            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
                e.preventDefault();
            }
        });
    });

    </script>
    
    <script type="text/javascript">
		function setParameter(index){
			var vIdReferencia=document.getElementById('vIdReferencia'+index+'');
	    	var vIdEstadoReferencia=document.getElementById('vIdEstadoReferencia'+index+'');
	    	
	        $("#p_hIdReferencia").val(vIdReferencia.value);
	        $("#p_hIdEstadoReferencia").val(vIdEstadoReferencia.value);
	    }
	</script>    

</body>
</html>