<!DOCTYPE html>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ include file="/common/taglibs.jsp"%>

<html>
<head>
	
</head>

<body>
 	<div class="row">
		<div class="form-group" >
		
			<c:if test="${not empty listaCorreos}">
				<table id="tmante" cellspacing="0" cellpadding="0" border="0" class="cell-border display compact" style="width:100%" >
						<thead>
							<tr align="right">
								<th>Item</th>
								<th>Email</th>
								<th>Subject Email</th>
								<th>Fec. envio</th>
								<th>Servicio</th>
								<th>Cotiza</th>
								<th>Fec.contacto</th>
								<th>Canal</th>
								<th>Reserva</th>
								<th>Motivo</th>
								<th>Pax Final</th>
								<th>Revenue</th>
								<th>Area</th>
								<th>Ejecutivo</th>
								<th>Fec.proxima</th>
								<th>Seq</th>
							</tr>
						</thead>
						
						<tbody id="bodyLeadTable">
							<c:set var="total_leads" value="0" scope="request" />
							<c:set var="total_con_seguimiento" value="0" scope="request" />
							<c:set var="total_sin_seguimiento" value="0" scope="request" />
							
							<c:forEach items="${listaCorreos}" var="o" varStatus="i" >
								<tr>
									<td>${i.count}</td>
									<td>${o.senderEmailAddress}</td>
									
									<td>${fn:substring(o.subjectEmail, 0, 30)}</td>
									<td>${o.dSentOn}</td>
									<td>${o.servicioFinal}</td>
									<td>${o.cotizado}</td>
									<td>${o.fechaContacto}</td>
									<td>${o.canal}</td>
									<td>${o.reserva}</td>
									<td>${o.motivo}</td>
									<td>${o.paxFinal}</td>
								    <td>${o.revenue}</td>
								    <td>${o.area}</td>
								    <td>${o.ejecutivo}</td>
								    <td>${o.fechaProxima}</td>
								    <td>${o.seqSeguimiento}</td>
								    
									<c:set var="total_leads" value="${total_leads + 1}" scope="request"/>
									<c:set var="total_con_seguimiento" value="${total_con_seguimiento + o.conSeguimiento}" scope="request"/>
									<c:set var="total_sin_seguimiento" value="${total_sin_seguimiento + o.sinSeguimiento}" scope="request"/>
								</tr>
							</c:forEach>
						</tbody>
						<tfoot>
							<tr>
								<td></td>
								<td colspan="1">
									<p style="color:#000000;background-color: yellow;font-weight: bold;">
									Total : (${total_leads}) 100%
									</p>
								</td>
								
								<td colspan="3">
									<p style="color:#000000;background-color: #c6ffb3;font-weight: bold;">
									Con Seguimiento: (${total_con_seguimiento}) <fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_con_seguimiento*100/total_leads}"/>%
									</p>
								</td>
								
								<td colspan="3">
									<p style="color:#000000;background-color: #ff9966;font-weight: bold;">
									Sin Seguimiento: (${total_sin_seguimiento}) <fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_sin_seguimiento*100/total_leads}"/>%
									</p>
								</td>
								<td colspan="7"></td>
							</tr>
							
						</tfoot>
					</table>
			</c:if>
				</div>
			</div>
	<script>
		
		$(document).ready(function() {
			 var table = $('#tmante').DataTable( {
		    	"scrollCollapse": true,
		        "jQueryUI":       true,
		        "bFilter": true,
		        "pageLength": 100,
		        dom : 'Bfrtip',
				buttons : ['excel', 'print']
		    		} );
		});
		
	</script>
	
	<STYLE TYPE="text/css">
		td.details-control {
		    cursor: pointer;
		}
		<!--
		TD{font-family: Arial; font-size: 9pt;}
		TH{font-family: Arial; font-size: 9pt;}
		--->
	</STYLE>
	
</body>
</html>