<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	</head>
	
	<body>
		<table class="table table-bordered table-responsive">
		  	<tbody>
		  		<c:forEach items="${lista}" var="o" varStatus="i" > 
					<tr> 
						<td>
							<c:if test="${o.isDiscrepancy}">
								<span class="label label-danger">
									<i class="entypo-block"></i>
								</span>	
							</c:if>
							
							<span class="label ${o.labelRoomStatus}">
								<b>
									${o.room} ${o.roomType} - ${o.roomStatus}
								</b>
							</span>
							
							<c:set var="hkStatus" value="${o.hkStatus}"/>
							<c:set var="hkStatus_OCC" value="OCC"/>
							<c:set var="hkStatus_VAC" value="VAC"/>
							
							<c:set var="roomStatus" value="${o.roomStatus}"/>
							<c:set var="roomStatus_IP" value="IP"/>
							
							<c:set var="roomStatus_OS" value="OS"/>
							<c:set var="roomStatus_OO" value="OO"/>
							
							<span class="label label-default">
								${o.hkStatus}
								<c:if test="${hkStatus == hkStatus_OCC}">
									<i class="entypo-users"></i>
									${o.vip}
									<c:if test="${o.isVip}">
										<i class="entypo-attention"></i>
									</c:if>
								</c:if>
								<c:if test="${hkStatus == hkStatus_VAC}">
									<i class="entypo-light-down"></i>
									${o.vip}
									<c:if test="${o.isVip}">
										<i class="entypo-attention"></i>
									</c:if>
								</c:if>
								<c:if test="${o.isDoNotDisturb}">
									<i class="entypo-block"></i>
								</c:if>
							</span>
							
							<c:if test="${hkStatus==hkStatus_OCC}">
								<c:if test="${!(empty o.resvStatus)}">
									CI ${o.arrival} - CO ${o.departure} ${o.departureTime}
								</c:if>
								<c:if test="${(empty o.resvStatus)}">
									&nbsp;
								</c:if>
							</c:if>
							
							<c:if test="${o.isArrivalTime}">
								<i class="entypo-clock"></i>${o.arrivalTime}
							</c:if>
							
							<c:if test="${o.reserved}">
								<i class="entypo-clock"></i>${o.arrivalNextTime}
							</c:if>
							
							<c:if test="${(hkStatus==hkStatus_VAC)}">
								&nbsp;
							</c:if>
							
							<c:if test="${roomStatus == roomStatus_OS}">
								${o.repairRemarks}
							</c:if>
							
							
							<c:if test="${roomStatus == roomStatus_OO}">
								${o.repairRemarks}
							</c:if>
							
							<c:if test="${o.isTracesHk}">
								<i class="entypo-clock"></i>${o.arrivalTime}
								<i class="entypo-basket"></i>${o.traceTextHk}
							</c:if>
							
							<c:if test="${o.isRatePack}">
								<i class="entypo-clock"></i>${o.arrivalTime}
								<i class="entypo-suitcase"></i>${o.rateCode}
							</c:if>
							
						</td>
					</tr> 
				</c:forEach>
					
			</tbody>
			 
		</table>
		   
	</body>

</html>