<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	</head>
	
	<body>
		<c:forEach items="${lista}" var="o" varStatus="i" >	
			<div class="col-sm-3 col-xs-6"> 
				
				<c:set var="hkStatus" value="${o.hkStatus}"/>
				<c:set var="hkStatus_VAC" value="VAC"/>
				<c:set var="hkStatus_OCC" value="OCC"/>
				
				<c:set var="roomStatus" value="${o.roomStatus}"/>
				<c:set var="roomStatus_IP" value="IP"/>
				
				<div class="tile-stats ${o.colorRoomStatus}"> 
					<div class="icon"><i class="${o.entypoHkStatus}"></i></div>
					
					<p style="font-size:110%;"> <strong>
						<c:if test="${o.isDiscrepancy}">
							<i class="entypo-block"></i>
						</c:if>
						${o.room} ${o.roomType}
						&nbsp;
						${o.vip}
						</strong>
					</p>
					
					<p>${o.roomStatus} - ${o.hkStatus}
						<c:if test="${(hkStatus==hkStatus_OCC)}">
							&nbsp;&nbsp;ad. ${o.adults} ch. ${o.children} 
						</c:if> 
						<c:if test="${o.isDiscrepancy}">
							(Discrep.)
						</c:if>
					</p>
					
					<p>
						<c:if test="${(hkStatus==hkStatus_OCC)}">
							<c:if test="${!(empty o.resvStatus)}">
								${o.arrival}&nbsp;-&nbsp;${o.departure} ${o.departureTime}
							</c:if>
							<c:if test="${(empty o.resvStatus)}">
								&nbsp;
							</c:if>
						</c:if>
						<c:if test="${(hkStatus==hkStatus_VAC)}">
							&nbsp;
						</c:if>	
					</p>
					
					
					<p>
						<c:if test="${(hkStatus==hkStatus_OCC)}">
							${o.companyName}							
						</c:if>
						<c:if test="${(hkStatus==hkStatus_VAC)}">
							&nbsp;
						</c:if>	
					</p>
					
				</div>
				
			</div>
		 </c:forEach>
	</body>

</html>