<!DOCTYPE html>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ include file="/common/taglibs.jsp"%>

<html>
<head>
	
</head>

<body>
 	<table id="tmante" cellspacing="0" cellpadding="0" class="cell-border display compact" style="width:100%" >
			<thead>
				<tr>
					<th align="left" colspan="10">
						<button type="button" onclick="setParameter(-1)" class="btn btn-success btn-xs" data-toggle="modal" data-target="#mManteAds">Agregar<i class="entypo-plus"></i> </button>
					</th>
				</tr>
				<tr>
					<th align="center">
						
					</th>
					<th align="center">
						Codigo
					</th>
					<th>Denominacin</th>
					<th>Descripcin</th>
					<th>Area</th>
					<th>Sub Area</th>
					<th>Es Individual</th>
					<th align="right">Precio Paq. Adulto</th>
					<th align="right">Precio Paq. Nio</th>
					<th></th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${lista}" var="o" varStatus="i" >
				<tr>	
					<td align="center">
						${i.count}
					</td>
					<td>
						${o.id}
					</td>
					<td>
						${o.denominacion}
					</td>
					<td>
						${o.descripcion}
					</td>
					<td>
						${o.area}
					</td>
					<td>
						${o.subArea}
					</td>
					<td>
						${(o.esIndividual==1?'SI':'NO')}
					</td>
					<td align="right">
						<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.precioPaxAdulto}"/>
					</td>
					<td align="right">
						<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.precioPaxNinyo}"/>
					</td>
					
					<td align="center">
						<input type="hidden" id="hId${i.index}" value="<c:out value="${o.id}"/>">
						<input type="hidden" id="hDenominacion${i.index}" value="<c:out value="${o.denominacion}"/>">
						<input type="hidden" id="hDescripcion${i.index}" value="<c:out value="${o.descripcion}"/>">
						
						<input type="hidden" id="hIdArea${i.index}" value="<c:out value="${o.idArea}"/>">
						<input type="hidden" id="hIdSubArea${i.index}" value="<c:out value="${o.idSubArea}"/>">
						<input type="hidden" id="hPrecioPaqAdulto${i.index}" value="<c:out value="${o.precioPaxAdulto}"/>">
						<input type="hidden" id="hPrecioPaqNinyo${i.index}" value="<c:out value="${o.precioPaxNinyo}"/>">
						
						<input type="hidden" id="hEsIndividual${i.index}" value="<c:out value="${o.esIndividual}"/>">
						
						<a href="#" onclick="setParameter(${i.index})" data-toggle="modal" data-target="#mManteAds"> 
							<i class="entypo-pencil">
							</i> 
						</a>
					</td>
					
					<td align="center">
						<a href="#" onclick="confirmDelete(${i.index})" data-toggle="modal" data-target="#mDelAds"> 
							<i class="entypo-cancel"></i> 
						</a>
					</td>
					
				</tr>
			</c:forEach>
			<tbody>
		</table>
		
	<script>
		$(document).ready(function() {
			$('#tmante').DataTable( {
		    	"scrollCollapse": true,
		        "jQueryUI":       true,
		        "bFilter": true,
		        "pageLength": 20,
		        dom : 'Bfrtip',
				buttons : ['excel', 'print']
		    		} );
			});

		function setParameter(index){
			if(index>=0){
				var hId=document.getElementById('hId'+index+'');
				var hDenominacion=document.getElementById('hDenominacion'+index+'');
				var hDescripcion=document.getElementById('hDescripcion'+index+'');

				var hIdArea=document.getElementById('hIdArea'+index+'');
				var hIdSubArea=document.getElementById('hIdSubArea'+index+'');
				var hPrecioPaqAdulto=document.getElementById('hPrecioPaqAdulto'+index+'');
				var hPrecioPaqNinyo=document.getElementById('hPrecioPaqNinyo'+index+'');

				var hEsIndividual=document.getElementById('hEsIndividual'+index+'');
				
				$("#txtCodigo").val(hId.value);
				
	        	$("#hId").val(hId.value);
	        	$("#txtDenominacion").val(hDenominacion.value);
	        	$("#txtDescripcion").val(hDescripcion.value);

	        	$("#selIdArea").val(hIdArea.value);
	        	$("#selIdSubArea").val(hIdSubArea.value);
	        	$("#txtPrecioPaqAdulto").val(hPrecioPaqAdulto.value);
	        	$("#txtPrecioPaqNinyo").val(hPrecioPaqNinyo.value);

	        	if(hEsIndividual.value==0){
	        		$("#chPrecioUnico").prop( "checked",false).change();
	        		$('#chPrecioUnico').bootstrapToggle('off')
		        }else{
		        	$("#chPrecioUnico").prop( "checked",true).change();
		        	$('#chPrecioUnico').bootstrapToggle('on')
			    }
			}else{
				$("#txtCodigo").val("");
				
				$("#hId").val(0);
	        	$("#txtDenominacion").val("");
	        	$("#txtDescripcion").val("");

	        	$("#selIdArea").val("");
	        	$("#selIdSubArea").val("");
	        	$("#txtPrecioPaqAdulto").val("");
	        	$("#txtPrecioPaqNinyo").val("");
	        	$("#chPrecioUnico").prop( "checked",(false)).change();
	        	$('#chPrecioUnico').bootstrapToggle('off')
			}
		}
		
		function confirmDelete(index){
			if(index>=0){
				var hId=document.getElementById('hId'+index+'');
				var hDenominacion=document.getElementById('hDenominacion'+index+'');

				$("#hIdDelete").val(hId.value);
	        	$("#txtDenominacionDelete").val(hDenominacion.value);
			}
		}
	</script>
	
	<STYLE TYPE="text/css">
	<!--
	TD{font-family: Arial; font-size: 9pt;}
	TH{font-family: Arial; font-size: 9pt;}
	--->
	</STYLE>
	
</body>
</html>