<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ include file="/common/taglibs.jsp"%>


<!DOCTYPE html>
<html lang="en">
<head>
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<title>DELFINES HOTEL & CONVENTION CENTER</title>

	<!-- jquery 1.12 :ini -->
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.js"></script>
	<!-- jquery 1.12 :end -->
	
	<!-- datatable 1.10 :ini -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
	<!---->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"></link>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"></link>
	<!-- datatable 1.10 :end -->

	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Noto+Sans:400,700,400italic">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	
	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<!-- datepicker :ini -->
	<link rel="stylesheet" type="text/css" media="all" href="<c:url value="/resources/assets/js/daterangepicker/daterangepicker-bs3.css"/>" />
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/moment.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/daterangepicker.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/bootstrap-datepicker.js"/>"></script>
	<!-- datepicker :end -->
	
	<!-- toggle :inicio -->
	<link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">
	<script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
	<!-- toggle :fin -->

	<!-- Logica de presentacion : ini-->
	<script type="text/javascript" src="<c:url value="/resources/js/fn_mante_ads.js" />"></script>
	<!-- Logica de presentacion : fin-->
	
	
	<style>
		.btn span.glyphicon {    			
			opacity: 0;				
		}
		.btn.active span.glyphicon {				
			opacity: 1;				
		}
	</style>
	
</head>
<body class="page-body">
	<div class="container-fluid">
			<div class="col-md-6 col-sm-4 clearfix">	
				<ul class="user-info pull-left pull-none-xsm">
		
					<li class="profile-info dropdown">
						<div class="logo">
							<a href="index.html">
								<img src="<c:url value="/resources/assets/images/logo_delfin.png" />" height="87" alt="" />
							</a>
						</div>
					</li>
				</ul>									
			</div>
			<div class="col-md-6 col-sm-8 clearfix hidden-xs">
		
				<ul class="list-inline links-list pull-right">
					<li>
						<p>Bienvenido: <strong>[${p_usuario.username}/${p_usuario.perfil} - ${p_usuario.denominacionArea}]</strong></p>
						<li>
							<a href="${pageContext.request.contextPath}/">Salir <i class="entypo-logout right"></i></a>
						</li>
						<br>
					</li>
					<li></li>
					<li>
					</li>
				</ul>
		
			</div>   
			<div class="col-md-6 msg-alert-login-error" style="display:none;">
				<div class="alert alert-danger"></div>
			</div>
    </div>
    <!-- /.container-fluid -->
    
    <!-- collapsed -->
<div class="page-container sidebar-collapsed" style="border-top: 1px solid #ccc">
	
	<div class="sidebar-menu">

		<div class="sidebar-menu-inner">
			
			<header class="logo-env">
				<div class="sidebar-collapse">
					<a href="#" class="sidebar-collapse-icon"><!-- add class "with-animation" if you want sidebar to have animation during expanding/collapsing transition -->
						<i class="entypo-menu"></i>
					</a>
				</div>

								
				<!-- open/close menu icon (do not remove if you want to enable menu on mobile devices) -->
				<div class="sidebar-mobile-menu visible-xs">
					<a href="#" class="with-animation"><!-- add class "with-animation" to support animation -->
						<i class="entypo-menu"></i>
					</a>
				</div>

			</header>
			
									
			<ul id="main-menu" class="main-menu">
					
				<li class="has-sub">
					<a href="<c:url value="/registro-leads"/>">
						<i class="entypo-basket"></i>
						<span class="title">Seguimiento de Leads</span>
					</a>
				</li>
				
				
					<li class="has-sub">
						<a href="<c:url value="/correos/registro-correos/"/>">
							<i class="entypo-mail"></i>
							<span class="title">Seguimiento de Correos</span>
						</a>
					</li>
					
				<!-- 
				<li class="has-sub">
					<a href="<c:url value="/leads/reporte-leads"/>">
						<i class="entypo-doc-text"></i>
						<span class="title">Reporte de Leads</span>
					</a>
				</li>
				
				<li class="has-sub">
					<a href="<c:url value="/correos/reporte-correos"/>">
						<i class="entypo-docs"></i>
						<span class="title">Reporte de Correos</span>
					</a>
				</li>
				-->
				<c:if test="${(p_usuario.idPerfilLead eq 1) }">
					<li class="has-sub">
						<a href="<c:url value="/leads/mante-ads"/>">
							<i class="entypo-layout"></i>
							<span class="title">Mantenimiento de Ads</span>
						</a>
					</li>
				</c:if>
				
				<c:if test="${(p_usuario.idPerfilLead eq 1) }">
					<li class="has-sub">
						<a href="<c:url value="/leads/mante-perfil"/>">
							<i class="entypo-cog"></i>
							<span class="title">Mantenimiento de Perfil</span>
						</a>
					</li>
				</c:if>
				
				<li>					
					<a href="https://app.powerbi.com/view?r=eyJrIjoiZWZiZGJmNjctZTNlMi00NWNhLWI1YTYtOGUxNjUxMDlhYTI1IiwidCI6IjM1Mzg2ODUzLWJlYzAtNDgwYi1iMjljLWYyYzQwYzU5ZjFkNiIsImMiOjR9" target="_blank">
						<i class="entypo-chart-bar"></i>
						<span class="title">Consolidado de Anlisis de Leads</span>
					</a>
				</li>
				
			</ul>
			
		</div>

	</div>
	
		<div class="main-content">
			<div class="row">
				<div class="col-md-12">
					<div class="panel panel-default">
					  <div class="panel-heading">
							<div class="row">
								<div class="col-md-12">
									<div class="form-group">
										<label class="control-label control-label-left col-sm-12" for="field25"><h4>Mantenimiento de Ads</h4></label>
									</div>
								</div>
							</div>
						  </div>
						  
						  <div class="panel-body">	
							<div class="row">
								<div class="form-group">
									<div id="subViewDiv"></div> 
								</div>
							</div>
						</div>
					</div>	<!-- panel panel-default -->
				</div>
			</div>					
	</div>

	<!-- Modal : Inicio -->
	<div id="mManteAds" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	    <!-- Modal content-->
	    
	    <div class="modal-content">
	    
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Registro de Ads</h4>
	      </div>
	      
	      <div class="modal-body">
	      
	      		<form id="frmManteAds" >
	      			<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3">Cdigo:</label>
								<div class="controls col-sm-9">
				                	<input id="txtCodigo" disabled="disabled" type="text" size="100" maxlength="100" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
				            	</div>
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3">Denominacin:</label>
								<div class="controls col-sm-9">
				                	<input id="txtDenominacion" required="required" type="text" size="100" maxlength="100" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
				            	</div>
							</div>
						</div>
					</div>
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3">Descripcin:</label>
								<div class="controls col-sm-9">
				                	<input id="txtDescripcion" required="required" type="text" size="500" maxlength="500" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
				            	</div>
							</div>
						</div>
					</div>
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3">Area:</label>
								<div class="controls col-sm-9">
				                	<select class="form-control" id="selIdArea" data-role="select" required="required" >
									  	<option value="6">A&B</option>
									  	<option value="9">EVENTOS</option>
									  	<option value="1">VENTAS</option>
									</select>
				            	</div>
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3">SubArea:</label>
								<div class="controls col-sm-9">
				                	<select class="form-control" id="selIdSubArea" data-role="select" required="required" >
									  	<option value="3">DELPHOS</option>
									  	<option value="5">OL</option>
									  	<option value="2">OWB</option>
									  	<option value="1">PROMOCIONES</option>
									  	<option value="4">SOCIALES</option>
									</select>
				            	</div>
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3">Precio Paq. Adulto:</label>
								<div class="controls col-sm-9">
				                	<input id="txtPrecioPaqAdulto" required="required" type="text" size="7" maxlength="7" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
				            	</div>
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3">Precio Paq. Ninyo:</label>
								<div class="controls col-sm-9">
				                	<input id="txtPrecioPaqNinyo" required="required" type="text" size="7" maxlength="7" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
				            	</div>
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3">Precio Individual?:</label>
								<div class="controls col-sm-9">
				                	<input type="checkbox" id="chPrecioUnico" checked data-toggle="toggle" data-size="small" data-on="SI" data-off="NO" >
				            	</div>
							</div>
						</div>
					</div>
					
				</form>
	      </div>
	      
	      
	      <div class="modal-footer">
	      	<input type="hidden" id="hId">
	      	<button type="button" id="cmdGuardar" class="btn btn-success" data-dismiss="modal">Guardar</button>
	        <button type="button" id="cmdClose" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	    </div>
	
	  </div>
	</div>
	<!-- Modal : Fin -->
	
	<!-- Modal : Inicio -->
	<div id="mDelAds" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Eliminar Ads</h4>
	      </div>
	      
	      <div class="modal-body">
	      		<form id="frmRegistroServicio" >
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<input id="txtDenominacionDelete" disabled="disabled" required="required" type="text" size="100" maxlength="100" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
							</div>
						</div>
					</div>
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-12" for="field24">Realmente desea eliminar el registro?</label>
							</div>
						</div>
					</div>
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      	<input type="hidden" id="hIdDelete">
	      	<button type="button" id="cmdDelAceptar" class="btn btn-default" data-dismiss="modal">Aceptar</button>
	        <button type="button" id="cmdDelClose" class="btn btn-default" data-dismiss="modal">Cancelar</button>
	      </div>
	    </div>
	
	  </div>
	</div>
	
	
	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>

	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>

	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>
	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>

	<script type="text/javascript">
    $(document).ready(function() {
        $("#txtPrecioPaqAdulto").keydown(function (e) {
            // Allow: backspace, delete, tab, escape, enter and .
            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
                 // Allow: Ctrl/cmd+A
                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+C
                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+X
                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: home, end, left, right
                (e.keyCode >= 35 && e.keyCode <= 39)) {
                     // let it happen, don't do anything
                     return;
            }
            // Ensure that it is a number and stop the keypress
            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
                e.preventDefault();
            }
        });
    });
    
    $(document).ready(function() {
        $("#txtPrecioPaqNinyo").keydown(function (e) {
            // Allow: backspace, delete, tab, escape, enter and .
            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
                 // Allow: Ctrl/cmd+A
                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+C
                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+X
                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: home, end, left, right
                (e.keyCode >= 35 && e.keyCode <= 39)) {
                     // let it happen, don't do anything
                     return;
            }
            // Ensure that it is a number and stop the keypress
            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
                e.preventDefault();
            }
        });
    });
	</script>
</body>
</html>