<!DOCTYPE html>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ include file="/common/taglibs.jsp"%>

<html>
<head>
	
</head>

<body>
 	<div class="row">
		<div class="form-group" >
		
			<c:if test="${not empty listaLeads}">
				<table id="tmante" cellspacing="0" cellpadding="0" border="0" class="cell-border display compact" style="width:100%" >
						<thead>
							<tr align="right">
								<th></th>
								<th>Servicio</th>
								<th>Area</th>
								<th>Sub Area</th>
								<th>Fecha Servicio</th>
								<th align="right">Paq Adul</th>
								<th align="right">Paq Nio</th>
								<th>Nombre Cliente</th>
								<th>Correo</th>
								<th>Telefono</th>
								<th align="right">S/. Paq<br>Adul</th>
								<th align="right">S/. Paq<br>Nio</th>
								<th align="right">S/. Total<br>Reserva</th>
								<th>Fecha Carga</th>
								<th>Cotizado</th>
								<th>Fecha Contacto</th>
								<th>Canal</th>
								<th>Reserva</th>
								<th>Motivo</th>
								<th>Ejecutivo</th>
								<th>Fecha Prox.</th>
								<th>Seq</th>
							</tr>
						</thead>
						<tbody id="bodyLeadTable">
							<c:set var="total_pax_adulto" value="0" scope="request" />
							<c:set var="total_pax_ninyo" value="0" scope="request" />
							<c:set var="total_costo_pax_adulto" value="0" scope="request" />
							<c:set var="total_costo_pax_ninyo" value="0" scope="request" />
							<c:set var="total_costo_total" value="0" scope="request" />
							
							<c:set var="total_leads" value="0" scope="request" />
							<c:set var="total_con_seguimiento" value="0" scope="request" />
							<c:set var="total_sin_seguimiento" value="0" scope="request" />
							
							<c:forEach items="${listaLeads}" var="o" varStatus="i" >
								<tr>
									<td>${i.count}</td>
									<td>${o.adsetName}</td>
									<td>${o.area}</td>
									<td>${o.subArea}</td>
									<td>${o.fechaAdset}</td>
									<td align="right">${o.paxAdulto}</td>
									<td align="right">${o.paxNinyo}</td>
									<td>${o.nombreCliente}</td>
									<td>${o.emailCliente}</td>
									<td>${o.telefonoCliente}</td>
									<td align="right">${o.totalPaqAdulto}</td>
									<td align="right">${o.totalPaqNinyo}</td>
									<td align="right">${o.totalReserva}</td>
									<td>${o.fechaCarga}</td>
									<td>${o.cotizado}</td>
									<td>${o.fechaContacto}</td>
									<td>${o.canal}</td>
									<td>${o.reserva}</td>
									<td>${o.motivo}</td>
								    <td>${o.ejecutivo}</td>
								    <td>${o.fechaProxima}</td>
								    <td>${o.seqSeguimiento}</td>
								    
								    <c:set var="total_pax_adulto" value="${total_pax_adulto + o.paxAdulto}" scope="request"/>
									<c:set var="total_pax_ninyo" value="${total_pax_ninyo + o.paxNinyo}" scope="request"/>
									<c:set var="total_costo_pax_adulto" value="${total_costo_pax_adulto + o.totalPaqAdulto}" scope="request"/>
									<c:set var="total_costo_pax_ninyo" value="${total_costo_pax_ninyo + o.totalPaqNinyo}" scope="request"/>
									<c:set var="total_costo_total" value="${total_costo_total + o.totalReserva}" scope="request"/>
									
									<c:set var="total_leads" value="${total_leads + 1}" scope="request"/>
									<c:set var="total_con_seguimiento" value="${total_con_seguimiento + o.conSeguimiento}" scope="request"/>
									<c:set var="total_sin_seguimiento" value="${total_sin_seguimiento + o.sinSeguimiento}" scope="request"/>
									
								</tr>
							</c:forEach>
						</tbody>
						<tfoot>
							<tr >
								<td></td>
								<td align="right">Total:</td>
								<td></td>
								<td></td>
								<td></td>
								<td align="right">
									${total_pax_adulto}
								</td>
								<td align="right">
									${total_pax_ninyo}
								</td>
								<td></td>
								<td></td>
								<td></td>
								<td align="right">
									<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_costo_pax_adulto}"/>
								</td>
								<td align="right">
									<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_costo_pax_ninyo}"/>
								</td>
								<td align="right">
									<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_costo_total}"/>
								</td>
								
								<td></td>
								<td></td>
								<td></td>
								<td></td>
								<td></td>
								<td></td>
							    <td></td>
							    <td></td>
							    <td></td>
							</tr>
							<tr>
								<td></td>
								<td colspan="1">
									<p style="color:#000000;background-color: yellow;font-weight: bold;">
									Total : (${total_leads}) 100%
									</p>
								</td>
								
								<td colspan="3">
									<p style="color:#000000;background-color: #c6ffb3;font-weight: bold;">
									Con Seguimiento: (${total_con_seguimiento}) <fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_con_seguimiento*100/total_leads}"/>%
									</p>
								</td>
								
								<td colspan="3">
									<p style="color:#000000;background-color: #ff9966;font-weight: bold;">
									Sin Seguimiento: (${total_sin_seguimiento}) <fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_sin_seguimiento*100/total_leads}"/>%
									</p>
								</td>
								<td colspan="9"></td>
								<td></td>
								<td></td>
								<td></td>
								<td></td>
								<td></td>
							</tr>
							
						</tfoot>
					</table>
			</c:if>
				</div>
			</div>
	<script>
		
		$(document).ready(function() {
			 var table = $('#tmante').DataTable( {
		    	"scrollCollapse": true,
		        "jQueryUI":       true,
		        "bFilter": true,
		        "pageLength": 100,
		        dom : 'Bfrtip',
				buttons : ['excel', 'print']
		    		} );
		});
		
	</script>
	
	<STYLE TYPE="text/css">
		td.details-control {
		    cursor: pointer;
		}
		<!--
		TD{font-family: Arial; font-size: 9pt;}
		TH{font-family: Arial; font-size: 9pt;}
		--->
	</STYLE>
	
</body>
</html>