<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ include file="/common/taglibs.jsp"%>


<!DOCTYPE html>
<html lang="en">
<head>
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="description" content="Biblioteca ENAMM" />
	<meta name="author" content="" />

	<link rel="icon" href="<c:url value="/resources/assets/images/favicon.ico"/>">

	<title>DELFINES HOTEL & CONVENTION CENTER</title>

	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jquery-ui/css/no-theme/jquery-ui-1.10.3.custom.min.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Noto+Sans:400,700,400italic">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	

	<script src="./resources/assets/js/jquery-1.11.3.min.js"></script>

	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->
	
	<script type="text/javascript"
	src="<c:url value="/resources/js/fn_registro_general.js" />"></script>
	
	<style>
* {
  box-sizing: border-box;
}
#myInput {
  background-image: url('/css/searchicon.png');
  background-position: 10px 10px;
  background-repeat: no-repeat;
  width: 100%;
  font-size: 12px;
  padding: 12px 20px 12px 40px;
  border: 1px solid #ddd;
  margin-bottom: 12px;
}

#myTable {
  border-collapse: collapse;
  width: 100%;
  border: 1px solid #ddd;
  font-size: 12px;
}

#myTable th, #myTable td {
  text-align: left;
  padding: 5px;
}

#myTable tr {
  border-bottom: 1px solid #ddd;
}

#myTable tr.header, #myTable tr:hover {
  background-color: #f1f1f1;
}
</style>
</head>
<body class="page-body">

    <div class="container-fluid">
			<div class="col-md-6 col-sm-4 clearfix">	
				<ul class="user-info pull-left pull-none-xsm">
		
					<li class="profile-info dropdown">
						<div class="logo">
							<a href="index.html">
								<img src="./resources/assets/images/logo_delfin.png" height="87" alt="" />
							</a>
						</div>
					</li>
				</ul>									
			</div>
			<div class="col-md-6 col-sm-8 clearfix hidden-xs">
		
				<ul class="list-inline links-list pull-right">
					<li>
						<p>Bienvenido: <strong>[${p_usuario.username}/${p_usuario.perfil} - ${p_usuario.denominacionArea}]</strong></p>
						<li>
							<a href="${pageContext.request.contextPath}/">Salir <i class="entypo-logout right"></i></a>
						</li>
						<br>
					</li>
					<li></li>
					<li>
					</li>
				</ul>
		
			</div>   
			<div class="col-md-6 msg-alert-login-error" style="display:none;">
				<div class="alert alert-danger"></div>
			</div>
    </div>
    <!-- /.container-fluid -->



<!-- collapsed -->
<div class="page-container sidebar-collapsed" style="border-top: 1px solid #ccc">
	
	<div class="sidebar-menu">

		<div class="sidebar-menu-inner">
			
			<header class="logo-env">
				<div class="sidebar-collapse">
					<a href="#" class="sidebar-collapse-icon"><!-- add class "with-animation" if you want sidebar to have animation during expanding/collapsing transition -->
						<i class="entypo-menu"></i>
					</a>
				</div>

								
				<!-- open/close menu icon (do not remove if you want to enable menu on mobile devices) -->
				<div class="sidebar-mobile-menu visible-xs">
					<a href="#" class="with-animation"><!-- add class "with-animation" to support animation -->
						<i class="entypo-menu"></i>
					</a>
				</div>

			</header>
			
			<ul id="main-menu" class="main-menu">		
				<c:if test="${(p_usuario.perfilId eq 1) or (p_usuario.perfilId eq 2) or (p_usuario.perfilId eq 9)}">	
				<li class="has-sub">					
					<a href="<c:url value="/registro-referencia"/>">
						<i class="entypo-home"></i>
						<span class="title">Registro Comentarios</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 9) }">
				<li class="has-sub">					
					<a href="<c:url value="/valida-referencia"/>">
						<i class="entypo-doc-text"></i>
						<span class="title">Validacion Comentarios</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 1) or (p_usuario.perfilId eq 2) or (p_usuario.perfilId eq 9) or (p_usuario.perfilId eq 8) or (p_usuario.perfilId eq 0)}">
				<li class="has-sub">					
					<a href="<c:url value="/consulta-referencia"/>">
						<i class="entypo-list"></i>
						<span class="title">Consulta Comentarios</span>
					</a>
				</li>
				</c:if>

				<c:if test="${(p_usuario.perfilId eq 1) or (p_usuario.perfilId eq 2) or (p_usuario.perfilId eq 9) or (p_usuario.perfilId eq 8) or (p_usuario.perfilId eq 0)}">
				<li class="has-sub">					
					<a href="<c:url value="/consulta-descargo"/>">
						<i class="entypo-thumbs-down"></i>
						<span class="title">Validaciones Anuladas</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 8) }">
				<li class="has-sub">					
					<a href="<c:url value="/registro-usuario"/>">
						<i class="entypo-folder"></i>
						<span class="title">Registro Usuarios</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 1) }">
				<li class="has-sub">					
					<a href="<c:url value="/registro-ticket"/>">
						<i class="entypo-doc"></i>
						<span class="title">Registro Ticket-Metas</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 9)}">
				<li class="has-sub">					
					<a href="<c:url value="/registro-general"/>">
						<i class="entypo-book"></i>
						<span class="title">Registro Datos General</span>
					</a>
				</li>
				</c:if>	
				
				<c:if test="${(p_usuario.perfilId eq 8)}">
				<li class="has-sub">					
					<a href="<c:url value="/registro-mantenimiento"/>">
						<i class="entypo-tools"></i>
						<span class="title">Registro Mantenimiento</span>
					</a>
				</li>
				</c:if>							
				
				<c:if test="${not (p_urlbi eq '')}">
					<li>					
						<a href="${p_urlbi}" target="_blank">
							<i class="entypo-chart-bar"></i>
							<span class="title">Visor de avance diario</span>
						</a>
					</li>
				</c:if>
				
			</ul>
			
		</div>

	</div>

	 
	<div class="main-content">
		<div class="panel panel-default">
			  
			  <div class="panel-heading">
			  	<div class="row">
			  		<div class="col-md-12">
			  			<div class="form-group">
					    	<label class="control-label control-label-left col-sm-12" for="field25"><h4>Registro de datos generales</h4></label>
					    </div>
					</div>
				</div>
			  </div>
			  
			  
			  <div class="panel-body">		
			  		<div class="form-group">
				    	<label class="control-label control-label-left col-sm-1" for="field48">Denominacin</label>
				    	
				    	<div class="controls col-sm-11">
				    	
		                <input id="txtDenominacion" required="required" size="50"  maxlength="50" type="text" class="form-control k-textbox" data-role="text" ></div>
		                
					</div>
					
					
					<div class="form-group">
						  <button id="cmdGuardar" type="submit" class="btn btn-lg" name="Guardar">Guardar</button>
					</div>
							
							<div class="row">
								<div class="form-group">
									<input type="text" id="myInput" onkeyup="myFunction()" placeholder="Buscar nombre de hotel..." title="Type in a name">
								</div>
							</div>
							<div class="row">
									<div class="form-group">
										<table id="myTable" class="table table-bordered">
											<thead>
												<tr>							
													<th></th>
													<th>Posicion</th>
													<th>Denominacion</th>
													<th>Cant. Comentarios</th>
													<th>Puntos Burbujas</th>
												</tr>
											</thead>
											
											<tbody>
												<c:forEach items="${listaGeneral_2}" var="g2" varStatus="ctr2">
													<tr>							
														<td>
															<input type="hidden" id="hIdGeneral${g2.generalId}" value="<c:out value="${g2.generalId}"/>">
															<input type="hidden" id="hIdRefGen${g2.generalId}" value="<c:out value="${g2.denominacion}"/>">
															
															<input type="hidden" id="hburbuja${g2.generalId}" value="<c:out value="${g2.puntos}"/>">
															<input type="hidden" id="hposicion${g2.generalId}" value="<c:out value="${g2.indice}"/>">
															<input type="hidden" id="hcomentario${g2.generalId}" value="<c:out value="${g2.valor}"/>">
															<input type="hidden" id="hexcelente${g2.generalId}" value="<c:out value="${g2.excelente}"/>">
															<input type="hidden" id="hmuybueno${g2.generalId}" value="<c:out value="${g2.muybueno}"/>">
															<input type="hidden" id="hregular${g2.generalId}" value="<c:out value="${g2.regular}"/>">
															<input type="hidden" id="hmalo${g2.generalId}" value="<c:out value="${g2.malo}"/>">
															<input type="hidden" id="hpesimo${g2.generalId}" value="<c:out value="${g2.pesimo}"/>">
															
															<button type="button" onclick="setParameter2(${g2.generalId})" class="btn btn-info btn-sm" data-toggle="modal" data-target="#myModal2">Asignar</button>
														</td>
														<td>${g2.indice}</td>							
														<td>${g2.denominacion}</td>
														<td>${g2.valor}</td>
														<td>${g2.puntos}</td>
													</tr>
												</c:forEach>	
											</tbody>
										</table>
								</div>
									
							</div>
			 </div>
		</div>
		
	</div>			
	
</div>
 

<!-- Modal -->
	<div id="myModal1" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Registro datos generales</h4>
	      </div>
	      
	      <div class="modal-body">
		      	<form id="frmRegistroValorGeneral1">
			        	<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<input id="p_txtReferenciaLabel1" disabled="disabled"  type="text" class="form-control k-textbox">
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" for="field24">Valor:</label>
									<div class="controls col-sm-9">
				                		<input id="p_txtValor1" type="text" size="4" maxlength="4" pattern="\d*" title="Indique cantidad valida" required="required" class="form-control k-textbox" data-role="text" >
					            	</div>
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<!-- 
								    <label class="control-label control-label-left col-sm-3" for="field24">Indice:</label>
									<div class="controls col-sm-9">
				                		<input id="p_txtIndice1" type="text" size="2" maxlength="2" required="required" pattern="\d*" title="Indique cantidad valida" class="form-control k-textbox" data-role="text" >
					            	</div>
					            	-->
								</div>
							</div>
						</div>
						
						<div class="form-group">
							<input type="hidden" id="p_hIdGeneral1" value="0">
							<button id="cmdGuardarRegistroGeneral1" type="submit" class="btn btn-lg" name="Guardar">Guardar</button>
						</div>
				</form>	
	      </div>
	      
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	    </div>
	
	  </div>
	</div>
	

	

<!-- Modal -->
	<div id="myModal2" class="modal fade" role="dialog">
	  <div class="modal-dialog">
		<form id="frmRegistroValorGeneral2">
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Registro estado de hoteles</h4>
	      </div>
	      
	      <div class="modal-body">
		      	
			        	<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<input id="p_txtReferenciaLabel2" disabled="disabled" type="text" class="form-control k-textbox">
								</div>
							</div>
						</div>
						
						
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" for="field24">Posicion:</label>
									<div class="controls col-sm-9">
				                		<input id="p_txtIndice2" type="text" required="required" size="4" maxlength="4" pattern="\d*" title="Indique cantidad valida" class="form-control k-textbox" data-role="text" data-parsley-errors-container="#errId2"><span id="errId2" class="error"></span>
					            	</div>
								</div>
							</div>
							<div class="col-md-6">
								
							</div>
						</div>
						
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" for="field24">Comentarios:</label>
									<div class="controls col-sm-9">
				                		<input id="p_txtValor2" type="text" required="required" size="4" maxlength="4" pattern="\d*" title="Indique cantidad valida" class="form-control k-textbox" data-role="text" >
					            	</div>
								</div>
							</div>
							<div class="col-md-6">
								
							</div>
						</div>
						
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" for="field24">Burbujas:</label>
									<div class="controls col-sm-9">
				                		<input id="p_txtPuntos2" type="text" size="6" maxlength="6" required="required" class="form-control k-textbox" data-role="text">
					            	</div>
								</div>
							</div>
							<div class="col-md-6">
								
							</div>
						</div>
						
						<!-- 
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" for="field24">Excelente:</label>
									<div class="controls col-sm-9">
				                		<input id="p_txtCalExcelente2" type="text" required="required" size="4" maxlength="4" pattern="\d*" title="Indique cantidad valida" class="form-control k-textbox" data-role="text" >
					            	</div>
								</div>
							</div>
							<div class="col-md-6">
								
							</div>
						</div>
						
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" for="field24">Muy Bueno:</label>
									<div class="controls col-sm-9">
				                		<input id="p_txtCalMuyBueno2" type="text" required="required" size="4" maxlength="4" pattern="\d*" title="Indique cantidad valida" class="form-control k-textbox" data-role="text" >
					            	</div>
								</div>
							</div>
							<div class="col-md-6">
								
							</div>
						</div>
						
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" for="field24">Regular:</label>
									<div class="controls col-sm-9">
				                		<input id="p_txtCalRegular2" type="text" required="required" size="4" maxlength="4" pattern="\d*" title="Indique cantidad valida" class="form-control k-textbox" data-role="text" >
					            	</div>
								</div>
							</div>
							<div class="col-md-6">
								
							</div>
						</div>
						
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" for="field24">Malo:</label>
									<div class="controls col-sm-9">
				                		<input id="p_txtCalMalo2" type="text" required="required" size="4" maxlength="4" pattern="\d*" title="Indique cantidad valida" class="form-control k-textbox" data-role="text" >
					            	</div>
								</div>
							</div>
							<div class="col-md-6">
								
							</div>
						</div>
						
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" for="field24">Pesimo:</label>
									<div class="controls col-sm-9">
				                		<input id="p_txtCalPesimo2" type="text" required="required" size="4" maxlength="4" pattern="\d*" title="Indique cantidad valida" class="form-control k-textbox" data-role="text" >
					            	</div>
								</div>
							</div>
							<div class="col-md-6">
								
							</div>
						</div>
			
						<div class="form-group">
							<input type="hidden" id="p_hIdGeneral2" value="0">
							<button id="cmdGuardarRegistroGeneral2" type="submit" class="btn btn-lg" name="Guardar">Guardar</button>
						</div>
						 -->			
					
	      </div>
	      
	      <div class="modal-footer">
	      	<input type="hidden" id="p_hIdGeneral2" value="0">
			<button id="cmdGuardarRegistroGeneral2" type="submit" class="btn btn-info" name="Guardar">Guardar</button>
	        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	    </div>
		</form>
		
	  </div>
	</div>

		<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery-ui/js/jquery-ui-1.10.3.minimal.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>


	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>


	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>


	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
		<script type="text/javascript">
		function setParameter1(index){
			
	    	var vIdGeneral=document.getElementById('hIdGeneral'+index+'');
	    	var vDenominacion=document.getElementById('hIdRefGen'+index+'');
	    	
	        $("#p_hIdGeneral1").val(vIdGeneral.value);
	        $("#p_txtReferenciaLabel1").val(vDenominacion.value);
	        
	    }
		function setParameter2(index){

	    	var vIdGeneral=document.getElementById('hIdGeneral'+index+'');
	    	var vDenominacion=document.getElementById('hIdRefGen'+index+'');
	    	//--
	    	var vburbuja=document.getElementById('hburbuja'+index+'');
	    	var vposicion=document.getElementById('hposicion'+index+'');
	    	var vcomentario=document.getElementById('hcomentario'+index+'');
	    	var vexcelente=document.getElementById('hexcelente'+index+'');
	    	var vmuybueno=document.getElementById('hmuybueno'+index+'');
	    	var vregular=document.getElementById('hregular'+index+'');
	    	var vmalo=document.getElementById('hmalo'+index+'');
	    	var vpesimo=document.getElementById('hpesimo'+index+'');
	    	
	        $("#p_hIdGeneral2").val(vIdGeneral.value);
	        $("#p_txtReferenciaLabel2").val(vDenominacion.value);
	        //--
	        $("#p_txtPuntos2").val(vburbuja.value);
	        $("#p_txtIndice2").val(vposicion.value);
	        $("#p_txtValor2").val(vcomentario.value);
	        $("#p_txtCalExcelente2").val(vexcelente.value);
	        $("#p_txtCalMuyBueno2").val(vmuybueno.value);
	        $("#p_txtCalRegular2").val(vregular.value);
	        $("#p_txtCalMalo2").val(vmalo.value);
	        $("#p_txtCalPesimo2").val(vpesimo.value);
	    }
		
		function myFunction() {
		  var input, filter, table, tr, td, i;
		  input = document.getElementById("myInput");
		  filter = input.value.toUpperCase();
		  table = document.getElementById("myTable");
		  tr = table.getElementsByTagName("tr");
		  for (i = 0; i < tr.length; i++) {
			td = tr[i].getElementsByTagName("td")[0];
			if (td) {
			  if (td.innerHTML.toUpperCase().indexOf(filter) > -1) {
				tr[i].style.display = "";
			  } else {
				tr[i].style.display = "none";
			  }
			}       
		  }
		}

		$(document).ready(function() {
	        $("#p_txtValor1").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
		$(document).ready(function() {
	        $("#p_txtIndice1").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
		$(document).ready(function() {
	        $("#p_txtPuntos2").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
		$(document).ready(function() {
	        $("#p_txtIndice2").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
		$(document).ready(function() {
	        $("#p_txtValor2").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
		$(document).ready(function() {
	        $("#p_txtCalExcelente2").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
		$(document).ready(function() {
	        $("#p_txtCalMuyBueno2").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
		$(document).ready(function() {
	        $("#p_txtCalRegular2").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
		$(document).ready(function() {
	        $("#p_txtCalMalo2").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
	    
		$(document).ready(function() {
	        $("#p_txtCalPesimo2").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
	</script>
	

</body>
</html>