<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body >

 	<div class="row">
		<div class="form-group" >
			<c:if test="${(p_usuario.idPerfilLead eq 1)}">
			<table class="table table-striped table-bordered compact">
				<thead>
					<tr>
						<th align="left" colspan="21">
							<a href="<c:url value="/downloadFile"/>" >
								<img src="./resources/assets/images/excel-icon.png" height="28" alt="Descargar plantilla excel para carga de leads" />
							</a>
							&nbsp
							<button type="button" class="btn btn-info btn-md" data-toggle="modal" data-target="#mUpload">Cargar excel <i class="entypo-upload"></i> </button>
						</th>
					</tr>
				</thead>	
			</table>
			</c:if>	
			
			<c:if test="${(p_usuario.idPerfilLead eq 2) or (p_usuario.idPerfilLead eq 1)}">
			<table class="table table-striped table-bordered compact">
				<thead>
					<tr>
						<th align="left" colspan="21">
							<c:if test="${not empty listaLeads}">
							
								<button type="button" class="btn btn-info btn-md" data-toggle="modal" onclick="setTamanoLista(${listaLeads.size()})" data-target="#mAsignaEjecutivoAll">Asignar Ejecutivo <i class="entypo-user-add"></i> </button>
								
							</c:if>	
						</th>
					</tr>
				</thead>	
			</table>
			</c:if>
			
			
			
			<c:if test="${(not empty msgCarga)}">
			<table class="table table-striped table-bordered compact">
				<tbody>
					<tr>
						<th align="left" colspan="21">
							<b>${msgCarga}</b>
						</th>
					</tr>
				</tbody>	
			</table>
			</c:if>	
			
			<c:if test="${(not empty listaErrors) and (p_usuario.idPerfilLead eq 1)}">
				<table id="tmante" cellspacing="0" cellpadding="0" class="table table-striped table-bordered compact" style="width:100%" >
						<thead>
							<tr align="right">
								<th>
									
								</th>
								<!-- <th>ERROR_NUMBER</th> -->
								<th>ERROR_MESSAGE</th>
								<th>ERROR_DATE</th>
								<th>id_adset_name_1</th>
								<th>dia_adset_2</th>
								<th>mes_adset_3</th>
								<th>anyo_adset_4</th>
								<th>pax_adulto_5</th>
								<th>pax_ninyo_6</th>
								<th>nombre_cliente_8</th>
								<th>email_cliente_9</th>
								<th>telefono_cliente_10</th>
							</tr>
						</thead>
						<tbody>
							
							<c:forEach items="${listaErrors}" var="o" varStatus="i" >
								<tr align="right">			
									<td align="center">
										${i.count}
									</td>				
									<!-- <td>${o.ERROR_NUMBER}</td> -->
									<td>${o.ERROR_MESSAGE}</td>
									<td>${o.ERROR_DATE}</td>
									<td>${o.id_adset_name_1}</td>
									<td>${o.dia_adset_2}</td>
									<td>${o.mes_adset_3}</td>
									<td>${o.anyo_adset_4}</td>
									<td>${o.pax_adulto_5}</td>
									<td>${o.pax_ninyo_6}</td>
									<td>${o.nombre_cliente_8}</td>
									<td>${o.email_cliente_9}</td>
									<td>${o.telefono_cliente_10}</td>
								</tr>
							</c:forEach>
						</tbody>
					</table>
			</c:if>
			
			<c:if test="${(empty listaLeads)}">
			<table class="table table-striped table-bordered compact">
				<tbody>
					<tr>
						<th align="left" >
							<b>Mostrando cero (0) registros</b>
						</th>
					</tr>
				</tbody>	
			</table>
			</c:if>	
			
			<c:if test="${not empty listaLeads}">
				<table id="tmante" cellspacing="0" cellpadding="0" border="0" class="table table-striped table-bordered compact" style="width:100%" >
						<thead>
							<tr align="right">
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								
								<th></th>
								
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								<th></th>
								<!-- filtros adicionales -->
									<th></th>
									<th></th>
									<th></th>
									<th></th>
									<th></th>
									<th></th>
									<th></th>
									<th></th>
								<c:if test="${(p_usuario.idPerfilLead eq 2) or (p_usuario.idPerfilLead eq 1)}">	
								<th>
								</th>
								</c:if>
								
								<c:if test="${(p_usuario.idPerfilLead eq 3)}">
								<th>
									<input type="checkbox" id="selectAll" >
								</th>
								<th>
									<button type="button" class="btn btn-info btn-xs" onclick="setIdLeads()" data-toggle="modal" data-target="#mMailMasivo">Asigna Mail<i class="entypo-mail"></i> </button>
								</th>
								</c:if>
							</tr>
							<tr align="right" >
								<th></th>
								<th></th>
								<th>Denominación Servicio</th>
								<th>Fecha Servicio</th>
								<th align="right">Pax<br>Adul</th>
								<th align="right">Pax<br>Niño</th>
								<th>Nombre Cliente</th>
								<th>Email Cliente</th>
								<th>Telefono Cliente</th>
								<th align="right">S/. Paq<br>Adul</th>
								
								<th align="right">S/. Paq<br>Niño</th>
								<th align="right">S/. Total</th>
								<th>Area</th>
								<th>Sub Area</th>
								<th>Fecha Carga</th>
								<th>Ejecutivo</th>
								<th>Fecha Contacto</th>
								<th>Fecha Proxima</th>
								<th>Hora</th>
								<!-- filtros adicionales -->
									<th>Res.</th>
									<th>Motivo</th>
									<th>Seq</th>
									<th>Cot.</th>
									
									<th>Canal</th>
									<th>Pax Final</th>
									<th>Revenue</th>
								<c:if test="${(p_usuario.idPerfilLead eq 2) or (p_usuario.idPerfilLead eq 1)}">	
								<th>
									<!-- Reasignar -->
								</th>
								</c:if>
								
								<c:if test="${(p_usuario.idPerfilLead eq 3)}">
									<th>
									</th>
									<th>
										<!-- Seguimiento -->
									</th>
								</c:if>
							</tr>
						</thead>
						<tbody id="bodyLeadTable">
							<c:set var="total_pax_adulto" value="0" scope="request" />
							<c:set var="total_pax_ninyo" value="0" scope="request" />
							<c:set var="total_costo_total" value="0" scope="request" />
							
							<c:forEach items="${listaLeads}" var="o" varStatus="i" >
							
								<tr align="left" id="${o.idLead}" style="background: ${o.colorRegistroLead};" >
									<td align="center">
										<input type="hidden" value="${o.nombreCliente}" id="hNombreCliente${o.idLead}" >
										<input type="hidden" value="${o.idEjecutivo}" id="hIdEjecutivo${o.idLead}" >
										<input type="hidden" value="${o.idLead}" id="hIdLead${o.idLead}" >
										
										<input type="hidden" value="${o.fechaAdSet}" id="hFechaAdSet${o.idLead}" >
										
										${i.count}
									</td>				
									
									<c:if test="${o.seguimiento>0}">
									<td align="center" class="details-control"  >
										<i class="entypo-folder"></i>
									</td>
									</c:if>
									
									<c:if test="${o.seguimiento eq 0}">
									<td>
										
									</td>
									</c:if>
									
									<td>${o.adSetName}</td>
									<td>${o.fechaAdSet}</td>
									<td align="right">${o.paxAdulto}</td>
									<td align="right">${o.paxNinyo}</td>
									<td>${o.nombreCliente}</td>
									<td>${o.emailCliente}</td>
									
										<td>
											${o.telefonoCliente}
											<a href="https://wa.me/${o.wpTelefonoCliente}?text=${o.wpAdSetName}" target="_blank" >
												<button type="button" class="btn btn-success btn-xs">
													WhatsApp<i class="entypo-flickr-circled"></i> 
												</button>
											</a>
											
										</td>
									
									<td align="right">${o.precioPaxAdulto}</td>
									
									<td align="right">${o.precioPaxNinyo}</td>
									<td align="right">${(o.totalReserva)}</td>
									<td>${o.area}</td>
									<td>${o.subArea}</td>
									<td>${o.fechaCarga}</td>
									<td>${o.ejecutivo}</td>
									<th>${o.fechaContacto}</th>
									<td>${o.fechaProxima}</td>
									<td>${o.hora}</td>
									<!-- filtros adicionales -->
										<th>${o.reserva}</th>
										<th>${o.motivo}</th>
										<th>${o.seqSeguimiento}</th>
										<th>${o.cotizado}</th>
										
										<th>${o.canal}</th>
										<!--  -->
										<th>${o.paxFinal}</th>
										<th>${o.revenue}</th>
										
									<c:if test="${(p_usuario.idPerfilLead eq 2) or (p_usuario.idPerfilLead eq 1)}">
									<td>
										<button type="button" class="btn btn-success btn-xs" onclick="setParameter(${o.idLead})" data-toggle="modal" data-target="#mAsignaEjecutivoSingle">Reasignar<i class="entypo-user"></i> </button>
									</td>
									</c:if>
									
									<c:if test="${(p_usuario.idPerfilLead eq 3)}">
									<td><input type="checkbox" id="ch${o.idLead}" text="${o.idLead}" ></td>
									<td>
									
										<button type="button" class="btn btn-info btn-xs" onclick="setUpdFechaServicio(${o.idLead})" data-toggle="modal" data-target="#mUpdateFechaServicio">Modificar<i class="entypo-pencil"></i> </button>
										
										<button type="button" class="btn btn-success btn-xs" onclick="setParameterSeguimiento(${o.idLead})" data-toggle="modal" data-target="#mSeguimiento">Seguimiento<i class="entypo-check"></i> </button>
									</td>
									</c:if>
									<c:set var="total_pax_adulto" value="${total_pax_adulto + o.paxAdulto}" scope="request"/>
									<c:set var="total_pax_ninyo" value="${total_pax_ninyo + o.paxNinyo}" scope="request"/>
									<c:set var="total_costo_total" value="${total_costo_total + o.totalReserva}" scope="request"/>
								</tr>
								
								<div style="height: 0; width: 0; position: absolute; visibility: hidden;width:85%;align:center"  id="subViewDivSeguimiento${o.idLead}"></div>
								
							</c:forEach>
						</tbody>
						 
						<thead>
							<tr >
								<td></td>
								<td></td>
								<td align="right">Total:</td>
								<td></td>
								<td align="right">
									${total_pax_adulto}
								</td>
								<td align="right">
									${total_pax_ninyo}
								</td>
								<td></td>
								<td></td>
								<td></td>
								<td></td>
								
								<td align="right">
								</td>
								<td align="right">
								</td>
								<td align="right">
									<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_costo_total}"/>
								</td>
								<td></td>
								<td></td>
								<td></td>
								<th></th>
								<td></td>
								<td></td>
								<!-- filtros adicionales -->
										<th></th>
										<th></th>
										<th></th>
										<th></th>
										
										<th></th>
										<th></th>
										<th></th>
								<c:if test="${(p_usuario.idPerfilLead eq 2) or (p_usuario.idPerfilLead eq 1)}">
									<td></td>
								</c:if>
								<c:if test="${(p_usuario.idPerfilLead eq 3)}">
									<td></td>
									<td></td>
								</c:if>
							</tr>
							
							<tr align="right">
								<th colspan="10">
									<table cellspacing="5" width="100%" >
										<tr>
											<th >
												<p style="color:#000000;background-color: #33cc33;">
												POSEE FECHA PROXIMA
												</p>
											</th>
											<th >
												<p style="color:#000000;background-color: #ffff00;">
												REALIZA RESERVA
												</p>
											</th>
											<th >
												<p style="color:#000000;background-color: #878778;">
												CERRADO - NO DESEA SERVICIO
												</p>
											</th>
										</tr>
									</table>
								</th>	
								
								<th ></th>
								<th ></th>
								<th ></th>
								<th ></th>
								<th ></th>
								<th></th>
								<th ></th>
								<th ></th>
								<th ></th>
								<!-- filtros adicionales -->
										<th></th>
										<th></th>
										<th></th>
										
										<th></th>
										<th></th>
										<th></th>
										<th></th>
								<c:if test="${(p_usuario.idPerfilLead eq 2) or (p_usuario.idPerfilLead eq 1)}">	
									<th></th>
								</c:if>
								<c:if test="${(p_usuario.idPerfilLead eq 3)}">
									<th></th>
									<th></th>
								</c:if>
							</tr>
						</thead>
							
					</table>
			</c:if>
				</div>
			</div>
	
	
	
	<script>
		
		$(document).ready(function() {
			 var table = $('#tmante').DataTable( {
		    	"scrollCollapse": true,
		        "jQueryUI":       true,
		        "bFilter": true,
		        "pageLength": 100,
		        dom : 'Bfrtip',
				buttons : ['excel']
		    		} );

	    		
			 $('#tmante tbody').on('click', 'td.details-control', function () {
			        var tr = $(this).closest('tr');
			        var row = table.row( tr );

			        if ( row.child.isShown() ) {
			            // This row is already open - close it
			            row.child.hide();
			            tr.removeClass('shown');
			        }
			        else {
			            // Open this row
			            var pIdLead=row.id();
			            row.child( format(row.data(),pIdLead) ).show();
			            tr.addClass('shown');
			        }
			    });	

			 $('#tmante tr').click(function()
					 {
				 $("#tmante tr").removeClass('seleccionar_fila');
				 $(this).addClass('seleccionar_fila');
				 
					 }); 

		});

		/* Formatting function for row details - modify as you need */
		function format ( d,pIdLead ) {
		    // `d` is the original data object for the row
		    showLeadsSeguimiento(pIdLead)
		    
		    var htmlString = $("#subViewDivSeguimiento"+pIdLead+"").html();
		    return htmlString;
		}

		 
		function setParameter(idLead){
			var hNombreCliente=document.getElementById('hNombreCliente'+idLead+'');
			var hIdEjecutivo=document.getElementById('hIdEjecutivo'+idLead+'');
			var hIdLead=document.getElementById('hIdLead'+idLead+'');

			$("#txtFecSerNombreCliente").val(hNombreCliente.value);
			$("#hIdEjecutivo").val(hIdEjecutivo.value);
        	$("#hIdLead").val(hIdLead.value);
		}

		
		function setUpdFechaServicio(idLead){
			var hIdLead=document.getElementById('hIdLead'+idLead+'');
			var hNombreCliente=document.getElementById('hNombreCliente'+idLead+'');
			var hFechaAdSet=document.getElementById('hFechaAdSet'+idLead+'');
			
			$("#hIdFecSerLead").val(hIdLead.value);
			$("#txtFecSerNombreCliente").val(hNombreCliente.value);
        	$("#txtFechaAdset").val(hFechaAdSet.value);
		}

		
		function setParameterSeguimiento(idLead){
			var hNombreCliente=document.getElementById('hNombreCliente'+idLead+'');
			var hIdEjecutivo=document.getElementById('hIdEjecutivo'+idLead+'');
			var hIdLead=document.getElementById('hIdLead'+idLead+'');
			
			$("#txtNombreClienteSeguimiento").val(hNombreCliente.value);
			$("#hIdEjecutivoSeguimiento").val(hIdEjecutivo.value);
        	$("#hIdLeadSeguimiento").val(hIdLead.value);

        	$("#txtPaxFinal").val("");
   			$("#txtRevenue").val("");
   			$("#txtServicioFinal").val("");

   			selectMotivo();
		}

		
		function showLeadsSeguimiento(pIdLead){
				
			var baseURL=$('#contextPathHolder').attr('data-contextPath');
			
			$.ajax({
				url : baseURL + "/buscar-leads-seguimiento",
				data : {
					idLead:pIdLead	
				},
				async:false,
				type : "get",
				success : function(response) {
					$("#subViewDivSeguimiento"+pIdLead+"").html( response );
				}
			});
		}
		function setTamanoLista(tamano){
			$("#hTamanoLista").val(tamano);
		}

		$('#selectAll').click(function(e){
		    var table= $(e.target).closest('table');
		    $('td input:checkbox',table).prop('checked',this.checked);
		});

		function setIdLeads(){
			var cant=0
			var idLeads=""
			$('#tmante tr').each(function (i, row) {
		        var $actualrow = $(row);
		        $checkbox = $actualrow.find('input:checked');
		        if (typeof $checkbox.attr('text') !== "undefined") {
		        	idLeads=idLeads+","+$checkbox.attr('text');
		        	cant=cant+1;
		        }
		    });
			$("#hMailIdLeads").val(idLeads);
			$("#hMailIdLeadsCant").val(cant);
		}
	</script>
	
	<style>
		.details-control:hover {
		  cursor: pointer;
		}
	</style>
	
</body>
</html>