<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ include file="/common/taglibs.jsp"%>


<!DOCTYPE html>
<html lang="en">
<head>
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="description" content="Biblioteca ENAMM" />
	<meta name="author" content="" />

	<link rel="icon" href="<c:url value="/resources/assets/images/favicon.ico"/>">

	<title>DELFINES HOTEL & CONVENTION CENTER</title>

	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jquery-ui/css/no-theme/jquery-ui-1.10.3.custom.min.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Noto+Sans:400,700,400italic">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	

	<script src="./resources/assets/js/jquery-1.11.3.min.js"></script>

	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<script type="text/javascript"
		src="<c:url value="/resources/js/fn_registro_referencia.js" />"></script>
	
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">

  <link rel="stylesheet" type="text/css" media="all" href="<c:url value="/resources/assets/js/daterangepicker/daterangepicker-bs3.css"/>" />
  <script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/moment.js"/>"></script>
  <script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/daterangepicker.js"/>"></script>
  <!--  Inicio JR  -->
  <script type="text/javascript" src="<c:url value="/resources/assets/js/bootstrap-datepicker.js"/>"></script>
  <!--  Fin JR  -->
        	

      
</head>
<body class="page-body">



    <div class="container-fluid">
			<div class="col-md-6 col-sm-4 clearfix">	
				<ul class="user-info pull-left pull-none-xsm">
		
					<li class="profile-info dropdown">
						<div class="logo">
							<a href="index.html">
								<img src="./resources/assets/images/logo_delfin.png" height="87" alt="" />
							</a>
						</div>
					</li>
				</ul>									
			</div>
			<div class="col-md-6 col-sm-8 clearfix hidden-xs">
		
				<ul class="list-inline links-list pull-right">
					<li>
						<p>Bienvenido: <strong>[${p_usuario.username}/${p_usuario.perfil} - ${p_usuario.denominacionArea}]</strong></p>
						<li>
							<a href="${pageContext.request.contextPath}/">Salir <i class="entypo-logout right"></i></a>
						</li>
						<br>
					</li>
					<li></li>
					<li>
					</li>
				</ul>
		
			</div>   
			<div class="col-md-6 msg-alert-login-error" style="display:none;">
				<div class="alert alert-danger"></div>
			</div>
    </div>
    <!-- /.container-fluid -->



<!-- collapsed -->
<div class="page-container sidebar-collapsed" style="border-top: 1px solid #ccc">
	
	<div class="sidebar-menu">

		<div class="sidebar-menu-inner">
			
			<header class="logo-env">
				<div class="sidebar-collapse">
					<a href="#" class="sidebar-collapse-icon"><!-- add class "with-animation" if you want sidebar to have animation during expanding/collapsing transition -->
						<i class="entypo-menu"></i>
					</a>
				</div>

								
				<!-- open/close menu icon (do not remove if you want to enable menu on mobile devices) -->
				<div class="sidebar-mobile-menu visible-xs">
					<a href="#" class="with-animation"><!-- add class "with-animation" to support animation -->
						<i class="entypo-menu"></i>
					</a>
				</div>

			</header>
			
									
			<ul id="main-menu" class="main-menu">		
				<c:if test="${(p_usuario.perfilId eq 1) or (p_usuario.perfilId eq 2) or (p_usuario.perfilId eq 9)}">	
				<li class="has-sub">					
					<a href="<c:url value="/registro-referencia"/>">
						<i class="entypo-home"></i>
						<span class="title">Registro Comentarios</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 9) }">
				<li class="has-sub">					
					<a href="<c:url value="/valida-referencia"/>">
						<i class="entypo-doc-text"></i>
						<span class="title">Validacion Comentarios</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 1) or (p_usuario.perfilId eq 2) or (p_usuario.perfilId eq 9) or (p_usuario.perfilId eq 8) or (p_usuario.perfilId eq 0)}">
				<li class="has-sub">					
					<a href="<c:url value="/consulta-referencia"/>">
						<i class="entypo-list"></i>
						<span class="title">Consulta Comentarios</span>
					</a>
				</li>
				</c:if>

				<c:if test="${(p_usuario.perfilId eq 1) or (p_usuario.perfilId eq 2) or (p_usuario.perfilId eq 9) or (p_usuario.perfilId eq 8) or (p_usuario.perfilId eq 0)}">
				<li class="has-sub">					
					<a href="<c:url value="/consulta-descargo"/>">
						<i class="entypo-thumbs-down"></i>
						<span class="title">Validaciones Anuladas</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 8) }">
				<li class="has-sub">					
					<a href="<c:url value="/registro-usuario"/>">
						<i class="entypo-folder"></i>
						<span class="title">Registro Usuarios</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 1) }">
				<li class="has-sub">					
					<a href="<c:url value="/registro-ticket"/>">
						<i class="entypo-doc"></i>
						<span class="title">Registro Ticket-Metas</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 9)}">
				<li class="has-sub">					
					<a href="<c:url value="/registro-general"/>">
						<i class="entypo-book"></i>
						<span class="title">Registro Datos General</span>
					</a>
				</li>
				</c:if>	
				
				<c:if test="${(p_usuario.perfilId eq 8)}">
				<li class="has-sub">					
					<a href="<c:url value="/registro-mantenimiento"/>">
						<i class="entypo-tools"></i>
						<span class="title">Registro Mantenimiento</span>
					</a>
				</li>
				</c:if>							
				
				<c:if test="${not (p_urlbi eq '')}">
					<li>					
						<a href="${p_urlbi}" target="_blank">
							<i class="entypo-chart-bar"></i>
							<span class="title">Visor de avance diario</span>
						</a>
					</li>
				</c:if>
				
			</ul>
			
		</div>

	</div>

	<div class="main-content">
				
		<div class="row">
			<form id="frmReferencia" >
				<div class="col-md-12">
				
				<div class="panel panel-default">
				  
				  <div class="panel-heading">
				  	<div class="row">
				  		<div class="col-md-12">
				  			<div class="form-group">
						    	<label class="control-label control-label-left col-sm-12" for="field25"><h4>Registro de Comentarios</h4></label>
						    </div>
						</div>
					</div>
				  </div>
				  
				  
				  <div class="panel-body">
					<div class="row"><div class="col-md-6"><div class="form-group">
						    <label class="control-label control-label-left col-sm-3" for="field25">Nombres:</label>
						    <div class="controls col-sm-9">
			                <input type="text" id="txtNomCliente" required size="30" maxlength="30" name="txtApeCliente" class="form-control k-textbox" data-role="text" style="text-transform: uppercase"></div>
			                
					</div></div><div class="col-md-6"><div class="form-group">
						    <label class="control-label control-label-left col-sm-3" for="field26">Apellidos:</label>
						    <div class="controls col-sm-9">
			                    
			                <input type="text" id="txtApeCliente" name="txtNomCliente" required="required" size="30" maxlength="30" class="form-control k-textbox" data-role="text" style="text-transform: uppercase"></div>
					</div></div></div>
					
					<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label control-label-left col-sm-3" for="field38">Tarjeta:</label>
								    <div class="controls col-sm-9">
					                <input type="text" id="txtNroTarjeta" pattern="\d*" title="Indique numero valido" required="required" size="7" maxlength="7" class="form-control k-textbox"  data-role="text" style="text-transform: uppercase"></div>
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
								</div>
							</div>
					</div>
					
					<div class="row"><div class="col-md-6"><div class="form-group">
						    <label class="control-label control-label-left col-sm-3" for="field39">Email:</label>
						    <div class="controls col-sm-9">
			                <input type="email" id="txtEmailCliente" class="form-control k-textbox" data-role="text" data-parsley-errors-container="#errId7" required size="50" maxlength="50" style="text-transform: uppercase" ></div>
					</div></div><div class="col-md-6"><div class="form-group">
						    <label class="control-label control-label-left col-sm-3" for="field40">Telefono:	</label>
						    <div class="controls col-sm-9">
			                    
			                	<input type="text" id="txtTelefonoCliente" pattern="\d*" title="Indique numero valido" size="10" maxlength="10" class="form-control k-textbox" style="text-transform: uppercase">
			                	
			                </div>
			                
					</div></div></div>
					
						<div class="row">
							<div class="col-md-6">
							
							<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3" for="field41">Fecha Ingreso:</label>
							    <div class="controls col-sm-9">
				                    
				                	<!-- Inicio JR  -->				                	
				                	
				                	<div class="input-group">
										<input type="text" id="txtCheckIn" required="required" class="form-control datepicker" data-format="dd/mm/yyyy" format="dd/mm/yyyy">
										<div class="input-group-addon">
											<a href="#"><i class="entypo-calendar"></i></a>
										</div>
									</div>
									<!-- Fin JR  -->
			                		<span id="errId8" class="error"></span>
				                </div>
			                </div>
			                
							</div>
							
							<div class="col-md-6"><div class="form-group">
						    <label class="control-label control-label-left col-sm-3" for="field42">Fecha Salida:</label>
						    <div class="controls col-sm-9">
			                	<!-- Inicio JR  -->				                	
			                	<div class="input-group">
									<input type="text" id="txtCheckOut" required="required" class="form-control datepicker" data-format="dd/mm/yyyy" format="dd/mm/yyyy">
									<div class="input-group-addon">
										<a href="#"><i class="entypo-calendar"></i></a>
									</div>
								</div>
								<!-- Fin JR  -->
			                </div>
			                
							</div>
							
						</div>
					
					
					</div>
					
					<div class="row">
							<div class="col-md-12">
								<div class="form-group">
				        			<button id="btnGuardarReferencia" type="submit" class="btn btn-lg" name="Guardar">Guardar</button>        
				                </div>
							</div>
					</div>
					
					
					<div id="subViewDiv"></div>
					
					</div>
			
					
			
            	</div>
              </div><!-- footer -->
              
            </form>
        </div>

	</div>			

	
</div>


	





		<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery-ui/js/jquery-ui-1.10.3.minimal.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>


	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>


	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>


	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
    
    <script>
    $('.datepicker').datepicker();
    $('.datepicker').datepicker({
        dateFormat: 'dd/mm/yyyy',
        format: 'dd/mm/yyyy'
     });

    $(document).ready(function() {
        $("#txtNroTarjeta").keydown(function (e) {
            // Allow: backspace, delete, tab, escape, enter and .
            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
                 // Allow: Ctrl/cmd+A
                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+C
                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+X
                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: home, end, left, right
                (e.keyCode >= 35 && e.keyCode <= 39)) {
                     // let it happen, don't do anything
                     return;
            }
            // Ensure that it is a number and stop the keypress
            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
                e.preventDefault();
            }
        });
    });    

    $(document).ready(function() {
        $("#txtTelefonoCliente").keydown(function (e) {
            // Allow: backspace, delete, tab, escape, enter and .
            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
                 // Allow: Ctrl/cmd+A
                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+C
                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+X
                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: home, end, left, right
                (e.keyCode >= 35 && e.keyCode <= 39)) {
                     // let it happen, don't do anything
                     return;
            }
            // Ensure that it is a number and stop the keypress
            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
                e.preventDefault();
            }
        });
    });
    </script>
	
</body>
</html>