<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ include file="/common/taglibs.jsp"%>


<!DOCTYPE html>
<html lang="en">
<head>
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="description" content="Biblioteca ENAMM" />
	<meta name="author" content="" />

	<link rel="icon" href="<c:url value="/resources/assets/images/favicon.ico"/>">

	<title>DELFINES HOTEL & CONVENTION CENTER</title>

	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jquery-ui/css/no-theme/jquery-ui-1.10.3.custom.min.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Noto+Sans:400,700,400italic">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	

	<script src="./resources/assets/js/jquery-1.11.3.min.js"></script>

	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

<script type="text/javascript"
	src="<c:url value="/resources/js/fn_registro_ticket_table.js" />"></script>
	
	<style>
	* {
	  box-sizing: border-box;
	}
	
	#myInput {
	  background-image: url('/css/searchicon.png');
	  background-position: 10px 10px;
	  background-repeat: no-repeat;
	  width: 100%;
	  font-size: 16px;
	  padding: 12px 20px 12px 40px;
	  border: 1px solid #ddd;
	  margin-bottom: 12px;
	}
	
	#myTable {
	  border-collapse: collapse;
	  width: 100%;
	  border: 1px solid #ddd;
	  font-size: 12px;
	}
	
	#myTable th, #myTable td {
	  text-align: left;
	  padding: 12px;
	}
	
	#myTable tr {
	  border-bottom: 1px solid #ddd;
	}
	
	#myTable tr.header, #myTable tr:hover {
	  background-color: #f1f1f1;
	}
	</style>
	
</head>

<body class="page-body">
  		<div class="row">
  		
  			<div class="form-group">
				<input type="text" id="myInput" onkeyup="myFunction()" placeholder="Buscar nombre de usuario..." title="Type in a name">
				</input>
			</div>
			
			<div class="form-group">
				<table id="myTable" class="table table-bordered">
					<thead>
						<tr>				
							<th></th>			
							<th>Cdigo</th>
							<th>Apellidos y Nombres</th>
							<th>Area</th>
							<th>Ticket Desde</th>
							<th>Ticket Hasta</th>
							<th>Cantidad</th>
							<th>Meta Entrega</th>
							<th>Meta Validacion</th>
						</tr>
					</thead>
					
					<tbody>
						<c:forEach items="${listaUsuarios}" var="u" varStatus="ctr">
							<tr>							
								<td>
									<input type="hidden" id="hIdUsuario${ctr.index}" value="<c:out value="${u.usuarioId}"/>">
									<input type="hidden" id="hApeNomUsuario${ctr.index}" value="<c:out value="${u.apellidosNombres}"/>">
									<button type="button" onclick="setParameter(${ctr.index})" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal">Asignar Ticket</button>
								</td>
								<td>${u.usuarioId}</td>
								<td>${u.apellidosNombres}</td>
								<td>${u.denominacionArea}</td>
								
								<td>${u.ticketDesde}</td>
								<td>${u.ticketHasta}</td>
								<td>${u.cantidad}</td>
								<td>${u.metaEntrega}</td>
								<td>${u.metaValidacion}</td>
							</tr>
						</c:forEach>
					</tbody>
				</table>
			</div>
		</div>				
						
						
	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery-ui/js/jquery-ui-1.10.3.minimal.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>


	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>


	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>
	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>

	<script type="text/javascript">
		function setParameter(index){
	    	var vIdUsuario=document.getElementById('hIdUsuario'+index+'');
	        $(".modal-body #hIdUsuario").val(vIdUsuario.value);

	        var vApeNomUsuario=document.getElementById('hApeNomUsuario'+index+'');
	        $(".modal-body #txtApeNomUsuarioLabel").val(vApeNomUsuario.value);
	    }

		function myFunction() {
			  var input, filter, table, tr, td, i;
			  input = document.getElementById("myInput");
			  filter = input.value.toUpperCase();
			  table = document.getElementById("myTable");
			  tr = table.getElementsByTagName("tr");
			  for (i = 0; i < tr.length; i++) {
				td = tr[i].getElementsByTagName("td")[0];
				if (td) {
				  if (td.innerHTML.toUpperCase().indexOf(filter) > -1) {
					tr[i].style.display = "";
				  } else {
					tr[i].style.display = "none";
				  }
				}       
			  }
			}
	</script>	
</body>
</html>
