
<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body>
 	<div class="row">
		<div class="form-group">
				<table id="tmante_head" cellspacing="0" cellpadding="0" border="0" style="width:100%" class="table table-striped table-bordered dt-responsive" style="width:100%" >
						<thead>
							<tr>
								<th colspan="17">
									<button type="button" onclick="initParameter()" class="btn btn-success btn-sm" data-toggle="modal" data-target="#mManteReserva">Agregar<i class="entypo-plus"></i>
									</button>
								</th>
							</tr>
							<tr align="right">
								<th>Reserva</th>
								<th>Cliente</th>
								<th>Telefono</th>
								<th>Fecha Reserva</th>
								<th>Tipo Servicio</th>
								<th>Outlet</th>
								<th>Adulto</th>
								<th>Niño</th>
								<th>Vip Club</th>
								<th>Observaciones</th>
								<th>Fecha Creacion</th>
								<th>Ejecutivo</th>
									<th>Venta Neto</th>
									<th>Nro Check</th>
								<th></th>
							</tr>
						</thead>
						<tbody id="bodyLeadTable">
							<c:forEach items="${lista}" var="o" varStatus="i" >
								<tr align="left" id="${o.idReserva}">
									<td >&nbsp${o.idReserva}</td>
									<td >&nbsp${o.cliente}</td>
									<td >&nbsp${o.telefono}</td>
									<td >&nbsp${o.fechaReserva} ${o.hhmmReserva}</td>
									<td >&nbsp${o.tipoReserva}</td>
									<td >&nbsp${o.outlet}</td>
									
									<td align="right" >&nbsp${o.cantAdultos}</td>
									<td align="right" >&nbsp${o.cantMenores}</td>
									
									<td >&nbsp${o.vipclub}</td>
									<td >&nbsp${o.comentarios}</td>
									<td >&nbsp${o.fechaCreacion}</td>
									<td >&nbsp${o.ejecutivo}</td>
										<td align="right" >&nbsp${o.sCheckVentaNeta}</td>
										<td >&nbsp${o.checkNroMicros}</td>
									<td>
										<input type="hidden" value="${o.selCliente}" id="hShowCliente${o.idReserva}" >
										<input type="hidden" value="${o.idCliente}" id="hShowIdCliente${o.idReserva}" >
										
										<input type="hidden" value="${o.idTipoReserva}" id="hShowIdTipoReserva${o.idReserva}" >
										<input type="hidden" value="${o.idOutlet}" id="hShowIdOutlet${o.idReserva}" >
										
										<input type="hidden" value="${o.cantAdultos}" id="hShowAdultos${o.idReserva}" >
										<input type="hidden" value="${o.cantMenores}" id="hShowMenores${o.idReserva}" >
										<input type="hidden" value="${o.fechaReserva}" id="hShowFechaReserva${o.idReserva}" >
										<input type="hidden" value="${o.hhmmReserva}" id="hShowHoraReserva${o.idReserva}" >
										<input type="hidden" value="${o.ventaProyectada}" id="hShowVentaEstimada${o.idReserva}" >
										<input type="hidden" value="${o.comentarios}" id="hShowObservacion${o.idReserva}" >
										
										<button type="button" class="btn btn-info btn-xs" onclick="setParameter(${o.idReserva})" data-toggle="modal" data-target="#mManteReserva">
											Edit<i class="entypo-pencil"></i>
										</button>
										
										
										<button type="button" class="btn btn-danger btn-xs" onclick="setCheck(${o.idReserva})" data-toggle="modal" data-target="#mManteCheck">
											Check<i class="entypo-check"></i>
										</button>
										
										
									</td>
								</tr>
							</c:forEach>
						</tbody>
					</table>
					
					
				</div>
			</div>
	<script>

		$(document).ready(function() {
			 var table = $('#tmante_head').DataTable( {
		    	"scrollCollapse": true,
		        "jQueryUI":       true,
		        "bFilter": true,
		        "pageLength": 100,
		        dom : 'Bfrtip',
				buttons : [{
		            extend: 'excelHtml5',
		            title: '',
		            exportOptions: {
	                    columns: [0,1,2,3,4,5,6,7,8,9,10,11,12,13]
	                }
		        }]
		        
		   	 });
			 
			 $(document).ready(function() {
				 $('#tmante_head tr').click(function()
						 {
					 $("#tmante_head tr").removeClass('seleccionar_fila');
					 $(this).addClass('seleccionar_fila');
						 });
			});
				
		});

		function setCheck(idReserva){
			var hShowCliente=document.getElementById('hShowCliente'+idReserva+'');
			var hShowIdCliente=document.getElementById('hShowIdCliente'+idReserva+'');
				
			$("#txtClienteCheck").val('Reserva '+idReserva+' - '+hShowCliente.value);
			$("#hIdClienteCheck").val(hShowIdCliente.value);
			$("#hIdReservaCheck").val(idReserva);

			$("#txtVentaNetaCheck").val("");
			$("#txtNroCheck").val("");
		}

		
		function setParameter(idReserva){

			var hShowCliente=document.getElementById('hShowCliente'+idReserva+'');
			var hShowIdCliente=document.getElementById('hShowIdCliente'+idReserva+'');
				var hShowIdTipoReserva=document.getElementById('hShowIdTipoReserva'+idReserva+'');
				var hShowIdOutlet=document.getElementById('hShowIdOutlet'+idReserva+'');
			var hShowAdultos=document.getElementById('hShowAdultos'+idReserva+'');
			var hShowMenores=document.getElementById('hShowMenores'+idReserva+'');
			var hShowFechaReserva=document.getElementById('hShowFechaReserva'+idReserva+'');
			var hShowHoraReserva=document.getElementById('hShowHoraReserva'+idReserva+'');
			var hShowVentaEstimada=document.getElementById('hShowVentaEstimada'+idReserva+'');
			var hShowObservacion=document.getElementById('hShowObservacion'+idReserva+'');
			
			$("#txtIdCliente").val(hShowCliente.value);
			$("#hIdCliente").val(hShowIdCliente.value);
			
			$("#hIdReserva").val(idReserva);

			$("#selTipoReserva").val(hShowIdTipoReserva.value).change();
			$("#selOutlet").val(hShowIdOutlet.value).change();

			$("#txtAdultos").val(hShowAdultos.value)
			$("#txtNinos").val(hShowMenores.value);
			$("#txtFechaReserva").val(hShowFechaReserva.value);
			$("#txtHoraReserva").val(hShowHoraReserva.value);
			$("#txtVentaEstimada").val(hShowVentaEstimada.value);
			$("#txtObservacion").val(hShowObservacion.value);

			 // close all
	        $('.collapse.in').collapse('hide');
		}

		function initParameter(){
			clearControls();
			// close all
	        $('.collapse.in').collapse('hide');
		}

		function clearControls(){
			$("#txtIdCliente").val("");
			$("#hIdReserva").val("0");
			
			$("#selTipoReserva").val("0").change();
			$("#selOutlet").val("0").change();
			
			$("#txtAdultos").val("1")
			$("#txtNinos").val("0");

		        $('#txtFechaReserva').val(obtenerFechaFormateada(new Date()));
				$("#txtHoraReserva").val("12:00 PM");
				
			$("#txtVentaEstimada").val("");
			$("#txtObservacion").val("");
			
			$("#txtIdCliente").focus();
			$("#txtIdCliente").select();
			$('#txtIdCliente').trigger('focus');
		}

		function obtenerFechaFormateada(date) {
	        var year = date.getFullYear();
	        var month = (1 + date.getMonth()).toString();
	        month = month.length > 1 ? month : '0' + month;
	        var day = date.getDate().toString();
	        day = day.length > 1 ? day : '0' + day;
	        return day + '/' + month + '/' + year;
	    }
		
	</script>

	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
</body>
</html>