<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ include file="/common/taglibs.jsp"%>


<!DOCTYPE html>
<html lang="en">
<head>
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="description" content="Biblioteca ENAMM" />
	<meta name="author" content="" />

	<link rel="icon" href="<c:url value="/resources/assets/images/favicon.ico"/>">

	<title>DELFINES HOTEL & CONVENTION CENTER</title>

	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jquery-ui/css/no-theme/jquery-ui-1.10.3.custom.min.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Noto+Sans:400,700,400italic">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	

	<script src="./resources/assets/js/jquery-1.11.3.min.js"></script>

	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<script type="text/javascript"
		src="<c:url value="/resources/js/fn_valida_referencia_table.js" />"></script>

</head>
<body class="page-body">
  		<div class="row">
			<div class="form-group">
				<table class="table table-bordered">
					<thead>
						<tr>
							<th></th>							
							<th>Nro Registro</th>
							<th>Fecha Registro</th>
							<th>Apellidos</th>
							<th>Nombres</th>
							<th>CheckIn</th>
							<th>CheckOut</th>
							<th>Registrado por</th>
							<th>Area</th>
						</tr>
					</thead>
					
					<tbody>
						
						<c:forEach items="${listaReferencia}" var="u" varStatus="ctr">
							<tr>							
								<td>
								
									<input type="hidden" id="hIdReferencia${ctr.index}" value="<c:out value="${u.idReferencia}"/>">
									<input type="hidden" id="hIdOperador${ctr.index}" value="<c:out value="${u.idOperador}"/>">
									
									<button type="button" onclick="setParameter(${ctr.index})" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModalVR">Validar</button>
								</td>
								<td>${u.nroReferencia}</td>
								<td>${u.fechaRegistro}</td>
								<td>${u.apeCliente}</td>
								<td>${u.nomCliente}</td>
								<td>${u.checkIn}</td>
								<td>${u.checkOut}</td>
								<td>${u.username}</td>
								<td>${u.area}</td>
							</tr>
						</c:forEach>
						
					</tbody>
				</table>
			</div>
		</div>

	

	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery-ui/js/jquery-ui-1.10.3.minimal.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>


	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>


	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>


	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>

	<script type="text/javascript">
		function setParameter(index){
			
	    	var vIdReferencia=document.getElementById('hIdReferencia'+index+'');
	    	var vIdOperador=document.getElementById('hIdOperador'+index+'');
	        
	        $(".modal-body #hIdReferencia").val(vIdReferencia.value);
	        $(".modal-body #hIdOperador").val(vIdOperador.value);

	        
	    }
	</script>

</body>
</html>