$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
	
	$("#cmdBuscarConsultaReferencia").click(function(){
        
        var txtNroRegistroIni=$("#txtNroRegistroIni").val();
        var txtNroRegistroFin=$("#txtNroRegistroFin").val();
        var txtFechaRegistroIni=$("#txtFechaRegistroIni").val();
        var txtFechaRegistroFin=$("#txtFechaRegistroFin").val();
        var selIdUsuario=getDataValue("selIdUsuario");
        
        var selIdArea=getDataValueArea("selIdArea");
        
        var txtNickName=$("#txtNickName").val();
        
		$.ajax({
			url : baseURL + "/buscar-consulta-referencia",
			data : {
				nroRegistroIni:txtNroRegistroIni,
				nroRegistroFin:txtNroRegistroFin,
				fechaRegistroIni:txtFechaRegistroIni,
				fechaRegistroFin:txtFechaRegistroFin,
				idUsuario:selIdUsuario,
				idArea:selIdArea,
				nickName:txtNickName
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
		
		
    });
	
	
	$("#cmdRegistrar").click(function(){
        var hIdReferencia=$("#p_hIdReferencia").val();
        var hIdEstadoReferencia=$("#p_hIdEstadoReferencia").val();
        var txtMotivo=$("#txtMotivo").val();
        
		$.ajax({
			url : baseURL + "/retira-validacion",
			data : {
				idReferencia:hIdReferencia,
				idEstadoReferencia:hIdEstadoReferencia,
				motivo:txtMotivo
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#txtMotivo").val("");
		        //--
		        $("#p_hIdReferencia").val("");
		        $("#p_hIdEstadoReferencia").val("");
		        //--
				$("#subViewDiv").html( response );
				//--
				$("[data-dismiss=modal]").trigger({ type: "click" });
				alert('Se actualizo satifactoriamente');	
			}
		});
    });
	
	function getDataValue(textId){
		var shownVal= document.getElementById(textId).value;
		var value2send=0;
		if(!isEmpty(shownVal)){
			value2send=document.querySelector("#lUsuarios option[value='"+shownVal+"']").dataset.value;
		}
		return value2send;
	}
	
	function getDataValueArea(textId){
		var shownVal= document.getElementById(textId).value;
		var value2send=0;
		if(!isEmpty(shownVal)){
			value2send=document.querySelector("#lAreas option[value='"+shownVal+"']").dataset.value;
		}
		return value2send;
	}
	
	function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
	
});
