$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	$.ajax({
		url : baseURL + "/lista-ads",
		async:false,
		type : "get",
		success : function(response) {
			$("#subViewDiv").html( response );
		}
	});
	
	$("#cmdGuardar").click(function(){
		var hId=$("#hId").val();
		var txtDenominacion = $("#txtDenominacion").val().trim().toUpperCase();
        var txtDescripcion = $("#txtDescripcion").val().trim().toUpperCase();
        
        var selIdArea = $("#selIdArea").val().trim().toUpperCase();
        var selIdSubArea = $("#selIdSubArea").val().trim().toUpperCase();
        var txtPrecioPaqAdulto = $("#txtPrecioPaqAdulto").val().trim().toUpperCase();
        var txtPrecioPaqNinyo = $("#txtPrecioPaqNinyo").val().trim().toUpperCase();
        
        var chPrecioUnico = $("#chPrecioUnico").is(':checked');
        var selPrecioUnico=(chPrecioUnico?1:0);
        
        $.ajax({
			url : baseURL + "/registro-ads",
			data : {
				id: hId,	
				denominacion:txtDenominacion,
				descripcion:txtDescripcion,
				idArea:selIdArea,
				idSubArea:selIdSubArea,
				precioPaqAdulto:txtPrecioPaqAdulto,
				precioPaqNinyo:txtPrecioPaqNinyo,
				esIndividual:selPrecioUnico
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
				
				$("#txtDenominacion").val("");
		        $("#txtDescripcion").val("");
		        $("#selIdArea").val("");
		        $("#selIdSubArea").val("");
		        $("#txtPrecioPaqAdulto").val("");
		        $("#txtPrecioPaqNinyo").val("");
			}
		});
    });
	
	$("#cmdDelAceptar").click(function(){
		var hIdDelete=$("#hIdDelete").val();
		var txtDenominacion = $("#txtDenominacionDelete").val().trim().toUpperCase();
        	
		$.ajax({
			url : baseURL + "/eliminar-ads",
			data : {
				id: hIdDelete
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
    });
	
	
	
		
});
