$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	$("#cmdGuardar").click(function (event) {
		save();
    });
	
	function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
	
	function save(){
		var txtDenominacion=$("#txtDenominacion").val();
		
		if(!isEmpty(txtDenominacion)){
			$.ajax({
				url : baseURL + "/guardar-parametro",
				data : {
					denominacion:txtDenominacion
				},
				async:false,
				type : "get",
				success : function(response) {
					alert('Se registro el nombre del hotel adecuadamente, registre sus datos de posicion!');
					window.location.replace(baseURL+"/registro-general");
				}
			});
			
		}else{
			alert('Ingrese la denominacion del hotel a registrar');
		}
	}
	
    $("#frmRegistroValorGeneral1").submit(function(e){
    	e.preventDefault();
        var txtIdGeneral = $("#p_hIdGeneral1").val();
        var txtValor = $("#p_txtValor1").val();
        //var txtIndice = $("#p_txtIndice1").val();
        var txtIndice = 1;
		
		$.ajax({
			url : baseURL + "/registro-valor-general",
			data : {
				idGeneral : txtIdGeneral,
				valor:txtValor,
				indice:txtIndice
			},
			async:false,
			type : "get",
			success : function(exito) {
				$("[data-dismiss=modal]").trigger({ type: "click" });
				window.location.replace(baseURL+"/registro-general");
			}
		});
    });
    
    $("#frmRegistroValorGeneral2").submit(function(e){
    	e.preventDefault();
        var txtIdGeneral = $("#p_hIdGeneral2").val();
        var txtValor = $("#p_txtValor2").val();
        var txtIndice = $("#p_txtIndice2").val();
        var txtPuntos = $("#p_txtPuntos2").val();
        //--
        /*
        var txtExcelente = $("#p_txtCalExcelente2").val();
        var txtMuyBueno = $("#p_txtCalMuyBueno2").val();
        var txtRegular = $("#p_txtCalRegular2").val();
        var txtMalo = $("#p_txtCalMalo2").val();
        var txtPesimo = $("#p_txtCalPesimo2").val();
        */
        var txtExcelente = 0;
        var txtMuyBueno = 0;
        var txtRegular = 0;
        var txtMalo = 0;
        var txtPesimo = 0;
        
		$.ajax({
			url : baseURL + "/registro-valor-general",
			data : {
				idGeneral : txtIdGeneral,
				valor:txtValor,
				indice:txtIndice,
				puntos:txtPuntos,//--
				excelente:txtExcelente,
				muybueno:txtMuyBueno,
				regular:txtRegular,
				malo:txtMalo,
				pesimo:txtPesimo
			},
			async:false,
			type : "get",
			success : function(exito) {
				$("[data-dismiss=modal]").trigger({ type: "click" });
				window.location.replace(baseURL+"/registro-general");
			}
		});
		
    });

});
