$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
    $("#frmReferencia").submit(function(e){
    	e.preventDefault();
    	
		var txtApeCliente= $("#txtApeCliente").val().trim().toUpperCase();
		var txtNomCliente= $("#txtNomCliente").val().trim().toUpperCase();
		var txtIdOperador= 1;//TRIPADVISOR
		var txtNroTarjeta= $("#txtNroTarjeta").val().trim().toUpperCase();
		var txtEmailCliente= $("#txtEmailCliente").val().trim().toUpperCase();
		var txtTelefonoCliente= $("#txtTelefonoCliente").val().trim().toUpperCase();
		var txtCheckIn= $("#txtCheckIn").val().trim().toUpperCase();
		var txtCheckOut= $("#txtCheckOut").val().trim().toUpperCase();
		var txtNickName= '';
		
		if(validaFechas(txtCheckIn,txtCheckOut)){
				$.ajax({
					url : baseURL + "/insert-referencia",
					data : {
						apeCliente:txtApeCliente,
						nomCliente:txtNomCliente,
						idOperador:txtIdOperador,
						nroTarjeta:txtNroTarjeta,
						emailCliente:txtEmailCliente,
						telefonoCliente:txtTelefonoCliente,
						checkIn:txtCheckIn,
						checkOut:txtCheckOut,
						nickName:txtNickName
					},
					async:false,
					type : "get",
					success : function(response) {
						$("#subViewDiv").html( response );
					}
				});
		}else{
			e.stopPropagation();
		}
    });

    
    function validaFechas(fechaInicio,fechaFin){
    	if(!comparingDates(fechaInicio,fechaFin,'Check In','Check Out')){
    		alert('La fecha de Check Out debe ser mayor a la fecha de Check In')
    		return false;
    	}
    	return true;
    }
    
    function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
    
    function comparingDates(fromDate, toDate, fromDateName, toDateName) {

        if (fromDate != '' && toDate != '') {

            var datefrom = new Date();
            var dateto = new Date();

            try {
                var arrayfrom = fromDate.split('/');
                datefrom.setFullYear(arrayfrom[2]);
                datefrom.setMonth(parseFloat(arrayfrom[1]) - 1);
                datefrom.setDate(parseFloat(arrayfrom[0]));
                datefrom.setHours('0');
                datefrom.setMinutes('0');
                datefrom.setSeconds('0');

            } catch (ex) {
                alert('El campo' + fromDateName + ' es una fecha invalida.');
                return false;
            }

            try {
                var arrayto = toDate.split('/');
                dateto.setFullYear(arrayto[2]);
                dateto.setMonth(parseFloat(arrayto[1]) - 1);
                dateto.setDate(parseFloat(arrayto[0]));
                dateto.setHours('0');
                dateto.setMinutes('0');
                dateto.setSeconds('0');

            } catch (ex) {
                alert('El campo' + toDateName + ' es una fecha invalida.');
                return false;
            }

            if (datefrom > dateto) {
                return false;
            }
        }
        return true;
    }

    function obtenerFechaFormateada(date) {
        var year = date.getFullYear();
        var month = (1 + date.getMonth()).toString();
        month = month.length > 1 ? month : '0' + month;
        var day = date.getDate().toString();
        day = day.length > 1 ? day : '0' + day;
        return day + '/' + month + '/' + year;
    }
    
});
