$(document).ready(function() {
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
    $("#cmdBuscarReferencia").click(function(){
        
        var txtFechaRegistro=$("#txtFechaRegistro").val();
        var txtNroRegistro=$("#txtNroRegistro").val();
        var txtApeCliente=$("#txtApeCliente").val().trim().toUpperCase();
        var txtNomCliente=$("#txtNomCliente").val().trim().toUpperCase();
        
        var txtIdUsuario=getDataValue("txtIdUsuario");
        
        var txtNickName='';
        
        $.ajax({
			url : baseURL + "/buscar-referencia",
			data : {
				apeCliente:txtApeCliente,
				nomCliente:txtNomCliente,
				idUsuario:txtIdUsuario,
				nroRegistro:txtNroRegistro,
				fechaRegistro:txtFechaRegistro,
				nickName:txtNickName
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
        
    });

    
    $("#frmRegistroValidacion").submit(function(e){
    	e.preventDefault();
    	
    	//var chkEntregado=$("#chkEntregado").is(':checked')?'S':'N';
        //var chkValidado=$("#chkValidado").is(':checked')?'S':'N';
        
    	var chkEntregado='S';
        var chkValidado='S';
    	
        var txtNickName=$("#txtNickName").val().trim().toUpperCase();
        var txtFechaComentario=$("#txtFechaComentario").val();
        var txtTitulo=$("#txtTitulo").val().trim().toUpperCase();
        var txtPuntos=$("#txtPuntos").val();
        var txtComentario=$("#txtComentario").val().trim().toUpperCase();
        //--
        var hIdReferencia=$("#hIdReferencia").val();
        var hIdOperador=$("#hIdOperador").val();

        if(isEmpty(hIdReferencia)){
        	e.stopPropagation();
        }
        
        if(validaFechas(txtFechaComentario,e)){
	        $.ajax({
				url : baseURL + "/registro-validacion",
				data : {
					entregado:chkEntregado,
					validado:chkValidado,
					nickName:txtNickName,
					fechaComentario:txtFechaComentario,
					titulo:txtTitulo,
					puntos:txtPuntos,
					comentario:txtComentario,
					idReferencia:hIdReferencia,
					idOperador:hIdOperador
				},
				async:false,
				type : "get",
				success : function(response) {
					//alert('Registro de validacion se realizo adecuadamente.')
					//--
					$("#txtNickName").val("");
			        $("#txtFechaComentario").val("");
			        $("#txtTitulo").val("");
			        $("#txtPuntos").val("");
			        $("#txtComentario").val("");
			        //--
			        $("#hIdReferencia").val("");
			        $("#hIdOperador").val("");
			        //--
					$("#subViewDiv").html( response );
					//--
					$("[data-dismiss=modal]").trigger({ type: "click" });
					alert('Se registro satifactoriamente');
				}
			});
        }else{
        	e.stopPropagation();
        }
    });
    
    function validaFechas(fechaComentario,e){
    	var fechaactual=obtenerFechaFormateada(new Date());
    	if(!comparingDates(fechaComentario,fechaactual,'Fecha Comentario','Fecha Actual')){
    		//alert('La fecha Comentario no debe ser mayor a la fecha Actual')
    		e.stopPropagation();
    		return false;
    	}
    	return true;
    }
    
    function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
    
    function comparingDates(fromDate, toDate, fromDateName, toDateName) {

        if (fromDate != '' && toDate != '') {

            var datefrom = new Date();
            var dateto = new Date();

            try {
                var arrayfrom = fromDate.split('/');
                datefrom.setFullYear(arrayfrom[2]);
                datefrom.setMonth(parseFloat(arrayfrom[1]) - 1);
                datefrom.setDate(parseFloat(arrayfrom[0]));
                datefrom.setHours('0');
                datefrom.setMinutes('0');
                datefrom.setSeconds('0');

            } catch (ex) {
                alert('El campo' + fromDateName + ' es una fecha invalida.');
                return false;
            }

            try {
                var arrayto = toDate.split('/');
                dateto.setFullYear(arrayto[2]);
                dateto.setMonth(parseFloat(arrayto[1]) - 1);
                dateto.setDate(parseFloat(arrayto[0]));
                dateto.setHours('0');
                dateto.setMinutes('0');
                dateto.setSeconds('0');

            } catch (ex) {
                alert('El campo' + toDateName + ' es una fecha invalida.');
                return false;
            }

            if (datefrom > dateto) {
                return false;
            }
        }
        return true;
    }

    function obtenerFechaFormateada(date) {
        var year = date.getFullYear();
        var month = (1 + date.getMonth()).toString();
        month = month.length > 1 ? month : '0' + month;
        var day = date.getDate().toString();
        day = day.length > 1 ? day : '0' + day;
        return day + '/' + month + '/' + year;
    }
    
    function getDataValue(textId){
		var shownVal= document.getElementById(textId).value;
		
		var value2send=0;
		if(!isEmpty(shownVal)){
			value2send=document.querySelector("#lUsuarios option[value='"+shownVal+"']").dataset.value;
		}
		return value2send;
	}
    
    function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
    
	
});
