package com.delfines.dao;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.time.ZonedDateTime;
import java.time.format.DateTimeFormatter;

import javax.naming.InitialContext;

import org.apache.tomcat.jdbc.pool.DataSource;
import org.apache.tomcat.jdbc.pool.PoolProperties;

public final class ConnectionFactoryMySql {
	
	private static ConnectionFactoryMySql instance;
	private Connection connection;

	public ConnectionFactoryMySql() {
        this.connect();
    }
	
	private void connect() {
		try {
			Class.forName("com.mysql.jdbc.Driver");  
			this.connection=DriverManager.getConnection("jdbc:mysql://67.205.137.206:3306/losdelfines_formulario_sd","losdelfines","2aWrtU8PnD6j");
        } catch (Exception e) {
            e.printStackTrace();
        }
	}
	
	public static ConnectionFactoryMySql getInstance() {
        if (ConnectionFactoryMySql.instance == null) {
        	ConnectionFactoryMySql.instance = new ConnectionFactoryMySql();
        }
        return ConnectionFactoryMySql.instance;
    }
	
	public Connection getConnection() {
		try {
			///if(this.connection==null||this.connection.isClosed()){
				System.out.println("get connection Mysql :: "+ZonedDateTime.now().format(DateTimeFormatter.RFC_1123_DATE_TIME));
				this.connection=DriverManager.getConnection("jdbc:mysql://67.205.137.206:3306/losdelfines_formulario_sd","losdelfines","2aWrtU8PnD6j");
			///}
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return this.connection;
    }
	
    /**
     * Test Connection
     */
    public static void main(String[] args) {
    	
    	try{
	        Connection connection = ConnectionFactoryMySql.getInstance().getConnection();
	        String SQL = "select * from formulario_contacto";  
	        Statement stmt = connection.createStatement();  
	        ResultSet rs = stmt.executeQuery(SQL);
	        while (rs.next()) {  
	            System.out.println(rs.getString(1) + " " + rs.getString(2));  
	        }
	        
	        Connection connection2 = ConnectionFactoryMySql.getInstance().getConnection();
	        String SQL2 = "select * from formulario_contacto";  
	        Statement stmt2 = connection.createStatement();  
	        ResultSet rs2 = stmt.executeQuery(SQL2);
	        while (rs2.next()) {  
	            System.out.println(rs2.getString(1) + " " + rs2.getString(2));  
	        }
	        
	        
    	}catch(Exception e){
    		e.printStackTrace();
    	}
        
    }
}
