package com.delfines.spring.controller;

import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.delfines.business.GeneralBo;
import com.delfines.business.UsuarioBo;
import com.delfines.vo.General;
import com.delfines.vo.Usuario;

/**
 * @author imssbora
 */
@Controller
public class GeneralController {
   
   GeneralBo generalBo=new GeneralBo(); 	
   
   @RequestMapping(path={"/guardar-parametro"},method=RequestMethod.GET)
   public String guardarParametro(String denominacion,Model model) {
	   try{
		   generalBo.guardarParametro(denominacion);
	   }catch(Exception e){
		   e.printStackTrace();
	   }
       return "registro-general";
   }
   
   @RequestMapping(path={"/registro-valor-general"},method=RequestMethod.GET)
   public String registroValorGeneral(Integer idGeneral,Integer valor,Integer indice
		   ,Double puntos,Integer excelente,Integer muybueno,Integer regular,Integer malo,Integer pesimo
		   ,Model model) {
	   try{
		   generalBo.registrarValor(idGeneral,valor,indice
				   ,puntos,excelente,muybueno,regular,malo,pesimo);
	   }catch(Exception e){
		   e.printStackTrace();
	   }
       return "registro-general";
   }
   
   @RequestMapping(path={"/update-urlbi"},method=RequestMethod.GET)
   public String actualizaUrl(String url,Model model) {
	   try{
		   generalBo.actualizaUrl(url);
	   }catch(Exception e){
		   e.printStackTrace();
	   }
       return "registro-mantenimiento";
   }
}
