package com.delfines.spring.controller;

import java.util.LinkedList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.servlet.ModelAndView;

import com.delfines.business.OperaRoomBo;
import com.delfines.vo.AvalBusinessDate;
import com.delfines.vo.AvalCategoryStatus;

/**
 * @author imssbora
 */
@Controller
public class OperaRoomController {
   
  
	@RequestMapping(path={"/r"},method=RequestMethod.GET)
    @ResponseBody
    public ModelAndView initAvailability(Model model,HttpServletRequest request) {
	   OperaRoomBo bo=new OperaRoomBo();
	   
	   System.out.println("consultaAvailability");
	   
	   ModelAndView mv = new ModelAndView("/rooms-availability");
	   Integer id=(Integer)request.getSession().getAttribute("id_day");
	   if(id!=null&&id>0){
		   List<AvalCategoryStatus> lista=new LinkedList<>();
		   lista=bo.listRoomCategoryStatus(id);
		   
		   List<AvalBusinessDate> items=new LinkedList<>();
		   items=bo.listBusinessDate();
		   
		   mv.addObject("lista",lista);
		   mv.addObject("items",items);
	   }else{
		   List<AvalCategoryStatus> lista=new LinkedList<>();
		   lista=bo.listRoomCategoryStatus();
		   
		   List<AvalBusinessDate> items=new LinkedList<>();
		   items=bo.listBusinessDate();
		   
		   request.getSession().setAttribute("id_day",0);	
		   request.getSession().setAttribute("name_day","");
		   
		   mv.addObject("lista",lista);
		   mv.addObject("items",items);
	   }
	   return mv;
    }
	
	@RequestMapping(path={"/rooms"},method=RequestMethod.GET)
    @ResponseBody
    public ModelAndView consultaAvailability(Model model,HttpServletRequest request) {
	   OperaRoomBo bo=new OperaRoomBo();
	   
	   System.out.println("consultaAvailability");
	   
	   ModelAndView mv = new ModelAndView("/rooms-availability");
	   Integer id=(Integer)request.getSession().getAttribute("id_day");
	   if(id!=null&&id>0){
		   List<AvalCategoryStatus> lista=new LinkedList<>();
		   lista=bo.listRoomCategoryStatus(id);
		   
		   List<AvalBusinessDate> items=new LinkedList<>();
		   items=bo.listBusinessDate();
		   
		   mv.addObject("lista",lista);
		   mv.addObject("items",items);
	   }else{
		   List<AvalCategoryStatus> lista=new LinkedList<>();
		   lista=bo.listRoomCategoryStatus();
		   
		   List<AvalBusinessDate> items=new LinkedList<>();
		   items=bo.listBusinessDate();
		   
		   request.getSession().setAttribute("id_day",0);	
		   request.getSession().setAttribute("name_day","");
		   
		   mv.addObject("lista",lista);
		   mv.addObject("items",items);
	   }
	   return mv;
    }
	
	@RequestMapping(value="/setfilter", method=RequestMethod.GET)
	@ResponseBody
	public Integer setfilter(Integer id,String day,Model model,HttpServletRequest request) {
		try{
			if(id!=null&&id>=0){
				request.getSession().setAttribute("id_day",id);	
				request.getSession().setAttribute("name_day",day);
			}
	    }catch(Exception e){
		   e.printStackTrace();
	    }
	    return id;
	}
	
}