package com.delfines.vo;

public class Correo {
	private String toEmail;
	private String senderEmailAddress;
	private String subjectEmail;
	private String bodyEmail;
	private String dSentOn;
	private String sentOn;
	private String receivedTime;
	private Integer idEmail;
	private Integer idEjecutivo;
	private String ejecutivo;
	
	private Integer seguimiento;
	private String colorRegistro;
	
	private Integer idArea;
	private String area;
	
	private String fechaProxima;
	
	private String fechaAsignaEjecutivo;
	private String fechaAsignaArea;
	//
	private String servicio;
	private String  reserva; 
	private String motivo;
	private Integer seqSeguimiento;
	private String cotizado;
	private String fechaContacto;
	private String canal;
	//
	private Integer paxFinal;
	private Double revenue;
	
	private Integer estadoEmail;
	
	private String estadoLabel;
	private String estadoColor;
		
	
	public String getEstadoColor() {
		if(estadoEmail==1){
			estadoColor="#98E6BB";//verde // proxima fecha de llamada
		}else if(estadoEmail==2){
			estadoColor="#CCCCCC";//plomo  // cerrado el cliente no quiere el servicio
		}else if(estadoEmail==3){
			estadoColor="#FEFF99";//amarillo // es cliente y tomo el servicio
		}else{
			estadoColor="#FFFFFF";//blanco  // sin seguimiento
		}
		return estadoColor;
	}
	
	
	public String getEstadoLabel() {
		if(estadoEmail==1){
			estadoLabel="fe proxima";
		}else if(estadoEmail==2){
			estadoLabel="no interesado";
		}else if(estadoEmail==3){
			estadoLabel="si reserva";
		}else{
			estadoLabel="pendiente";
		}
		return estadoLabel;
	}
	
	public Integer getEstadoEmail() {
		return estadoEmail;
	}
	public void setEstadoEmail(Integer estadoEmail) {
		this.estadoEmail = estadoEmail;
	}
	public Integer getPaxFinal() {
		return paxFinal;
	}
	public void setPaxFinal(Integer paxFinal) {
		this.paxFinal = paxFinal;
	}
	public Double getRevenue() {
		return revenue;
	}
	public void setRevenue(Double revenue) {
		this.revenue = revenue;
	}
	public String getServicio() {
		return servicio;
	}
	public void setServicio(String servicio) {
		this.servicio = servicio;
	}
	public String getReserva() {
		return reserva;
	}
	public void setReserva(String reserva) {
		this.reserva = reserva;
	}
	public String getMotivo() {
		return motivo;
	}
	public void setMotivo(String motivo) {
		this.motivo = motivo;
	}
	public Integer getSeqSeguimiento() {
		return seqSeguimiento;
	}
	public void setSeqSeguimiento(Integer seqSeguimiento) {
		this.seqSeguimiento = seqSeguimiento;
	}
	public String getCotizado() {
		return cotizado;
	}
	public void setCotizado(String cotizado) {
		this.cotizado = cotizado;
	}
	public String getFechaContacto() {
		return fechaContacto;
	}
	public void setFechaContacto(String fechaContacto) {
		this.fechaContacto = fechaContacto;
	}
	public String getCanal() {
		return canal;
	}
	public void setCanal(String canal) {
		this.canal = canal;
	}
	public String getFechaAsignaEjecutivo() {
		return fechaAsignaEjecutivo;
	}
	public void setFechaAsignaEjecutivo(String fechaAsignaEjecutivo) {
		this.fechaAsignaEjecutivo = fechaAsignaEjecutivo;
	}
	
	public String getFechaAsignaArea() {
		return fechaAsignaArea;
	}
	public void setFechaAsignaArea(String fechaAsignaArea) {
		this.fechaAsignaArea = fechaAsignaArea;
	}
	public String getFechaProxima() {
		return fechaProxima;
	}
	public void setFechaProxima(String fechaProxima) {
		this.fechaProxima = fechaProxima;
	}
	public Integer getIdArea() {
		return idArea;
	}
	public void setIdArea(Integer idArea) {
		this.idArea = idArea;
	}
	
	public String getArea() {
		return area;
	}
	public void setArea(String area) {
		this.area = area;
	}
	public String getColorRegistro() {
		if(seguimiento>0){
			colorRegistro="#EAFAF1";//verde // proxima fecha de llamada
		}else{
			colorRegistro="#FFFFFF";//blanco  // sin seguimiento
		}
		return colorRegistro;
	}
	public void setColorRegistro(String colorRegistro) {
		this.colorRegistro = colorRegistro;
	}
	public Integer getSeguimiento() {
		return seguimiento;
	}
	public void setSeguimiento(Integer seguimiento) {
		this.seguimiento = seguimiento;
	}
	public String getEjecutivo() {
		return ejecutivo;
	}
	public void setEjecutivo(String ejecutivo) {
		this.ejecutivo = ejecutivo;
	}
	public Integer getIdEjecutivo() {
		return idEjecutivo;
	}
	public void setIdEjecutivo(Integer idEjecutivo) {
		this.idEjecutivo = idEjecutivo;
	}
	public Integer getIdEmail() {
		return idEmail;
	}
	public void setIdEmail(Integer idEmail) {
		this.idEmail = idEmail;
	}
	public String getSentOn() {
		return sentOn;
	}
	public void setSentOn(String sentOn) {
		this.sentOn = sentOn;
	}
	public String getReceivedTime() {
		return receivedTime;
	}
	public void setReceivedTime(String receivedTime) {
		this.receivedTime = receivedTime;
	}
	public String getToEmail() {
		return toEmail;
	}
	public void setToEmail(String toEmail) {
		this.toEmail = toEmail;
	}
	public String getSenderEmailAddress() {
		return senderEmailAddress;
	}
	public void setSenderEmailAddress(String senderEmailAddress) {
		this.senderEmailAddress = senderEmailAddress;
	}
	public String getSubjectEmail() {
		return subjectEmail;
	}
	public void setSubjectEmail(String subjectEmail) {
		this.subjectEmail = subjectEmail;
	}
	public String getBodyEmail() {
		return bodyEmail;
	}
	public void setBodyEmail(String bodyEmail) {
		this.bodyEmail = bodyEmail;
	}
	public String getdSentOn() {
		return dSentOn;
	}
	public void setdSentOn(String dSentOn) {
		this.dSentOn = dSentOn;
	}
	
	
	
}
