package com.delfines.vo;

import com.delfines.Constante;

public class HkRoomStatus {
	private String room; 
	private String roomStatus;
	private String hkStatus;
	private String roomType;
	private String roomTypeDescription;
	
	private String fechaEvent;
	private String horaEvent;
	private String descripcionEvent;
	
	private String resvStatus;
	private String arrival;
	private String departure;
	private String departureTime;
	
	private Boolean isDiscrepancy;
	
	private Integer statusDiscrepancy;
	private Integer statusArrivalTime;
	
	private Boolean isArrivalTime;
	private String arrivalTime;
	
	private Boolean isDoNotDisturb;
	
	private String repairRemarks;
	
	private Integer adults;
	private Integer children;
	
	private String companyName;
	
	private Boolean reserved;
	private String arrivalNext;
	private String arrivalNextTime; 
	
	//
	private Boolean isTracesHk=Boolean.FALSE;
	private String traceTextHk;
	
	private Boolean isRatePack=Boolean.FALSE;
	
	//
	private String vip;
	
	private String rateCode;
	
	public String getRateCode() {
		return rateCode;
	}

	public void setRateCode(String rateCode) {
		this.rateCode = rateCode;
	}

	public Boolean getIsVip() {
		if(vip!=null&&vip.trim().length()>0){
			return Boolean.TRUE;
		}
		return Boolean.FALSE;
	}

	public String getVip() {
		if(vip!=null&&vip.trim().length()>0){
			return vip.trim();
		}
		return "";
	}

	public Boolean getIsRatePack() {
		return isRatePack;
	}

	public void setIsRatePack(Boolean isRatePack) {
		this.isRatePack = isRatePack;
	}
	
	public void setVip(String vip) {
		this.vip = vip;
	}

	public Boolean getIsTracesHk() {
		return isTracesHk;
	}

	public void setIsTracesHk(Boolean isTracesHk) {
		this.isTracesHk = isTracesHk;
	}

	public String getTraceTextHk() {
		return traceTextHk;
	}

	public void setTraceTextHk(String traceTextHk) {
		this.traceTextHk = traceTextHk;
	}

	public Boolean getReserved() {
		return reserved;
	}

	public void setReserved(Boolean reserved) {
		this.reserved = reserved;
	}

	public String getArrivalNext() {
		return arrivalNext;
	}

	public void setArrivalNext(String arrivalNext) {
		this.arrivalNext = arrivalNext;
	}

	public String getArrivalNextTime() {
		return arrivalNextTime;
	}

	public void setArrivalNextTime(String arrivalNextTime) {
		this.arrivalNextTime = arrivalNextTime;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public Integer getAdults() {
		return adults;
	}

	public void setAdults(Integer adults) {
		this.adults = adults;
	}

	public Integer getChildren() {
		return children;
	}

	public void setChildren(Integer children) {
		this.children = children;
	}

	public String getRepairRemarks() {
		return repairRemarks;
	}

	public void setRepairRemarks(String repairRemarks) {
		this.repairRemarks = repairRemarks;
	}

	public Boolean getIsDoNotDisturb() {
		return isDoNotDisturb;
	}

	public void setIsDoNotDisturb(Boolean isDoNotDisturb) {
		this.isDoNotDisturb = isDoNotDisturb;
	}

	public Boolean getIsArrivalTime() {
		return isArrivalTime;
	}

	public void setIsArrivalTime(Boolean isArrivalTime) {
		this.isArrivalTime = isArrivalTime;
	}
	
	public Integer getStatusArrivalTime() {
		return statusArrivalTime;
	}

	public void setStatusArrivalTime(Integer statusArrivalTime) {
		this.statusArrivalTime = statusArrivalTime;
	}
	
	public String getArrivalTime() {
		return arrivalTime;
	}

	public void setArrivalTime(String arrivalTime) {
		this.arrivalTime = arrivalTime;
	}

	public Integer getStatusDiscrepancy() {
		return statusDiscrepancy;
	}

	public void setStatusDiscrepancy(Integer statusDiscrepancy) {
		this.statusDiscrepancy = statusDiscrepancy;
	}

	public Boolean getIsDiscrepancy() {
		return isDiscrepancy;
	}

	public void setIsDiscrepancy(Boolean isDiscrepancy) {
		this.isDiscrepancy = isDiscrepancy;
	}

	public String getResvStatus() {
		return resvStatus;
	}

	public void setResvStatus(String resvStatus) {
		this.resvStatus = resvStatus;
	}

	public String getArrival() {
		return arrival;
	}

	public void setArrival(String arrival) {
		this.arrival = arrival;
	}

	public String getDeparture() {
		return departure;
	}

	public void setDeparture(String departure) {
		this.departure = departure;
	}

	public String getDepartureTime() {
		return departureTime;
	}

	public void setDepartureTime(String departureTime) {
		this.departureTime = departureTime;
	}

	public String getColorRoomStatus(){
		if(roomStatus.equals("IP")){
			return "tile-green";
		}else if(roomStatus.equals("DI")){
			return "tile-red";
		}else if(roomStatus.equals("CL")){
			return "tile-aqua";
		}else if(roomStatus.equals("OS")){
			return "tile-gray";
		}else if(roomStatus.equals("OO")){
			return "tile-brown";
		}else{
			return "tile-gray";
		}
	}
	
	public String getLabelRoomStatus(){
		if(statusDiscrepancy==Constante.STATUS_DISCREPANCY_Y){
			return "label-primary";
		}else{
			if(roomStatus.equals("IP")){
				return "label-success";
			}else if(roomStatus.equals("DI")){
				return "label-danger";
			}else if(roomStatus.equals("CL")){
				return "label-info";
			}else if(roomStatus.equals("OS")){
				return "label-default";
			}else if(roomStatus.equals("OO")){
				return "label-brown";
			}else{
				return "label-gray";
			}
		}
	}
	
	public String getLabelHkStatus(){
		if(hkStatus.equals("OCC")){
			return "entypo-users";
		}else if(hkStatus.equals("VAC")){
			return "";
		}else{
			return "";
		}
	}
	
	
	public String getEntypoHkStatus(){
		
		if(hkStatus.equals("OCC")){
			return "entypo-users";
		}else if(hkStatus.equals("VAC")){
			return "";
		}else{
			return "";
		}
		
	} 
	
	
	public String iconHkStatus(){
		return "";
	}
	
	public String getRoom() {
		return room;
	}
	public void setRoom(String room) {
		this.room = room;
	}
	public String getRoomStatus() {
		return roomStatus;
	}
	public void setRoomStatus(String roomStatus) {
		this.roomStatus = roomStatus;
	}
	public String getHkStatus() {
		return hkStatus;
	}
	public void setHkStatus(String hkStatus) {
		this.hkStatus = hkStatus;
	}
	public String getRoomType() {
		return roomType;
	}
	public void setRoomType(String roomType) {
		this.roomType = roomType;
	}
	public String getRoomTypeDescription() {
		return roomTypeDescription;
	}
	public void setRoomTypeDescription(String roomTypeDescription) {
		this.roomTypeDescription = roomTypeDescription;
	}
	public String getFechaEvent() {
		return fechaEvent;
	}
	public void setFechaEvent(String fechaEvent) {
		this.fechaEvent = fechaEvent;
	}
	public String getHoraEvent() {
		return horaEvent;
	}
	public void setHoraEvent(String horaEvent) {
		this.horaEvent = horaEvent;
	}
	public String getDescripcionEvent() {
		return descripcionEvent;
	}
	public void setDescripcionEvent(String descripcionEvent) {
		this.descripcionEvent = descripcionEvent;
	}
		
}
