<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<title>DELFINES HOTEL & CONVENTION CENTER</title>

	<!-- jquery 1.12 :ini -->
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.js"></script>
	<!-- jquery 1.12 :end -->
	
	<!-- datatable 1.10 :ini -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
	<!---->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"></link>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"></link>
	<!-- datatable 1.10 :end -->

	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Noto+Sans:400,700,400italic">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	
	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<!-- datepicker :ini -->
	<link rel="stylesheet" type="text/css" media="all" href="<c:url value="/resources/assets/js/daterangepicker/daterangepicker-bs3.css"/>" />
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/moment.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/daterangepicker.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/bootstrap-datepicker.js"/>"></script>
	<!-- datepicker :end -->
	
	<!-- Logica de presentacion : ini-->
	<script type="text/javascript" src="<c:url value="/resources/js/fn_registro_eventos.js?2" />"></script>
	<!-- Logica de presentacion : fin-->
	
	<style>
		.btn span.glyphicon {    			
			opacity: 0;				
		}
		.btn.active span.glyphicon {				
			opacity: 1;				
		}
		
		input[type="text"]{
			background-color:#ffffe6 !important
		}
		
		textarea{
			background-color:#ffffe6 !important
		}
		
		input[type="number"]{
			background-color:#ffffe6 !important
		}
		
	</style>
	
	<style>
		input:required:focus {
		  border: 1px solid red;
		  outline: none;
		}
		
		select:required:focus {
		  border: 1px solid red;
		  outline: none;
		}
		
		textarea:required:focus {
		  border: 1px solid red;
		  outline: none;
		}
		
	</style>
	
</head>
<body class="page-body">
	<div class="container-fluid">
			<div class="col-md-6 col-sm-4 clearfix">	
				<ul class="user-info pull-left pull-none-xsm">
		
					<li class="profile-info dropdown">
						<div class="logo">
							<a href="index.html">
								<img src="<c:url value="/resources/assets/images/logo_delfin.png" />" height="87" alt="" />
							</a>
						</div>
					</li>
				</ul>									
			</div>
			<div class="col-md-6 col-sm-8 clearfix hidden-xs">
		
				<ul class="list-inline links-list pull-right">
					<li>
						<p>Bienvenido: <strong>[${p_usuario.username}/${p_usuario.perfil} - ${p_usuario.denominacionArea}]</strong></p>
						<li>
							<a href="${pageContext.request.contextPath}/">Salir <i class="entypo-logout right"></i></a>
						</li>
						<br>
					</li>
					<li></li>
					<li>
					</li>
				</ul>
		
			</div>   
			<div class="col-md-6 msg-alert-login-error" style="display:none;">
				<div class="alert alert-danger"></div>
			</div>
    </div>
    <!-- /.container-fluid -->
    
    <!-- collapsed -->
	<div class="page-container sidebar-collapsed" style="border-top: 1px solid #ccc">
	
		<div class="sidebar-menu">
	
			<div class="sidebar-menu-inner">
				
				<header class="logo-env">
					<div class="sidebar-collapse">
						<a href="#" class="sidebar-collapse-icon"><!-- add class "with-animation" if you want sidebar to have animation during expanding/collapsing transition -->
							<i class="entypo-menu"></i>
						</a>
					</div>
	
					<!-- open/close menu icon (do not remove if you want to enable menu on mobile devices) -->
					<div class="sidebar-mobile-menu visible-xs">
						<a href="#" class="with-animation"><!-- add class "with-animation" to support animation -->
							<i class="entypo-menu"></i>
						</a>
					</div>
	
				</header>
				
										
				<ul id="main-menu" class="main-menu">
					
					<li class="has-sub">
						<a href="<c:url value="/eventos/registro-eventos"/>">
							<i class="entypo-paper-plane"></i>
							<span class="title">Registro de Eventos</span>
						</a>
					</li>
					
				</ul>
			</div>
		</div>
	
		<input type="hidden" id="hIdEvento" value="${idEvento}" >
	
		<div class="main-content">
		
				<div class="row" align="left">
					<div class="col-md-12">
						<div class="panel panel-default">
						
						  
					  	<div class="row">
					  		<div class="col-md-12">
					  			<div class="panel panel-default">
						  			<div class="panel-heading">
						  			
						  				<div class="panel-title"><b>EVENTO : ${eventoGen.denominacion} | PERIODO : ${eventoGen.periodo}</b></div>
						  				
							            <div class="panel-options"> 
							            	<a href="<c:url value="/eventos/registro-eventos"/>" target="_self"  ><i class="entypo-left-bold"></i> Regresar </a>
							            </div>
							            
								    </div>
								</div>    
							</div>
						</div>
						  
						  <div class="panel-body" style="width:100%" >	
						  	 <div class="row"> 
						  	 	<div class="col-md-12"> 
						  	 		<div class="panel minimal minimal-gray">
						  	 		 		
						  	 		 		<!-- GENERAL : INICIO -->
						  	 				<div class="row">
											   <div class="col-md-12">
											      <div class="panel panel-default">
											      	
											      
											         <div class="panel-heading">
											            <div class="panel-title">General</div>
											            <div class="panel-options"> 
											            	<a href="#" data-rel="collapse"><i class="entypo-down-open"></i></a>
											            	<a href="#" onclick="getEventoGen()" data-rel="reload"><i class="entypo-arrows-ccw"></i></a>
											            </div>
											         </div>
											         <div class="panel-body"><!-- inicio -->
											         
												            <div class="row">
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Nombre de evento:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtGenDenominacion" required="required" readonly="readonly" value="${eventoGen.denominacion}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																	    
																	</div>	
																</div>
															</div>		
															
															<div class="row">
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Fecha Inicio:</label>
																	    <div class="controls col-sm-9">
																			<div class="input-group">
																				<input type="text" id="txtGenFechaInicio" required="required" readonly="readonly" value="${eventoGen.fechaInicioEvento}" class="form-control" >
																				<div class="input-group-addon">
																					<i class="entypo-calendar"></i>
																				</div>
																				
																			</div>
														                </div>
																	</div>
																</div>
																
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3">Fecha Fin:</label>
																		<div class="controls col-sm-9">
																			<div class="input-group">
																				<input type="text" id="txtGenFechaFin" required="required" readonly="readonly" value="${eventoGen.fechaFinEvento}" class="form-control" >
																				<div class="input-group-addon">
																					<i class="entypo-calendar"></i>
																				</div>
																			</div>												
														            	</div>
																	</div>	
																</div>
															</div>	
															
															<div class="row">
																<div class="col-md-12">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-12" >Descripción del evento:</label>
																	</div>
																</div>
															</div>	
															<div class="row">
																<div class="col-md-12">
																	<div class="form-group">
																	    <div class="controls col-sm-12">
																			<textarea id="txtGenDescripcion"  required="required" readonly="readonly" class="form-control" maxlength="450" style="text-transform: uppercase" rows="3" >${eventoGen.descripcion}</textarea>
														                </div>
																	</div>
																</div>
															</div>
															
											         </div><!-- fin -->
											      </div>
											   </div>
								  			</div> 
								  			<!-- GENERAL : FIN -->
								  			
								  			
								  			
								  			
								  			<!-- ORGANIZACION : INICIO -->
								  			<div class="row">
											   <div class="col-md-12">
											      <div class="panel panel-default">
											         <div class="panel-heading">
											            <div class="panel-title">Organización</div>
											            <div class="panel-options"> 
											            	<a href="#" data-rel="collapse" ><i class="entypo-down-open"></i></a>
											            	<a href="#" onclick="getEventoOrg()" data-rel="reload"><i class="entypo-arrows-ccw"></i></a>
											            </div>
											         </div>
											         <div class="panel-body"><!-- inicio -->
											         		
											         		<div class="row">
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Organizador:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtOrgOrganizador"  required="required" type="text" readonly="readonly" value="${eventoOrg.organizador}" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Nombre de contacto:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtOrgNombreContacto"  required="required"  type="text" readonly="readonly" value="${eventoOrg.nombreContacto}" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>	
																</div>
															</div>	
															
															<div class="row">
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Correo:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtOrgCorreoContacto"  required="required"  readonly="readonly" value="${eventoOrg.correoContacto}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" >
																			
														                </div>
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																		<label class="control-label control-label-left col-sm-3" >Servicios requeridos:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtOrgServicio"  required="required"  readonly="readonly" value="${eventoOrg.servicio}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>    
																	</div>	
																</div>
															</div>
															
											         </div><!-- fin -->
											      </div>
											   </div>
								  			</div> 
								  			<!-- ORGANIZACION : FIN -->
								  			
								  			<!-- SEDE ACTUAL : INICIO -->
								  			<div class="row">
											   <div class="col-md-12">
											      <div class="panel panel-default">
											         <div class="panel-heading">
											            <div class="panel-title">Sede</div>
											            <div class="panel-options"> 
											            	<a href="#" data-rel="collapse"><i class="entypo-down-open"></i></a>
											            	<a href="#" onclick="getEventoSed()" data-rel="reload"><i class="entypo-arrows-ccw"></i></a>
											            </div>
											         </div>
											         
											         <div class="panel-body"><!-- inicio -->
											         		<div class="row">
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Sede ${eventoGen.periodo}:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtSedSedeActual"  required="required"  readonly="readonly" value="${eventoSed.sedeActual}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Sede Anterior:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtSedSedeAnterior"  required="required" readonly="readonly" value="${eventoSed.sedeAnterior}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>	
																</div>
															</div>	
															
															<div class="row">
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Periodicidad Anual:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtSedPeriodicidad"  required="required"  readonly="readonly" value="${eventoSed.periodicidad}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" ># Veces en DH&C:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtSedVecesHotel"  required="required" type="number" readonly="readonly" value="${eventoSed.vecesHotel}" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>	
																</div>
															</div>
															
											         </div><!-- fin -->
											      </div>
											   </div>
								  			</div> 
								  			<!-- SEDE ACTUAL : FIN -->
								  			
								  			
								  			<!-- EVENTOS : INICIO -->
								  			<div class="row">
											   <div class="col-md-12">
											      <div class="panel panel-default">
											         <div class="panel-heading">
											            <div class="panel-title">Eventos</div>
											            <div class="panel-options"> 
											            	<a href="#" data-rel="collapse"><i class="entypo-down-open"></i></a>
											            	<a href="#" onclick="getEventoEve()" data-rel="reload"><i class="entypo-arrows-ccw"></i></a>
											            </div>
											         </div>
											         <div class="panel-body"><!-- inicio -->
											         		<div class="row">
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Cotizaron Eventos:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtEveCotiza"  required="required" readonly="readonly" value="${eventoEve.cotizaDesc}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Ejecutivo Eventos 1:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtEveEjecutivo"  required="required" readonly="readonly" value="${eventoEve.ejecutivo}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>	
																</div>
															</div>	
															
															
															<div class="row">
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Revenue Eventos $:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtEveRevenue"  required="required" readonly="readonly" value="${eventoEve.frevenue}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Ejecutivo Eventos 2:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtEveEjecutivo2"  required="required" readonly="readonly" value="${eventoEve.ejecutivo2}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>	
																</div>
															</div>
															
											         		<div class="row">
																<div class="col-md-12">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-12" >Comentario de Eventos:</label>
																	</div>
																</div>
															</div>	
															<div class="row">
																<div class="col-md-12">
																	<div class="form-group">
																	    <div class="controls col-sm-12">
																			<textarea id="txtEveComentario"  required="required"  readonly="readonly" class="form-control" maxlength="450" style="text-transform: uppercase" rows="3" >${eventoEve.comentario}</textarea>
														                </div>
																	</div>
																</div>
															</div>
															
												            
											         </div><!-- fin -->
											      </div>
											   </div>
								  			</div> 
								  			<!-- EVENTOS : FIN -->
								  			
								  			<!-- ALOJAMIENTO : INICIO -->
								  			<div class="row">
											   <div class="col-md-12">
											      <div class="panel panel-default">
											         <div class="panel-heading">
											            <div class="panel-title">Alojamiento</div>
												            <div class="panel-options"> 
												            	<a href="#" data-rel="collapse"><i class="entypo-down-open"></i></a>
												            	<a href="#" onclick="getEventoAlo()" data-rel="reload"><i class="entypo-arrows-ccw"></i></a>
												            </div>
												         </div>
												         <div class="panel-body"><!-- inicio -->
												         		<div class="row">
															<div class="col-md-6">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-3" >Cotizaron Alojamiento:</label>
																    <div class="controls col-sm-9">
																		<input id="txtAloCotiza"   required="required" readonly="readonly" value="${eventoAlo.cotizaDesc}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
													                </div>
																</div>
															</div>
															<div class="col-md-6">
																<div class="form-group">
																	<label class="control-label control-label-left col-sm-3" >Ejecutivo Alojamiento 1:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtAloEjecutivo" readonly="readonly"  required="required" value="${eventoAlo.ejecutivo}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																</div>	
															</div>
														</div>	
														
														<div class="row">
																<div class="col-md-6">
																	<div class="form-group">
																		<label class="control-label control-label-left col-sm-3" >Revenue Alojamiento $:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtAloRevenue"  readonly="readonly"  required="required" value="${eventoAlo.frevenue}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																					    
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																	   <label class="control-label control-label-left col-sm-3" >Ejecutivo Alojamiento 2:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtAloEjecutivo2" readonly="readonly"  required="required" value="${eventoAlo.ejecutivo2}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>	
																</div>
															</div>
															
															<div class="row">
																<div class="col-md-6">
																	<div class="form-group">
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																	   <label class="control-label control-label-left col-sm-3" >Ejecutivo Alojamiento 3:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtAloEjecutivo3" readonly="readonly"  required="required" value="${eventoAlo.ejecutivo3}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>		
																	</div>	
																</div>
															</div>
															
															
											         		<div class="row">
																<div class="col-md-12">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-12" >Comentario de Alojamiento:</label>
																	</div>
																</div>
															</div>	
															<div class="row">
																<div class="col-md-12">
																	<div class="form-group">
																	    <div class="controls col-sm-12">
																			<textarea id="txtAloComentario" readonly="readonly"  required="required" class="form-control" maxlength="450" style="text-transform: uppercase" rows="3" >${eventoAlo.comentario}</textarea>
														                </div>
																	</div>
																</div>
															</div>
															
												            
											         </div><!-- fin -->
											      </div>
											   </div>
								  			</div> 
								  			<!-- ALOJAMIENTO : FIN -->
								  			
								  			
								  			<!-- AYB : INICIO -->
								  			<div class="row">
											   <div class="col-md-12">
											      <div class="panel panel-default">
											         <div class="panel-heading">
											            <div class="panel-title">A & B</div>
											            <div class="panel-options"> 
											            	<a href="#" data-rel="collapse"><i class="entypo-down-open"></i></a>
											            	<a href="#" onclick="getEventoAyB()" data-rel="reload"><i class="entypo-arrows-ccw"></i></a>
											            </div>
											         </div>
											         <div class="panel-body"><!-- inicio -->
											         		<div class="row">
											         			<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Cotizaron A&B:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtAyBCotiza" readonly="readonly"  required="required" value="${eventoAyB.cotizaDesc}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Ejecutivo A&B:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtAyBEjecutivo" readonly="readonly"  required="required" value="${eventoAyB.ejecutivo}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>	
																</div>
															</div>	
															
															<div class="row">
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Revenue A&B $:</label>
																	    <div class="controls col-sm-9">
																			<input id="txtAyBRevenue" readonly="readonly"  required="required" value="${eventoAyB.frevenue}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>
																</div>
																
																<div class="col-md-6">
																	<div class="form-group">
																	   
																	</div>	
																</div>
																
															</div>
															
															<div class="row">
																<div class="col-md-12">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-12" >Comentario de A&B:</label>
																	</div>
																</div>
															</div>	
															<div class="row">
																<div class="col-md-12">
																	<div class="form-group">
																	    <div class="controls col-sm-12">
																			<textarea id="txtAyBComentario" readonly="readonly"  required="required"  class="form-control" maxlength="450" style="text-transform: uppercase" rows="3" >${eventoAyB.comentario}</textarea>
														                </div>
																	</div>
																</div>
															</div>
															
											         </div><!-- fin -->
											      </div>
											   </div>
								  			</div>
								  			<!-- AYB : FIN -->
								  			
								  			<!-- MARKETING : INICIO -->
								  			<div class="row">
											   <div class="col-md-12">
											      <div class="panel panel-default">
											         <div class="panel-heading">
											            <div class="panel-title">Marketing</div>
											            <div class="panel-options"> 
											            	<a href="#" data-rel="collapse"><i class="entypo-down-open"></i></a>
											            	<a href="#" onclick="getEventoMkt()" data-rel="reload"><i class="entypo-arrows-ccw"></i></a>
											            </div>
											         </div>
											         <div class="panel-body"><!-- inicio -->
											         		<div class="row">
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Página Web:</label>
																	    <div class="controls col-sm-9">
																	    	<!--
																			<input id="txtMktPaginaWeb"  required="required"  readonly="readonly" value="${eventoMkt.paginaWeb}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text">
																			-->
																			<a href="${eventoMkt.paginaWeb}" target="_blank" >${eventoMkt.paginaWeb}</a>
														                </div>
																	</div>
																</div>
																
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3" >Presencia Web:</label>
																	    <div class="controls col-sm-9">
																	    	<input id="txtMktPresenciaWeb"  required="required"  readonly="readonly" value="${eventoMkt.presenciaWebDesc}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
														                </div>
																	</div>	
																</div>
															</div>	
															
															<div class="row">
																	<div class="col-md-6">
																		<div class="form-group">
																		    <label class="control-label control-label-left col-sm-3" >Contacto Marketing:</label>
																		    <div class="controls col-sm-9">
																				<input id="txtMktNombreContacto"  required="required"  readonly="readonly" value="${eventoMkt.nombreContacto}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
															                </div>
																		</div>
																	</div>
																	<div class="col-md-6">
																		<div class="form-group">
																		   
																		</div>	
																	</div>
															</div>
																
															<div class="row">
																<div class="col-md-12">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-12" >Comentario de Marketing:</label>
																	</div>
																</div>
															</div>	
															<div class="row">
																<div class="col-md-12">
																	<div class="form-group">
																	
																	    <div class="controls col-sm-12">
																			<textarea id="txtMktComentario"  required="required" readonly="readonly" class="form-control" maxlength="450" style="text-transform: uppercase" rows="3" >${eventoMkt.comentario}</textarea>
														                </div>
																	</div>
																</div>
															</div>
												            
											         </div><!-- fin -->
											      </div>
											   </div>
								  			</div> 
								  			<!-- MARKETING : FIN -->
							 	</div>
							 </div>
							 	
						  </div>
						</div>	<!-- panel panel-default -->
					</div>
				 </div>
		</div>
	</div>
	
	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>

	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>

	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>
	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
	<script>
		var baseURL=$('#contextPathHolder').attr('data-contextPath');
	
		function getEventoGen(){
			var hIdEvento=$("#hIdEvento").val();
			$.ajax({
				url : baseURL + "/actualiza-evento-gen",
				data : {
					idEvento: hIdEvento
				},
				async:false,
				type : "get",
				contentType: "application/json", 
				dataType : 'json',
				success : function(data) {
					$("#txtGenDenominacion").val(data.denominacion);
					$("#txtGenFechaInicio").val(data.fechaInicioEvento);
					$("#txtGenFechaFin").val(data.fechaFinEvento);
					$("#txtGenDescripcion").val(data.descripcion);
				}
			});
		}
		
		function getEventoOrg(){
			var hIdEvento=$("#hIdEvento").val();
			$.ajax({
				url : baseURL + "/actualiza-evento-org",
				data : {
					idEvento: hIdEvento
				},
				async:false,
				type : "get",
				contentType: "application/json", 
				dataType : 'json',
				success : function(data) {
					$("#txtOrgOrganizador").val(data.organizador);
					$("#txtOrgNombreContacto").val(data.nombreContacto);
					$("#txtOrgCorreoContacto").val(data.correoContactos);
					$("#txtOrgServicio").val(data.servicio);
				}
			});
		}
		function getEventoSed(){
			var hIdEvento=$("#hIdEvento").val();
			$.ajax({
				url : baseURL + "/actualiza-evento-sed",
				data : {
					idEvento: hIdEvento
				},
				async:false,
				type : "get",
				contentType: "application/json", 
				dataType : 'json',
				success : function(data) {
					$("#txtSedSedeActual").val(data.sedeActual);
					$("#txtSedSedeAnterior").val(data.sedeAnterior);
					$("#txtSedPeriodicidad").val(data.periodicidad);
					$("#txtSedVecesHotel").val(data.vecesHotel);
					$("#txtSedContactoHotel").val(data.contactoHotel);
				}
			});
		}
		function getEventoEve(){
			var hIdEvento=$("#hIdEvento").val();
			$.ajax({
				url : baseURL + "/actualiza-evento-eve",
				data : {
					idEvento: hIdEvento
				},
				async:false,
				type : "get",
				contentType: "application/json", 
				dataType : 'json',
				success : function(data) {
					$("#txtEveCotiza").val(data.cotizaDesc);
					$("#txtEveEjecutivo").val(data.ejecutivo);
					$("#txtEveRevenue").val(data.frevenue);
					$("#txtEveComentario").val(data.comentario);
				}
			});
		}
		
		function getEventoAlo(){
			var hIdEvento=$("#hIdEvento").val();
			$.ajax({
				url : baseURL + "/actualiza-evento-alo",
				data : {
					idEvento: hIdEvento
				},
				async:false,
				type : "get",
				contentType: "application/json", 
				dataType : 'json',
				success : function(data) {
					$("#txtAloCotiza").val(data.cotizaDesc);
					$("#txtAloEjecutivo").val(data.ejecutivo);
					$("#txtAloRevenue").val(data.frevenue);
					$("#txtAloComentario").val(data.comentario);
				}
			});
		}
		
		function getEventoAyB(){
			var hIdEvento=$("#hIdEvento").val();
			$.ajax({
				url : baseURL + "/actualiza-evento-ayb",
				data : {
					idEvento: hIdEvento
				},
				async:false,
				type : "get",
				contentType: "application/json", 
				dataType : 'json',
				success : function(data) {
					$("#txtAyBCotiza").val(data.cotizaDesc);
					$("#txtAyBEjecutivo").val(data.ejecutivo);
					$("#txtAyBRevenue").val(data.frevenue);
					$("#txtAyBComentario").val(data.comentario);
				}
			});
		}
		
		function getEventoMkt(){
			var hIdEvento=$("#hIdEvento").val();
			$.ajax({
				url : baseURL + "/actualiza-evento-mkt",
				data : {
					idEvento: hIdEvento
				},
				async:false,
				type : "get",
				contentType: "application/json", 
				dataType : 'json',
				success : function(data) {
					$("#txtMktPaginaWeb").val(data.paginaWeb);
					$("#txtMktPresenciaWeb").val(data.presenciaWebDesc);
					$("#txtMktNombreContacto").val(data.nombreContacto);
					$("#txtMktComentario").val(data.comentario);
				}
			});
		}
	</script>
	
</body>
</html>