<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<title>DELFINES HOTEL & CONVENTION CENTER</title>

	<!-- jquery 1.12 :ini -->
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.js"></script>
	<!-- jquery 1.12 :end -->
	
	<!-- datatable 1.10 :ini -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
	<!---->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"></link>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"></link>
	<!-- datatable 1.10 :end -->

	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Noto+Sans:400,700,400italic">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	
	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<!-- datepicker :ini -->
	<link rel="stylesheet" type="text/css" media="all" href="<c:url value="/resources/assets/js/daterangepicker/daterangepicker-bs3.css"/>" />
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/moment.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/daterangepicker.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/bootstrap-datepicker.js"/>"></script>
	<!-- datepicker :end -->
	
	<!-- Logica de presentacion : ini-->
	<script type="text/javascript" src="<c:url value="/resources/js/fn_registro_eventos.js?5" />"></script>
	<!-- Logica de presentacion : fin-->
	
	<!-- mask : ini-->
	<script type="text/javascript" src="<c:url value="/resources/js/jquery.mask.min.js" />"></script>
	<!-- mask : fin-->
	
	<style>
		.btn span.glyphicon {    			
			opacity: 0;				
		}
		.btn.active span.glyphicon {				
			opacity: 1;				
		}
	</style>
	
	<style>
		
		.green-border {
		  border: 0px solid green !important;  
		}
		
		input:required:focus {
		  border: 1px solid red;
		  outline: none;
		}
		
		select:required:focus {
		  border: 1px solid red;
		  outline: none;
		}
		
		textarea:required:focus {
		  border: 1px solid red;
		  outline: none;
		}
		
	</style>
	
</head>
<body class="page-body">
	<div class="container-fluid">
			<div class="col-md-6 col-sm-4 clearfix">	
				<ul class="user-info pull-left pull-none-xsm">
		
					<li class="profile-info dropdown">
						<div class="logo">
							<a href="index.html">
								<img src="<c:url value="/resources/assets/images/logo_delfin.png" />" height="87" alt="" />
							</a>
						</div>
					</li>
				</ul>									
			</div>
			<div class="col-md-6 col-sm-8 clearfix hidden-xs">
		
				<ul class="list-inline links-list pull-right">
					<li>
						<p>Bienvenido: <strong>[${p_usuario.username}/${p_usuario.perfil} - ${p_usuario.denominacionArea}]</strong></p>
						<li>
							<a href="${pageContext.request.contextPath}/">Salir <i class="entypo-logout right"></i></a>
						</li>
						<br>
					</li>
					<li></li>
					<li>
					</li>
				</ul>
		
			</div>   
			<div class="col-md-6 msg-alert-login-error" style="display:none;">
				<div class="alert alert-danger"></div>
			</div>
    </div>
    <!-- /.container-fluid -->
    
    <!-- collapsed -->
<div class="page-container sidebar-collapsed" style="border-top: 1px solid #ccc">
	
	<div class="sidebar-menu">

		<div class="sidebar-menu-inner">
			
			<header class="logo-env">
				<div class="sidebar-collapse">
					<a href="#" class="sidebar-collapse-icon"><!-- add class "with-animation" if you want sidebar to have animation during expanding/collapsing transition -->
						<i class="entypo-menu"></i>
					</a>
				</div>

				<!-- open/close menu icon (do not remove if you want to enable menu on mobile devices) -->
				<div class="sidebar-mobile-menu visible-xs">
					<a href="#" class="with-animation"><!-- add class "with-animation" to support animation -->
						<i class="entypo-menu"></i>
					</a>
				</div>

			</header>
			
									
			<ul id="main-menu" class="main-menu">
				
				<li class="has-sub">
					<a href="<c:url value="/eventos/registro-eventos"/>">
						<i class="entypo-paper-plane"></i>
						<span class="title">Registro de Eventos</span>
					</a>
				</li>
				
			</ul>
		</div>
	</div>
	
	<input type="hidden" id="hIdEvento" value="${idEvento}" >
	<input type="hidden" id="hIdPerfilEventos" value="${p_usuario.idPerfilEventos}" >
	<input type="hidden" id="hIdArea" value="${p_usuario.areaId}" >
	<input type="hidden" id="hIdUsuario" value="${p_usuario.usuarioId}" >
	
	<div class="main-content">
	
			<div class="row" align="left">
				<div class="col-md-12">
					<div class="panel panel-default">
					
						<div class="row">
					  		<div class="col-md-12">
					  			<div class="panel panel-default">
						  			<div class="panel-heading">
						  				<div class="panel-title"><b>EVENTO : ${eventoGen.denominacion} | PERIODO : ${eventoGen.periodo}</b></div>
							            <div class="panel-options"> 
							            	<a href="<c:url value="/eventos/registro-eventos"/>" target="_self" ><i class="entypo-left-bold"></i> Regresar </a>
							            </div>
								    </div>
								</div>    
							</div>
						</div>
							
					  <div class="panel-body" style="width:100%" >	
					  
					  	 <div class="row"> 
					  	 	<div class="col-md-12"> 
					  	 		<div class="panel minimal minimal-gray"> 
					  	 			<div class="panel-heading"> 
					  	 					<div class="panel-title"><b>Información del Evento</b></div>
					  	 					 <input type="hidden" id="hIdTab" value="1" >
					  	 					<div class="panel-options"> 
					  	 					
					  	 						<ul class="nav nav-tabs"> 
					  	 							<li class="active">
					  	 								<a href="#profile-1" onclick="activeTab(1);"  data-toggle="tab"><b>General</b></a>
					  	 							</li> 
					  	 							<li>
					  	 								<a href="#profile-2" onclick="activeTab(2);"  data-toggle="tab"><b>Organización</b></a>
					  	 							</li> 
					  	 							<li>
					  	 								<a href="#profile-3" onclick="activeTab(3);"  data-toggle="tab"><b>Sede</b></a>
					  	 							</li>
					  	 							<li>
					  	 								<a href="#profile-4" onclick="activeTab(4);"  data-toggle="tab"><b>Eventos</b></a>
					  	 							</li>
					  	 							<li>
					  	 								<a href="#profile-5" onclick="activeTab(5);"  data-toggle="tab"><b>Alojamiento</b></a>
					  	 							</li>
					  	 							<li>
					  	 								<a href="#profile-6" onclick="activeTab(6);"  data-toggle="tab"><b>A&B</b></a>
					  	 							</li>
					  	 							<li>
					  	 								<a href="#profile-7" onclick="activeTab(7);"  data-toggle="tab"><b>Marketing</b></a>
					  	 							</li>
					  	 						</ul> 
					  	 						
					  	 					</div> 
					  	 			</div> 
					  	 			
					  	 			<div class="panel-body"> 
						  	 			<div class="tab-content"> 
							  	 			<div class="tab-pane active" id="profile-1"  > 
									  	 				<div class="row">
															<div class="col-md-6">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-3" >Nombre de evento:</label>
																    <div class="controls col-sm-9">
																		<input id="txtGenDenominacion" value="${eventoGen.denominacion}" type="text" size="80" maxlength="80" required="required" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
													                </div>
																</div>
															</div>
															
															<div class="col-md-6">
																<div class="form-group">
																    
																</div>	
															</div>
														</div>		
														
														
														<div class="row">
															<div class="col-md-6">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-3" >Fecha Inicio:</label>
																    <div class="controls col-sm-9">
																		<div class="input-group">
																			<input type="text" id="txtGenFechaIni" value="${eventoGen.fechaInicioEvento}" placeholder="Fecha" size="10" required="required" maxlength="10" class="form-control datepicker" data-format="dd/mm/yyyy" format="dd/mm/yyyy">
																			<div class="input-group-addon">
																				<a href="#"><i class="entypo-calendar"></i></a>
																			</div>
																		</div>
													                </div>
																</div>
															</div>
															<div class="col-md-6">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-3">Fecha Fin:</label>
																	<div class="controls col-sm-9">
																		<div class="input-group">
																			<input type="text" id="txtGenFechaFin" value="${eventoGen.fechaFinEvento}"  placeholder="Fecha" size="10" required="required" maxlength="10" class="form-control datepicker" data-format="dd/mm/yyyy" format="dd/mm/yyyy">
																			<div class="input-group-addon">
																				<a href="#"><i class="entypo-calendar"></i></a>
																			</div>
																		</div>												
													            	</div>
																</div>	
															</div>
														</div>	
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-12">Descripción del evento:</label>
																</div>
															</div>
														</div>		
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																	<div class="controls col-sm-12">
																		<textarea class="form-control" maxlength="450" style="text-transform: uppercase" required="required" rows="3" id="txtGenDescripcion">${eventoGen.descripcion}</textarea>												
													            	</div>
																</div>
															</div>
														</div>
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <br>
																</div>
															</div>
														</div>
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <button type="button" id="cmdGenGuardar" class="btn btn-success" data-dismiss="modal">Guardar <i class="entypo-floppy"></i></button>
																</div>
															</div>
														</div>
							  	 		     </div> 
							  	 		     
							  	 		     <div class="tab-pane" id="profile-2" > 
												 		<div class="row">
															<div class="col-md-6">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-3" >Organizador:</label>
																    <div class="controls col-sm-9">
																		<input id="txtOrgOrganizador" required="required" type="text" size="80" value="${eventoOrg.organizador}" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
													                </div>
																</div>
															</div>
															<div class="col-md-6">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-3" >Nombre de contacto:</label>
																    <div class="controls col-sm-9">
																		<input id="txtOrgNombreContacto" required="required" type="text" value="${eventoOrg.nombreContacto}" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
													                </div>
																</div>	
															</div>
														</div>	
														
														<div class="row">
															<div class="col-md-6">
																<div class="form-group">
																	<label class="control-label control-label-left col-sm-3" >Correo:</label>
																    <div class="controls col-sm-9">
																		<input id="txtOrgCorreoContacto" required="required" value="${eventoOrg.correoContacto}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text">
																		
													                </div>
																</div>
															</div>
															<div class="col-md-6">
																<div class="form-group">
																	<label class="control-label control-label-left col-sm-3" >Servicios requeridos:</label>
																    <div class="controls col-sm-9">
																    	<input type="hidden" id="hOrgIdServicio" value="${eventoOrg.idServicio}" >
																    	
																		<select class="form-control" required="required" id="txtOrgIdServicio" data-role="select"  >
																			<option value="0" selected>---</option>
													                		<option value="1">ALOJAMIENTO</option>
													                		<option value="2">EVENTOS</option>
													                		<option value="3">ALOJAMIENTO + EVENTOS</option>
													                		<option value="4">ALOJAMIENTO + EVENTOS + A&B</option>
													                		<option value="5">EVENTOS + A&B</option>
													                		<option value="6">ALOJAMIENTO + A&B</option>
																		</select>
													                </div>
																</div>	
															</div>
														</div>
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <br>
																</div>
															</div>
														</div>
														
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <button type="button" id="cmdOrgGuardar" class="btn btn-success" data-dismiss="modal">Guardar <i class="entypo-floppy"></i></button>
																</div>
															</div>
														</div>
							  	 		      </div>
							  	 		      
							  	 		      
							  	 		      <div class="tab-pane" id="profile-3" > 
												 		<div class="row">
															<div class="col-md-6">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-3" >Sede ${eventoGen.periodo}:</label>
																    <div class="controls col-sm-9">
																		<input id="txtSedSedeActual" required="required" value="${eventoSed.sedeActual}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
													                </div>
																</div>
															</div>
															<div class="col-md-6">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-3" >Sede Anterior:</label>
																    <div class="controls col-sm-9">
																		<input id="txtSedSedeAnterior" required="required" value="${eventoSed.sedeAnterior}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
													                </div>
																</div>	
															</div>
														</div>	
														
														<div class="row">
															<div class="col-md-6">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-3" >Periodo Anual:</label>
																    <div class="controls col-sm-9">
																    	<input type="hidden" id="hSedIdPeriodicidad" value="${eventoSed.idPeriodicidad}" >
																		<select class="form-control" required="required" id="txtSedIdPeriodicidad" data-role="select"  >
																			<option value="0" selected>---</option>																		
													                		<option value="1">1 AÑO</option>
													                		<option value="2">2 AÑOS</option>
													                		<option value="3">3 AÑOS</option>
													                		<option value="4">4 AÑOS</option>
													                		<option value="5">5 AÑOS</option>
													                		<option value="6">6 AÑOS</option>
													                		<option value="7">7 AÑOS</option>
													                		<option value="8">8 AÑOS</option>
													                		<option value="9">9 AÑOS</option>
													                		<option value="9">10 AÑOS</option>
																		</select>
													                </div>
																</div>
															</div>
															<div class="col-md-6">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-3" ># Veces en DH&C:</label>
																    <div class="controls col-sm-9">
																		<input id="txtSedVecesHotel" required="required" value="${eventoSed.vecesHotel}" type="number" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
													                </div>
																</div>	
															</div>
														</div>
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <br>
																</div>
															</div>
														</div>
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <button type="button" id="cmdSedGuardar" class="btn btn-success" data-dismiss="modal">Guardar <i class="entypo-floppy"></i></button>
																</div>
															</div>
														</div>
							  	 		      </div> 
							  	 		      
							  	 		       
							  	 		       <div class="tab-pane" id="profile-4" > 
												 		<div class="row">
															<div class="col-md-6">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-3" >Cotizaron Eventos:</label>
																    <div class="controls col-sm-9">
																    	<input type="hidden" id="hEveCotiza" value="${eventoEve.cotiza}" >
																		<select class="form-control" required="required" id="txtEveCotiza" data-role="select"  >
																			<option value="0" selected>---</option>
													                		<option value="S">SI</option>
													                		<option value="N">NO</option>
																		</select>
													                </div>
																</div>
															</div>
															<div class="col-md-6">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-3" >Ejecutivo Eventos 1:</label>
																    <div class="controls col-sm-9">
																    	<input type="hidden" id="hEveIdEjecutivo" value="${eventoEve.idEjecutivo}" >
																		<select class="form-control" required="required" id="txtEveIdEjecutivo" data-role="select"  >
													                		<option value="0" selected>---</option>
																	  		<c:forEach items="${lEjecutivoEventos}" var="o">
																		  		<option value="${o.id}">${o.denominacion}</option>
																		  	</c:forEach>
																		</select>
													                </div>
																</div>	
															</div>
														</div>	

														<div class="row">
														
															<div class="col-md-6">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-3" >Revenue Eventos $:</label>
																    <div class="controls col-sm-9">
																		<input id="txtEveRevenue" required="required" type="text" size="80" value="${eventoEve.frevenue}" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
													                </div>
																</div>
															</div>
															
															<div class="col-md-6">
																<div class="form-group">
																	<label class="control-label control-label-left col-sm-3" >Ejecutivo Eventos 2:</label>
																    <div class="controls col-sm-9">
																    	<input type="hidden" id="hEveIdEjecutivo2" value="${eventoEve.idEjecutivo2}" >
																		<select class="form-control" required="required" id="txtEveIdEjecutivo2" data-role="select"  >
													                		<option value="0" selected>---</option>
																	  		<c:forEach items="${lEjecutivoEventos}" var="o">
																		  		<option value="${o.id}">${o.denominacion}</option>
																		  	</c:forEach>
																		</select>
													                </div>
																</div>	
															</div>
														</div>
														
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-12">Comentario de Eventos:</label>
																</div>
															</div>
														</div>		
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																	<div class="controls col-sm-12">
																		<textarea  class="form-control" maxlength="450" style="text-transform: uppercase" required="required" rows="3" id="txtEveComentario">${eventoEve.comentario}</textarea>												
													            	</div>
																</div>
															</div>
														</div>
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <br>
																</div>
															</div>
														</div>
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <button type="button" id="cmdEvenGuardar" class="btn btn-success" data-dismiss="modal">Guardar <i class="entypo-floppy"></i></button>
																</div>
															</div>
														</div>
							  	 		      </div>
							  	 		      
							  	 		      
							  	 		      <div class="tab-pane" id="profile-5" > 
											 		<div class="row">
														<div class="col-md-6">
															<div class="form-group">
															    <label class="control-label control-label-left col-sm-3" >Cotizaron Alojamiento:</label>
															    <div class="controls col-sm-9">
															    	<input type="hidden" id="hAloCotiza" value="${eventoAlo.cotiza}" >
																	<select class="form-control" required="required" id="txtAloCotiza" data-role="select"  >
												                		<option value="0" selected>---</option>
												                		<option value="S">SI</option>
												                		<option value="N">NO</option>
																	</select>
												                </div>
															</div>
														</div>
														<div class="col-md-6">
															<div class="form-group">
																<label class="control-label control-label-left col-sm-3" >Ejecutivo Alojamiento 1:</label>
															    <div class="controls col-sm-9">
															    	<input type="hidden" id="hAloIdEjecutivo" value="${eventoAlo.idEjecutivo}" >
																	<select class="form-control" required="required" id="txtAloIdEjecutivo" data-role="select"  >
												                		<option value="0" selected>---</option>
																  		<c:forEach items="${lEjecutivoVentas}" var="o">
																	  		<option value="${o.id}">${o.denominacion}</option>
																	  	</c:forEach>
																	</select>
												                </div>
															</div>
														</div>
													</div>	
													
													<div class="row">
														<div class="col-md-6">
															<div class="form-group">
															    <label class="control-label control-label-left col-sm-3" >Revenue Alojamiento $:</label>
															    <div class="controls col-sm-9">
																	<input id="txtAloRevenue" required="required" value="${eventoAlo.frevenue}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
												                </div>
															</div>	
														</div>
														<div class="col-md-6">
															<div class="form-group">
															   <label class="control-label control-label-left col-sm-3" >Ejecutivo Alojamiento 2:</label>
															    <div class="controls col-sm-9">
															    	<input type="hidden" id="hAloIdEjecutivo2" value="${eventoAlo.idEjecutivo2}" >
																	<select required="required" class="form-control" id="txtAloIdEjecutivo2" data-role="select"  >
												                		<option value="0" selected>---</option>
																  		<c:forEach items="${lEjecutivoVentas}" var="o">
																	  		<option value="${o.id}">${o.denominacion}</option>
																	  	</c:forEach>
																	</select>
												                </div>
															</div>	
														</div>
													</div>
													
													<div class="row">
														<div class="col-md-6">
															<div class="form-group">
															    
															</div>	
														</div>
														<div class="col-md-6">
															<div class="form-group">
															  	<label class="control-label control-label-left col-sm-3" >Ejecutivo Alojamiento 3:</label>
															    <div class="controls col-sm-9">
															    	<input type="hidden" id="hAloIdEjecutivo3" value="${eventoAlo.idEjecutivo3}" >
																	<select class="form-control" required="required" id="txtAloIdEjecutivo3" data-role="select"  >
												                		<option value="0" selected>---</option>
																  		<c:forEach items="${lEjecutivoVentas}" var="o">
																	  		<option value="${o.id}">${o.denominacion}</option>
																	  	</c:forEach>
																	</select>
												                </div> 
															</div>	
														</div>
													</div>
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <label class="control-label control-label-left col-sm-12">Comentario de Alojamiento:</label>
																</div>
															</div>
														</div>		
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																	<div class="controls col-sm-12">
																		<textarea class="form-control" maxlength="450" style="text-transform: uppercase" required="required" rows="3" id="txtAloComentario">${eventoAlo.comentario}</textarea>												
													            	</div>
																</div>
															</div>
														</div>
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <br>
																</div>
															</div>
														</div>
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <button type="button" id="cmdAloGuardar" class="btn btn-success" data-dismiss="modal">Guardar <i class="entypo-floppy"></i></button>
																</div>
															</div>
														</div>
							  	 		      </div>
							  	 		      
							  	 		      
							  	 		      <div class="tab-pane" id="profile-6" > 
											 		<div class="row">
														<div class="col-md-6">
															<div class="form-group">
															    <label class="control-label control-label-left col-sm-3" >Cotizaron A&B:</label>
															    <div class="controls col-sm-9">
															    	<input type="hidden" id="hAyBCotiza" value="${eventoAyB.cotiza}" >
																	<select required="required" class="form-control" id="txtAyBCotiza" data-role="select"  >
												                		<option value="0" selected>---</option>
												                		<option value="S">SI</option>
												                		<option value="N">NO</option>
																	</select>
												                </div>
															</div>
														</div>
														
														<div class="col-md-6">
															<div class="form-group">
															    <label class="control-label control-label-left col-sm-3" >Ejecutivo A&B:</label>
															    <div class="controls col-sm-9">
															    	<input type="hidden" id="hAyBIdEjecutivo" value="${eventoAyB.idEjecutivo}" >
																	<select required="required" class="form-control" id="txtAyBIdEjecutivo" data-role="select"  >
												                		<option value="0" selected>---</option>
																  		<c:forEach items="${lEjecutivoAyB}" var="o">
																	  		<option value="${o.id}">${o.denominacion}</option>
																	  	</c:forEach>
																	</select>
												                </div>
															</div>	
														</div>
													</div>	
													
													<div class="row">
														<div class="col-md-6">
															<div class="form-group">
															    <label class="control-label control-label-left col-sm-3" >Revenue A&B $:</label>
															    <div class="controls col-sm-9">
															    
																	<input required="required" id="txtAyBRevenue" type="text" size="80" value="${eventoAyB.frevenue}" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
																	
												                </div>
															</div>
														</div>
														<div class="col-md-6">
															<div class="form-group">
															   
															</div>	
														</div>
													</div>
													
													<div class="row">
														<div class="col-md-12">
															<div class="form-group">
															    <label class="control-label control-label-left col-sm-12">Comentario de A&B:</label>
															</div>
														</div>
													</div>		
													
													<div class="row">
														<div class="col-md-12">
															<div class="form-group">
																<div class="controls col-sm-12">
																	<textarea required="required" class="form-control" maxlength="450" style="text-transform: uppercase" required="required" rows="3" id="txtAyBComentario">${eventoAyB.comentario}</textarea>												
												            	</div>
															</div>
														</div>
													</div>
														
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <br>
																</div>
															</div>
														</div>
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <button type="button" id="cmdAyBGuardar" class="btn btn-success" data-dismiss="modal">Guardar <i class="entypo-floppy"></i></button>
																</div>
															</div>
														</div>
							  	 		      </div>
							  	 		      
							  	 		      
							  	 		      <div class="tab-pane" id="profile-7" > 
											 		<div class="row">
														<div class="col-md-6">
															<div class="form-group">
															    <label class="control-label control-label-left col-sm-3" >Página Web:</label>
															    <div class="controls col-sm-9">
																	<div class="input-group">
																		<input id="txtMktPaginaWeb" required="required" value="${eventoMkt.paginaWeb}" type="text" size="80" maxlength="80" class="form-control k-textbox" data-role="text" >
																		
																		<div onclick="sendPage()"  class="input-group-addon btn-info">
																				<i class="entypo-globe "></i>
																		</div>
																		
																	</div>
												                </div>
															</div>
														</div>
														<div class="col-md-6">
															<div class="form-group">
															    <label class="control-label control-label-left col-sm-3" >Presencia Web:</label>
															    <div class="controls col-sm-9">
															    	<input type="hidden" id="hMktPresenciaWeb" value="${eventoMkt.presenciaWeb}" >
																	<select required="required" class="form-control" id="txtMktPresenciaWeb" data-role="select"  >
												                		<option value="0" selected>---</option>
												                		<option value="S">SI</option>
												                		<option value="N">NO</option>
																	</select>
												                </div>
															</div>	
														</div>
													</div>	
													
													<div class="row">
															<div class="col-md-6">
																<div class="form-group">
															    	<label class="control-label control-label-left col-sm-3" >Nombre de contacto:</label>
																    <div class="controls col-sm-9">
																		<input id="txtMktNombreContacto" required="required" type="text" value="${eventoMkt.nombreContacto}" size="80" maxlength="80" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
													                </div>
																</div>
															</div>
															<div class="col-md-6">
																<div class="form-group">
																   
																</div>	
															</div>
													</div>
														
													<div class="row">
														<div class="col-md-12">
															<div class="form-group">
															    <label class="control-label control-label-left col-sm-12">Comentario de Marketing:</label>
															</div>
														</div>
													</div>		
													
													<div class="row">
														<div class="col-md-12">
															<div class="form-group">
																<div class="controls col-sm-12">
																	<textarea class="form-control" maxlength="450" style="text-transform: uppercase" required="required" rows="3" id="txtMktComentario">${eventoMkt.comentario}</textarea>												
												            	</div>
															</div>
														</div>
													</div>
													
													
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <br>
																</div>
															</div>
														</div>
														
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																    <button type="button" id="cmdMktGuardar" class="btn btn-success" data-dismiss="modal">Guardar <i class="entypo-floppy"></i></button>
																</div>
															</div>
														</div>
							  	 		      </div>
							  	 		      
							  	 		   </div> 
							  	 		</div> 
							  	 	</div> 
							  	 </div>
					  </div>
				</div>	<!-- panel panel-default -->
			</div>
		</div>			
	</div>
	</div>
	
	<div class="modal fade" id="overlay">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-body alert-success" style="align:center">
	        <p><strong>Se registro adecuadamente !</strong></p>
	      </div>
	    </div>
	  </div>
	</div>


	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>

	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>

	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>
	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>

	<script>
			$(function(){
		        $('input:required,textarea:required,select:required').on('blur', function(){
		           ;
		        });
		  });
	</script>
	
	<script>
		function activeTab(tab){
			var anttab=$("#hIdTab").val();
			if(anttab!=tab){
				//guardar anterior
				/*if(anttab==1){
					$("#cmdGenGuardar").click();
				}else if(anttab==2){
					$("#cmdOrgGuardar").click();
				}else if(anttab==3){
					$("#cmdSedGuardar").click();
				}else if(anttab==4){
					$("#cmdEvenGuardar").click();
				}else if(anttab==5){
					$("#cmdAloGuardar").click();
				}else if(anttab==6){
					$("#cmdAyBGuardar").click();
				}else if(anttab==7){
					$("#cmdMktGuardar").click();
				}*/
				//actualiza tab
				$("#hIdTab").val(tab);
			}	
		}
	
		function disableAll(){
			var inputs = document.getElementsByTagName("input");
		    for (var i = 0; i < inputs.length; i++) {
		        inputs[i].disabled = true;
		    }
		    var selects = document.getElementsByTagName("select");
		    for (var i = 0; i < selects.length; i++) {
		        selects[i].disabled = true;
		    }
		    var textareas = document.getElementsByTagName("textarea");
		    for (var i = 0; i < textareas.length; i++) {
		        textareas[i].disabled = true;
		    }
		    var buttons = document.getElementsByTagName("button");
		    for (var i = 0; i < buttons.length; i++) {
		        buttons[i].disabled = true;
		    }
		}
		
		
		function enabledGeneral(){
			$("#txtGenFechaIni").removeAttr('disabled');
			$("#txtGenDenominacion").removeAttr('disabled');
			$("#txtGenFechaFin").removeAttr('disabled');
			$("#txtGenDescripcion").removeAttr('disabled');
			$("#cmdGenGuardar").removeAttr('disabled');

			$("#txtOrgOrganizador").removeAttr('disabled');
			$("#txtOrgNombreContacto").removeAttr('disabled');
			$("#txtOrgCorreoContacto").removeAttr('disabled');
			$("#txtOrgIdServicio").removeAttr('disabled');
			$("#cmdOrgGuardar").removeAttr('disabled');

			$("#txtSedSedeActual").removeAttr('disabled');
			$("#txtSedSedeAnterior").removeAttr('disabled');
			$("#txtSedIdPeriodicidad").removeAttr('disabled');
			$("#txtSedVecesHotel").removeAttr('disabled');
			$("#cmdSedGuardar").removeAttr('disabled');
		}
		
		function enabledArea(){
			var hIdArea=$("#hIdArea").val();
			if(hIdArea==1){//ventas
				$("#txtAloCotiza").removeAttr('disabled');
				$("#txtAloRevenue").removeAttr('disabled');
					$("#txtAloIdEjecutivo").removeAttr('disabled');
					$("#txtAloIdEjecutivo2").removeAttr('disabled');
					$("#txtAloIdEjecutivo3").removeAttr('disabled');
				$("#txtAloComentario").removeAttr('disabled');
				$("#cmdAloGuardar").removeAttr('disabled');
				
			}else if(hIdArea==6){//ayb
				$("#txtAyBCotiza").removeAttr('disabled');
					$("#txtAyBIdEjecutivo").removeAttr('disabled');
				$("#txtAyBRevenue").removeAttr('disabled');
				$("#txtAyBComentario").removeAttr('disabled');
				$("#cmdAyBGuardar").removeAttr('disabled');
				
			}else if(hIdArea==9){//eventos
				$("#txtEveCotiza").removeAttr('disabled');
					$("#txtEveIdEjecutivo").removeAttr('disabled');
				$("#txtEveRevenue").removeAttr('disabled');
					$("#txtEveIdEjecutivo2").removeAttr('disabled');
				$("#txtEveComentario").removeAttr('disabled');
				$("#cmdEvenGuardar").removeAttr('disabled');
				
			}else if(hIdArea==12){//mkt
				$("#txtMktPaginaWeb").removeAttr('disabled');
				$("#txtMktPresenciaWeb").removeAttr('disabled');
				
					$("#txtMktNombreContacto").removeAttr('disabled');
				$("#txtMktComentario").removeAttr('disabled');
				$("#cmdMktGuardar").removeAttr('disabled');
				
			}else if(hIdArea==13){//reserv
				;
			}
		}
		
		function disableTabByProfile(){
			var hIdPerfilEventos=$("#hIdPerfilEventos").val();
			var hIdArea=$("#hIdArea").val();
			var hIdUsuario=$("#hIdUsuario").val();

			if(hIdUsuario!=196){
				if(hIdPerfilEventos==3){
					//locked all
					disableAll();
				}else if(hIdPerfilEventos==1){
					//locked only others tab
					disableAll();
					enabledGeneral();
					enabledArea();
				}else if(hIdPerfilEventos==2){
					//locked only others tab
					disableAll();
					enabledGeneral();
					enabledArea();
				}
			}
				
		}
		
		$(document).ready(function() {

			$('#txtAyBRevenue').mask('#,##0.00', {reverse: true});
			$('#txtEveRevenue').mask('#,##0.00', {reverse: true});
			$('#txtAloRevenue').mask('#,##0.00', {reverse: true});
			
			disableTabByProfile();
			
			var hSedIdContactoHotel=$("#hSedIdContactoHotel").val();
			if(isInt(hSedIdContactoHotel)){
				$("#txtSedIdContactoHotel").val(hSedIdContactoHotel);
			}else{
				$("#txtSedIdContactoHotel").val(0);
			}	

			var hEveIdEjecutivo=$("#hEveIdEjecutivo").val();
			if(isInt(hEveIdEjecutivo)){
				$("#txtEveIdEjecutivo").val(hEveIdEjecutivo);
			}else{
				$("#txtEveIdEjecutivo").val(0);
			}

			var hEveIdEjecutivo2=$("#hEveIdEjecutivo2").val();
			if(isInt(hEveIdEjecutivo2)){
				$("#txtEveIdEjecutivo2").val(hEveIdEjecutivo2);
			}else{
				$("#txtEveIdEjecutivo2").val(0);
			}
			
			var hAloIdEjecutivo=$("#hAloIdEjecutivo").val();
			if(isInt(hAloIdEjecutivo)){
				$("#txtAloIdEjecutivo").val(hAloIdEjecutivo);
			}else{
				$("#txtAloIdEjecutivo").val(0);
			}

			var hAloIdEjecutivo2=$("#hAloIdEjecutivo2").val();
			if(isInt(hAloIdEjecutivo2)){
				$("#txtAloIdEjecutivo2").val(hAloIdEjecutivo2);
			}else{
				$("#txtAloIdEjecutivo2").val(0);
			}
			
			var hAloIdEjecutivo3=$("#hAloIdEjecutivo3").val();
			if(isInt(hAloIdEjecutivo3)){
				$("#txtAloIdEjecutivo3").val(hAloIdEjecutivo3);
			}else{
				$("#txtAloIdEjecutivo3").val(0);
			}

			var hAyBIdEjecutivo=$("#hAyBIdEjecutivo").val();
			if(isInt(hAyBIdEjecutivo)){
				$("#txtAyBIdEjecutivo").val(hAyBIdEjecutivo);
			}else{
				$("#txtAyBIdEjecutivo").val(0);
			}
			
			//--
				var hSedIdPeriodicidad=$("#hSedIdPeriodicidad").val();
				if(isInt(hSedIdPeriodicidad)){
					$("#txtSedIdPeriodicidad").val(hSedIdPeriodicidad);
				}else{
					$("#txtSedIdPeriodicidad").val(0);
				}

				var hEveCotiza=$("#hEveCotiza").val();
				if(!isEmpty(hEveCotiza)){
					$("#txtEveCotiza").val(hEveCotiza);
				}else{
					$("#txtEveCotiza").val("0");
				}
				

				var hAloCotiza=$("#hAloCotiza").val();
				if(!isEmpty(hAloCotiza)){
					$("#txtAloCotiza").val(hAloCotiza);
				}else{
					$("#txtAloCotiza").val(0);
				}

				var hAyBCotiza=$("#hAyBCotiza").val();
				if(!isEmpty(hAyBCotiza)){
					$("#txtAyBCotiza").val(hAyBCotiza);
				}else{
					$("#txtAyBCotiza").val(0);
				}

				var hMktPresenciaWeb=$("#hMktPresenciaWeb").val();
				if(!isEmpty(hMktPresenciaWeb)){
					$("#txtMktPresenciaWeb").val(hMktPresenciaWeb);
				}else{
					$("#txtMktPresenciaWeb").val("0");
				}

				var hOrgIdServicio=$("#hOrgIdServicio").val();
				if(isInt(hOrgIdServicio)){
					$("#txtOrgIdServicio").val(hOrgIdServicio);
				}else{
					$("#txtOrgIdServicio").val(0);
				}
		});

		function isInt(x) {
			   var y = parseInt(x, 10);
			   return !isNaN(y) && x == y && x.toString() == y.toString();
		}

		function isEmpty(str){
	        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
	    }

		function sendPage(){
			var url=$("#txtMktPaginaWeb").val();
			window.open(url, '_blank');
		}
		
	</script>
	
</body>
</html>