<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ include file="/common/taglibs.jsp"%>


<!DOCTYPE html>
<html lang="en">
<head>
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="description" content="" />
	<meta name="author" content="" />

	<link rel="icon" href="<c:url value="/resources/assets/images/favicon.ico"/>">

	<title>DELFINES HOTEL & CONVENTION CENTER</title>

	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jquery-ui/css/no-theme/jquery-ui-1.10.3.custom.min.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Noto+Sans:400,700,400italic">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	
	<link rel="stylesheet" href="<c:url value="/resources/css/login-style.css"/>">	

	<script src="./resources/assets/js/jquery-1.11.3.min.js"></script>

	<script type="text/javascript"	src="<c:url value="/resources/js/fn_login.js" />"></script>
	
	<script src="https://apis.google.com/js/platform.js" async defer></script>
	<meta name="google-signin-client_id" content="759401647904-kmurt2bb4pufh893e3d8or21fvhl8j1u.apps.googleusercontent.com">
	
</head>

<body class="page-body">

		<div class="container">
			<div id="login" class="signin-card">
			
			
			  <div align="center" class="logo-image">
			  	<img src="./resources/assets/images/logo_hotel_delfines_login.jpg" alt="Logo" title="Logo" width="90%">
			  	
			  </div>
			  <br>
			  
			  <div align="center" >
			  	<h4><b>House Keeping Status</b></h4>
			  </div>
			  <br>
			  
			  <div align="center" >
			  	<div class="g-signin2" data-onsuccess="onSignIn"></div>
			  </div>
			   
			   <!-- 
			   <br>
			   <div align="center" >
			  	<a href="#" onclick="signOut();">Sign out</a>
			   </div>
			   -->
			   
			</div>
		</div>			

	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery-ui/js/jquery-ui-1.10.3.minimal.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>


	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>


	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>


	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
	<script>
		$(document).ready(function(){

			$('#username').focus();
			$('#username').select();
			
		    $('#username').keypress(function(e){
		      if(e.keyCode==13)
		      $('#cmdIngresar').click();
		    });
		    
		    $('#passwd').keypress(function(e){
			      if(e.keyCode==13)
			      $('#cmdIngresar').click();
			});
		});
		
	</script>
	
	<script>
		var baseURL=$('#contextPathHolder').attr('data-contextPath');

		
		function onSignIn(googleUser) {
		      var profile = googleUser.getBasicProfile();
		      var user_email = profile.getEmail();

		      if(!isEmpty(user_email)){
				$.ajax({
					url : baseURL + "/valida-gmail",
					data : {
						gemail:user_email
					},
					async:false,
					type : "get",
					success : function(usuario){
						if(!isEmpty(usuario.gEmail)){
							window.location.replace(baseURL+"/hk");
						}else{
							alert('No esta autorizado para ingresar al sistema');
						}
					}
				});
			}else{
				cancelBubble(event);
			}
	    }

		function signOut() {
		    var auth2 = gapi.auth2.getAuthInstance();
		    auth2.signOut().then(function () {
		      console.log('User signed out.');
		    });
		}
		  
	    function onLoad() {
	      gapi.load('auth2,signin2', function() {
	        var auth2 = gapi.auth2.init();
	        auth2.then(function() {
	          // Current values
	          var isSignedIn = auth2.isSignedIn.get();
	          var currentUser = auth2.currentUser.get();

	          if (!isSignedIn) {
	            // Rendering g-signin2 button.
	            gapi.signin2.render('google-signin-button', {
	              'onsuccess': 'onSignIn'  
	            });
	          }
	        });
	      });
	    }

	    function cancelBubble(e) {
			 var evt = e ? e:window.event;
			 if (evt.stopPropagation)    evt.stopPropagation();
			 if (evt.cancelBubble!=null) evt.cancelBubble = true;
		}

	    function isEmpty(str){
	        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
	    }
		
	</script>
	
</body>
</html>