<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body>
 	<div class="row">
		<div class="form-group">
			<table id="tmante_head" cellspacing="0" cellpadding="0" border="0" style="width:100%" class="table table-striped table-bordered dt-responsive" style="width:100%" >
					<thead>
						<tr align="right">
							<th></th>
							<th>Check</th>
							<th>Indice</th>
							<th >Cantidad</th>
							<th >Total</th>
							<th>Servicio</th>
							<th>Nro Table</th>
							<th>Detalle</th>
							<th>Fecha</th>
							<th>Outlet</th>
						</tr>
					</thead>
					
					<tbody id="bodyLeadTable">
						<c:set var="salestotal" value="0" scope="request" />
							
						<c:forEach items="${lista}" var="o" varStatus="i" >
							<tr align="left">
								
								<td align="center"  >
									${i.count}
								</td>
								<td >&nbsp${o.checkNumber}</td>
								<td >&nbsp${o.detailIndex}</td>
								<td align="right">&nbsp${o.salesCount}</td>
									<td align="right">&nbsp${o.fSalesTotal}</td>
								<td >&nbsp${o.serviceText}</td>
								<td >&nbsp${o.numTable}</td>
								<td >&nbsp${o.secureDetail}</td>
								<td >&nbsp${o.postingTime}</td>
								<td >&nbsp${o.outlet}</td>
								
							</tr>
							<c:set var="salestotal" value="${salestotal + o.salesTotal}" scope="request"/>
						</c:forEach>
					</tbody>
					
					<tfoot>
						<tr>
							<td></td>
							<td></td>
							<td></td>
							<td></td>
							<td align="right">
								<strong>
									<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${salestotal}"/>
								</strong>
							</td>
							<td></td>
							<td></td>
							<td></td>
							<td></td>
							<td></td>
						</tr>
					</tfoot>
					
				</table>
			</div>
		</div>
	
	<script>
		$(document).ready(function() {
			 var table = $('#tmante_head').DataTable( {
		    	"scrollCollapse": true,
		        "jQueryUI":       true,
		        "bFilter": true,
		        "pageLength": 25,
		        dom : 'Bfrtip',
				buttons : [{
		            extend: 'excelHtml5',
		            title: '',
		            exportOptions: {
	                   columns: [0,1,2,3,4,5,6,7,8,9]
	               }
		        }]
		   	 });

		   	 
			 $(document).ready(function() {
				 $('#tmante_head tr').click(function()
						 {
					 $("#tmante_head tr").removeClass('seleccionar_fila');
					 $(this).addClass('seleccionar_fila');
						     
						 });
		    		
			});
				
		});
		
	</script>

	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
</body>
</html>