<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	
</head>

<body>
 	<div class="row datagrid" style="width:100%">
		<div class="form-group">
			<c:if test="${not empty listaLeadsSeguimiento}">
				<table id="tmante" cellspacing="0" cellpadding="0"  class="cell-border display compact" style="width:100%" >
						<thead>
							<tr align="right">
								<th></th>
								<th align="left">Seguimiento</th>
								<th>Cotizado</th>
								<th>Fecha Contacto</th>
								<th>Canal</th>
								<th>Reserva</th>
								<th>Motivo</th>
								<th align="right">Pax Final</th>
								<th align="right">Revenue</th>
								<th>Servicio</th>
								<th>Ejecutivo</th>
								<th>Observaciones</th>
								<th>Fecha Proxima</th>
								<th>Hora</th>
								<c:if test="${(o.estado eq '1') and (o.idUsuario eq p_usuario.usuarioId) }">
								<th>
								</th>
								</c:if>
							</tr>
						</thead>
						<tbody>
							<c:forEach items="${listaLeadsSeguimiento}" var="o" varStatus="i" >
								<tr align="left">
									<td align="center">
										
									</td>			
									<td align="left">
										Seguimiento: ${o.secuencia}
									</td>
									<td>${o.cotizado}</td>
									<td>${o.fechaContacto}</td>
									<td>${o.canal}</td>
									<td>${o.reserva}</td>
									<td>${o.motivo}</td>
									<td align="right">${o.paxFinal}</td>
									<td align="right">${o.revenue}</td>
									<td>${o.servicioFinal}</td>
									<td>${o.ejecutivo}</td>
									<td>${o.observacion}</td>
									<td>${o.fechaProxima}</td>
									<td>${o.hora}</td>
									<c:if test="${(o.estado eq '1') and (o.idUsuario eq p_usuario.usuarioId) }">
									<td>
										<input type="hidden" id="hUpdIdLeadSeguimiento${o.idLeadSeguimiento}" value="${o.idLeadSeguimiento}"  >
										<button type="button" class="btn btn-info btn-xs" onclick="setUpdParameterSeguimiento(${o.idLeadSeguimiento})" data-toggle="modal" data-target="#mUpdateSeguimiento"><i class="entypo-pencil"></i> </button>
									</td>
									</c:if>
								</tr>
							</c:forEach>
						</tbody>
					</table>
			</c:if>
		  </div>
	</div>
	
	
	<script>
		function setUpdParameterSeguimiento(idLeadSeguimiento){
			
			var hIdLeadSeguimiento=document.getElementById('hUpdIdLeadSeguimiento'+idLeadSeguimiento+'');
			$("#hIdLeadSeguimiento").val(hIdLeadSeguimiento.value);

			var baseURL=$('#contextPathHolder').attr('data-contextPath');
			$.ajax({
				url : baseURL + "/get-lead-seguimiento",
				data : {
					idLeadSeguimiento:idLeadSeguimiento	
				},
				async:false,
				type : "get",
				contentType: "application/json", //this is required for spring 3 - ajax to work (at least for me)
				dataType : 'json',
				success : function(leadSeguimiento) {
					$("#txtUpdNombreClienteSeguimiento").val("Seguimiento: "+leadSeguimiento.secuencia);
					
					$("#hUpdIdEjecutivoSeguimiento").val(leadSeguimiento.idUsuario);
					$("#hUpdIdLeadSeguimiento").val(leadSeguimiento.idLeadSeguimiento);
					$("#hUpdIdLead").val(leadSeguimiento.idLead);
						$("#selUpdIdCotizado").val(leadSeguimiento.idCotizado);
						$("#selUpdIdCanal").val(leadSeguimiento.idCanal);
						$("#selUpdIdReserva").val(leadSeguimiento.idReserva);
						selectUpdMotivo();
						$("#selUpdIdMotivo").val(leadSeguimiento.idMotivo);
					$("#txtUpdPaxFinal").val(leadSeguimiento.paxFinal);
					$("#txtUpdRevenue").val(leadSeguimiento.revenue);
						$("#selUpdIdServicioFinal").val(leadSeguimiento.idServicioFinal);
					$("#txtUpdObservacion").val(leadSeguimiento.observacion);
					$("#txtUpdFechaProxima").val(leadSeguimiento.fechaProxima);
					$("#selUpdHora").val(leadSeguimiento.idHora);
				}
			});
			
		}

	</script>
	
</body>
	<STYLE TYPE="text/css">
	  .datagrid table { border-collapse: collapse; text-align: left; width: 100%; } .datagrid {font: normal 11px/150% Arial, Helvetica, sans-serif; background: #fff; overflow: hidden; border: 1px solid #006699; -webkit-border-radius: 3px; -moz-border-radius: 3px; border-radius: 3px; }.datagrid table td, .datagrid table th { padding: 3px 10px; }.datagrid table thead th {background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #E1EEFF), color-stop(1, #E1EEF4) );background:-moz-linear-gradient( center top, #E1EEFF 5%, #E1EEF4 100% );filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#E1EEFF', endColorstr='#E1EEF4');background-color:#E1EEFF; color:#00557F; font-size: 11px; font-weight: normal; border-left: 1px solid #0070A8; } .datagrid table thead th:first-child { border: none; }.datagrid table tbody td { color: #0082AB; border-left: 1px solid #E1EEF4;font-size: 11px;font-weight: normal; }.datagrid table tbody .alt td { background: #E1EEF4; color: #0082AB; }.datagrid table tbody td:first-child { border-left: none; }.datagrid table tbody tr:last-child td { border-bottom: none; }.datagrid table tfoot td div { border-top: 1px solid #006699;background: #E1EEF4;} .datagrid table tfoot td { padding: 0; font-size: 11px } .datagrid table tfoot td div{ padding: 2px; }.datagrid table tfoot td ul { margin: 0; padding:0; list-style: none; text-align: right; }.datagrid table tfoot  li { display: inline; }.datagrid table tfoot li a { text-decoration: none; display: inline-block;  padding: 2px 8px; margin: 1px;color: #FFFFFF;border: 1px solid #006699;-webkit-border-radius: 3px; -moz-border-radius: 3px; border-radius: 3px; background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #006699), color-stop(1, #00557F) );background:-moz-linear-gradient( center top, #006699 5%, #00557F 100% );filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#006699', endColorstr='#00557F');background-color:#006699; }.datagrid table tfoot ul.active, .datagrid table tfoot ul a:hover { text-decoration: none;border-color: #00557F; color: #FFFFFF; background: none; background-color:#006699;}div.dhtmlx_window_active, div.dhx_modal_cover_dv { position: fixed !important; }
	</STYLE>
</html>

