<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<title>DELFINES HOTEL & CONVENTION CENTER</title>

	<!-- jquery 1.12 :ini -->
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.js"></script>
	<!-- jquery 1.12 :end -->
	
	<!-- datatable 1.10 :ini -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
	<!---->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"></link>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"></link>
	<!-- datatable 1.10 :end -->

	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Noto+Sans:400,700,400italic">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	
	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<!-- datepicker :ini -->
	<link rel="stylesheet" type="text/css" media="all" href="<c:url value="/resources/assets/js/daterangepicker/daterangepicker-bs3.css"/>" />
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/moment.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/daterangepicker.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/bootstrap-datepicker.js"/>"></script>
	<!-- datepicker :end -->
	
	<!-- Logica de presentacion : ini-->
	<script type="text/javascript" src="<c:url value="/resources/js/fn_registro_leads.js?777" />"></script>
	<!-- Logica de presentacion : fin-->
	<style>
		.btn span.glyphicon {    			
			opacity: 0;				
		}
		.btn.active span.glyphicon {				
			opacity: 1;				
		}
	</style>
	
</head>
<body class="page-body">
	<div class="container-fluid">
			<div class="col-md-6 col-sm-4 clearfix">	
				<ul class="user-info pull-left pull-none-xsm">
		
					<li class="profile-info dropdown">
						<div class="logo">
							<a href="index.html">
								<img src="./resources/assets/images/logo_delfin.png" height="87" alt="" />
							</a>
						</div>
					</li>
				</ul>									
			</div>
			<div class="col-md-6 col-sm-8 clearfix hidden-xs">
		
				<ul class="list-inline links-list pull-right">
					<li>
						<p>Bienvenido: <strong>[${p_usuario.username}/${p_usuario.perfil} - ${p_usuario.denominacionArea}]</strong></p>
						<li>
							<a href="${pageContext.request.contextPath}/">Salir <i class="entypo-logout right"></i></a>
						</li>
						<br>
					</li>
					<li></li>
					<li>
					</li>
				</ul>
		
			</div>   
			<div class="col-md-6 msg-alert-login-error" style="display:none;">
				<div class="alert alert-danger"></div>
			</div>
    </div>
    <!-- /.container-fluid -->
    
    <!-- collapsed -->
<div class="page-container sidebar-collapsed" style="border-top: 1px solid #ccc">
	
	<div class="sidebar-menu">

		<div class="sidebar-menu-inner">
			
			<header class="logo-env">
				<div class="sidebar-collapse">
					<a href="#" class="sidebar-collapse-icon"><!-- add class "with-animation" if you want sidebar to have animation during expanding/collapsing transition -->
						<i class="entypo-menu"></i>
					</a>
				</div>

								
				<!-- open/close menu icon (do not remove if you want to enable menu on mobile devices) -->
				<div class="sidebar-mobile-menu visible-xs">
					<a href="#" class="with-animation"><!-- add class "with-animation" to support animation -->
						<i class="entypo-menu"></i>
					</a>
				</div>

			</header>
			
									
			<ul id="main-menu" class="main-menu">
					
				<li class="has-sub">
					<a href="<c:url value="/registro-leads"/>">
						<i class="entypo-basket"></i>
						<span class="title">Seguimiento de Leads</span>
					</a>
				</li>
				
					<li class="has-sub">
						<a href="<c:url value="/correos/registro-correos/"/>">
							<i class="entypo-mail"></i>
							<span class="title">Seguimiento de Correos</span>
						</a>
					</li>
					
				<!-- 
				<li class="has-sub">
					<a href="<c:url value="/leads/reporte-leads"/>">
						<i class="entypo-doc-text"></i>
						<span class="title">Reporte de Leads</span>
					</a>
				</li>
				
				<li class="has-sub">
					<a href="<c:url value="/correos/reporte-correos"/>">
						<i class="entypo-docs"></i>
						<span class="title">Reporte de Correos</span>
					</a>
				</li>
				-->
				<c:if test="${(p_usuario.idPerfilLead eq 1) }">
					<li class="has-sub">
						<a href="<c:url value="/leads/mante-ads"/>">
							<i class="entypo-layout"></i>
							<span class="title">Mantenimiento de Ads</span>
						</a>
					</li>
				</c:if>
				
				<c:if test="${(p_usuario.idPerfilLead eq 1) }">
					<li class="has-sub">
						<a href="<c:url value="/leads/mante-perfil"/>">
							<i class="entypo-cog"></i>
							<span class="title">Mantenimiento de Perfil</span>
						</a>
					</li>
				</c:if>
				
				<li>					
					<a href="https://app.powerbi.com/view?r=eyJrIjoiZWZiZGJmNjctZTNlMi00NWNhLWI1YTYtOGUxNjUxMDlhYTI1IiwidCI6IjM1Mzg2ODUzLWJlYzAtNDgwYi1iMjljLWYyYzQwYzU5ZjFkNiIsImMiOjR9" target="_blank">
						<i class="entypo-chart-bar"></i>
						<span class="title">Consolidado de Análisis de Leads</span>
					</a>
				</li>
			</ul>
			
		</div>
	</div>
		
	<div class="main-content">
			<div class="row">
				<div class="col-md-12">
					<div class="panel panel-default">
				  
					  <div class="panel-heading">
					  	<div class="row">
					  		<div class="col-md-12">
					  			<div class="form-group">
							    	<label class="control-label control-label-left col-sm-12" for="field25"><h4>Registro de Leads</h4></label>
							    </div>
							</div>
						</div>
					  </div>
					  
					  <div class="panel-body">	
					  
					  	<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Servicio:</label>
								    <div class="controls col-sm-9">
					                	<select class="form-control" id="selIdAdsetName" data-role="select" required="required" >
					                		<option value="0">---</option>
										  	<c:forEach items="${listaAdSetName}" var="o">
										  		<option value="${o.id}">${o.denominacion}</option>
										  	</c:forEach>
										</select>
					                </div>
								</div>
							</div>
							
							<div class="col-md-6">
								<div class="form-group">
								</div>	
							</div>
						</div>
						
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Fecha Carga Ini:</label>
								    <div class="controls col-sm-9">
					                	<div class="input-group">
											<input type="text" id="txtFechaAdsIni" placeholder="Desde" class="form-control datepicker"
											value="${fechaHoy}" 
											data-format="dd/mm/yyyy" format="dd/mm/yyyy">
											<div class="input-group-addon">
												<a href="#"><i class="entypo-calendar"></i></a>
											</div>
										</div>
					                </div>
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Fecha Carga Fin:</label>
								    <div class="controls col-sm-9">
					                	<div class="input-group">
											<input type="text" id="txtFechaAdsFin" placeholder="Hasta" class="form-control datepicker"
											value="${fechaHoy}" 
											data-format="dd/mm/yyyy" format="dd/mm/yyyy">
											<div class="input-group-addon">
												<a href="#"><i class="entypo-calendar"></i></a>
											</div>
										</div>
					                </div>
								</div>	
							</div>
						</div>
						
						
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Fecha Servicio Ini:</label>
								    <div class="controls col-sm-9">
					                	<div class="input-group">
											<input type="text" id="txtFechaLeadIni" placeholder="Desde" class="form-control datepicker"
											value="" 
											data-format="dd/mm/yyyy" format="dd/mm/yyyy">
											<div class="input-group-addon">
												<a href="#"><i class="entypo-calendar"></i></a>
											</div>
										</div>
					                </div>
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Fecha Servicio Fin:</label>
								    <div class="controls col-sm-9">
					                	<div class="input-group">
											<input type="text" id="txtFechaLeadFin" placeholder="Hasta" class="form-control datepicker"
											value="" 
											data-format="dd/mm/yyyy" format="dd/mm/yyyy">
											<div class="input-group-addon">
												<a href="#"><i class="entypo-calendar"></i></a>
											</div>
										</div>
					                </div>
								</div>	
							</div>
						</div>
						
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Fecha Proxima Ini:</label>
								    <div class="controls col-sm-9">
					                	<div class="input-group">
											<input type="text" id="txtFechaProxIni" placeholder="Desde" class="form-control datepicker"
											value="" 
											data-format="dd/mm/yyyy" format="dd/mm/yyyy">
											<div class="input-group-addon">
												<a href="#"><i class="entypo-calendar"></i></a>
											</div>
										</div>
					                </div>
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Fecha Proxima Fin:</label>
								    <div class="controls col-sm-9">
					                	<div class="input-group">
											<input type="text" id="txtFechaProxFin" placeholder="Hasta" class="form-control datepicker"
											value="" 
											data-format="dd/mm/yyyy" format="dd/mm/yyyy">
											<div class="input-group-addon">
												<a href="#"><i class="entypo-calendar"></i></a>
											</div>
										</div>
					                </div>
								</div>	
							</div>
						</div>
						
						
						
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Area:</label>
								    <div class="controls col-sm-9">
					                	<select class="form-control" id="selIdArea" data-role="select" required="required" >
					                		<option value="0">TODOS</option>
										  	<c:forEach items="${listaArea}" var="o">
										  		<option value="${o.id}">${o.denominacion}</option>
										  	</c:forEach>
										</select>
					                </div>
								</div>
							</div>
							
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label control-label-left col-sm-3" >Sub Area:</label>
								    <div class="controls col-sm-9">
					                	<select class="form-control" id="selIdSubArea" data-role="select" required="required" >
					                		<option value="0">TODOS</option>
										  	<c:forEach items="${listaSubArea}" var="o">
										  		<option value="${o.id}">${o.denominacion}</option>
										  	</c:forEach>
										</select>
					                </div>
								</div>	
							</div>
						</div>
						
						<div class="row">
							
							<div class="col-md-6">
								<div class="form-group">
									
									<label class="control-label control-label-left col-sm-3" >Reserva:</label>
								    <div class="controls col-sm-9">
					                	<select class="form-control" id="selFIdReserva" data-role="select" required="required" >
					                		<option value="0">TODOS</option>
										  	<option value="1">SI</option>
										  	<option value="2">NO</option>
										  	<option value="3">TE</option>
										</select>
					                </div>
									
								</div>	
							</div>
							
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Motivo:</label>
								    <div class="controls col-sm-9">
					                	<select class="form-control" id="selIdFMotivo" data-role="select" required="required" >
					                		<option value="0">TODOS</option>
										  	<option value="1">NO CONTESTA</option>
										  	<option value="2">NO ESTA INTERESADO</option>
										  	<option value="3">POR CONFIRMAR</option>
										  	<option value="4">NUMERO INVALIDO</option>
										  	<option value="5">VOLVER A CONTACTAR</option>
										  	<option value="6">TOMO OTRA OPCION</option>
										  	<option value="7">SI RESERVA</option>
										</select>
					                </div>
								</div>
							</div>
							
							
						</div>
						
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Cant. Seguimiento:</label>
								    <div class="controls col-sm-9">
					                	<select class="form-control" id="selFCantSeg" data-role="select" required="required" >
					                		<option value="99">TODOS</option>
					                		<option value="0">0</option>
										  	<option value="1">1</option>
										  	<option value="2">2</option>
										  	<option value="3">3</option>
										  	<option value="4">4</option>
										  	<option value="5">5</option>
										  	<option value="6">6</option>
										  	<option value="7">7</option>
										  	<option value="8">8</option>
										  	<option value="9">9</option>
										</select>
					                </div>
								</div>
							</div>
							
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label control-label-left col-sm-3" >Cotiza:</label>
								    <div class="controls col-sm-9">
					                	<select class="form-control" id="selCotiza" data-role="select" required="required" >
					                		<option value="0">TODOS</option>
										  	<option value="1">SI</option>
										  	<option value="2">NO</option>
										  	<option value="3">CERRADO</option>
										</select>
					                </div>
								</div>	
							</div>
						</div>
						
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Estado:</label>
								    <div class="controls col-sm-9">
					                	<select class="form-control" id="selIdEstado" data-role="select" required="required" >
					                		<option value="9">TODOS</option>
										  	<option value="1">ASIGNADO</option>
										  	<option value="0">SIN ASIGNAR</option>
										</select>
					                </div>
								</div>
							</div>
							
							<div class="col-md-6">
								<div class="form-group">
									
									<label class="control-label control-label-left col-sm-3" >Seguimiento:</label>
								    <div class="controls col-sm-9">
					                	<select class="form-control" id="selIdSeguimiento" data-role="select" required="required" >
					                		<option value="9">TODOS</option>
										  	<option value="1">CON SEGUIMIENTO</option>
										  	<option value="0">SIN SEGUIMIENTO</option>
										</select>
					                </div>
									
								</div>	
							</div>
						</div>
								
						<div class="row">
							<div class="col-md-12">
								<div class="form-group">
								    <button type="button" id="cmdBuscar" class="btn btn-success" data-dismiss="modal">Buscar <i class="entypo-search"></i></button>
								</div>
							</div>
						</div>
						
						<div class="row">
							<div class="col-md-12">
								<div class="form-group" >
									<div id="subViewDiv"></div> 
								</div>
							</div>	
						</div>
						
					</div>
				</div>	<!-- panel panel-default -->
			</div>
		</div>			
	</div>

	<!-- Modal : Inicio -->
	<div id="mUpload" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	  	<form id="frmUpload" >
	    	<!-- Modal content-->
	  	    <div class="modal-content">
		    
		      <div class="modal-header">
		        <button type="button" class="close" data-dismiss="modal">&times;</button>
		        <h4 class="modal-title">Carga de archivos</h4>
		      </div>
		      
		      <div class="modal-body">
					<input type="file" name="file" id="file" /> 
		      </div>
		      
		      <div class="modal-footer">
		      	<input type="hidden" id="hIdCliente">
		      	<input type="button" id="fileSubmit" class="btn btn-success" data-dismiss="modal" value="Upload"/>
		        <button type="button" id="cmdClose" class="btn btn-default" data-dismiss="modal">Close</button>
		      </div>
		    </div>
		</form>
	  </div>
	</div>
	<!-- Modal : Fin -->

	<!-- Modal : Inicio -->
	<div id="mAsignaEjecutivoAll" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Asignar Ejecutivo</h4>
	      </div>
	      <div class="modal-body">
	      		<form id="frmEjecutivo" >
	      		
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-2">Ejecutivo:</label>
								<div class="controls col-sm-10">
				                	<select class="form-control" id="selIdEjecutivo" data-role="select" required="required" >
									  	<option value="0">---</option>
								  		<c:forEach items="${listaEjecutivo}" var="o">
									  		<option value="${o.id}">${o.denominacion}</option>
									  	</c:forEach>
									</select>
				            	</div>
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-2">Desde:</label>
								<div class="controls col-sm-2">
				                	<input id="txtDesde" type="text" value="0" size="4" maxlength="4" pattern="\d*" title="Indique cantidad valida" required="required" class="form-control k-textbox" data-role="text" >
				            	</div>
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-2">Hasta:</label>
								<div class="controls col-sm-2">
				                	<input id="txtHasta" type="text" value="100" size="4" maxlength="4" pattern="\d*" title="Indique cantidad valida" required="required" class="form-control k-textbox" data-role="text" >
				            	</div>
							</div>
						</div>
					</div>
					
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      	<input type="hidden" id="hTamanoLista" value="0" >
	      	<button type="button" id="cmdGuardarEjecutivo" class="btn btn-success" data-dismiss="modal">Guardar</button>
	        <button type="button" id="cmdCloseEjecutivo" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	      
	    </div>
	  </div>
	</div>
	<!-- Modal : Fin -->
	
	
	<!-- Modal : Inicio -->
	<div id="mAsignaEjecutivoSingle" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	    <!-- Modal content-->
	    
	    <div class="modal-content">
	    
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Asignar Ejecutivo</h4>
	      </div>
	      
	      <div class="modal-body">
	      
	      		<form id="frmEjecutivo" >
	      			<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3">Cliente:</label>
								<div class="controls col-sm-9">
				                	<input id="txtNombreCliente" disabled="disabled" required="required" type="text" size="100" maxlength="100" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
				            	</div>
							</div>
						</div>
					</div>
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3">Ejecutivo:</label>
								<div class="controls col-sm-9">
				                	<select class="form-control" id="selIdEjecutivoSingle" data-role="select" required="required" >
									  	<option value="0" >---</option>
									  		<c:forEach items="${listaEjecutivo}" var="o">
										  		<option value="${o.id}">${o.denominacion}</option>
										  	</c:forEach>
									</select>
				            	</div>
							</div>
						</div>
					</div>
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      		<input type="hidden" value="0" id="hIdEjecutivo" >
				<input type="hidden" value="0" id="hIdLead" >
	      		<button type="button" id="cmdGuardarEjecutivoSingle" class="btn btn-success" data-dismiss="modal">Guardar</button>
	        	<button type="button" id="cmdCloseEjecutivoSingle" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	    </div>
	
	  </div>
	</div>
	<!-- Modal : Fin -->
	
	<!-- Modal : Inicio -->
	<div id="mSeguimiento" class="modal fade" role="dialog">
	  <div class="modal-dialog ">
	    <!-- Modal content-->
	    
	    <div class="modal-content">
	    
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Seguimiento de Leads</h4>
	      </div>
	      
	      <div class="modal-body">
	      		<form id="frmRegistroSeguimiento">
	      				<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Cliente:</label>
									<div class="controls col-sm-8">
					                	<input id="txtNombreClienteSeguimiento" disabled="disabled" required="required" type="text" size="100" maxlength="100" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
					            	</div>
								</div>
							</div>
						</div>	
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Cotizado (*):</label>
									<div class="controls col-sm-8">
					                	<select class="form-control" id="selIdCotizado" data-role="select" required="required" >
										  	<option value="2">NO</option>
										  	<option value="1">SI</option>
										  	<!-- <option value="3">CERRADO</option> -->
										</select>
					            	</div>
								</div>
							</div>
						</div>
						
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Canal (*):</label>
									<div class="controls col-sm-8">
											<select class="form-control" id="selIdCanal" data-role="select" required="required" >
											  	<option value="1">Correo</option>
											  	<option value="2">Llamada</option>
											  	<option value="3">Presencial</option>
											  	<option value="4">WhatsApp</option>
											</select>
					            	</div>
								</div>
							</div>
						</div>
						
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Reserva (*):</label>
									<div class="controls col-sm-8">
											<select class="form-control" id="selIdReserva" data-role="select" required="required" >
												<option value="2">NO 		 (NO RESERVA)</option>
												<option value="1">SI (Pf/Co) (SI RESERVA) </option>
												<option value="3">Seg 		 (SEGUIMIENTO) </option>
											</select>
					            	</div>
								</div>
							</div>
						</div>
						
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Motivo (*):</label>
									<div class="controls col-sm-8">
											<select class="form-control" id="selIdMotivo" data-role="select" >
											</select>
					            	</div>
								</div>
							</div>
						</div>
						
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Pax Final:</label>
									<div class="controls col-sm-8">
										<input type="text" id="txtPaxFinal" pattern="\d*" title="Indique numero valido" size="7" maxlength="7" class="form-control k-textbox"  data-role="text" style="text-transform: uppercase">
									</div>
				            	</div>
							</div>
						</div>
					
					
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Revenue:</label>
									<div class="controls col-sm-8">
										<input type="text" id="txtRevenue" pattern="\d*" title="Indique numero valido" size="7" maxlength="7" class="form-control k-textbox"  data-role="text" style="text-transform: uppercase">
									</div>
				            	</div>
							</div>
						</div>
					
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Servicio Final Reservado:</label>
									<div class="controls col-sm-8">
										<select class="form-control" id="selIdServicioFinal" data-role="select" >
					                		<option value="0">---</option>
										  	<c:forEach items="${listaAdSetName}" var="o">
										  		<option value="${o.id}">${o.denominacion}</option>
										  	</c:forEach>
										</select>
					            	</div>
								</div>
							</div>
						</div>
						
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Observación:</label>
									<div class="controls col-sm-8">
										<textarea class="form-control" maxlength="500" style="text-transform: uppercase" rows="4" id="txtObservacion"></textarea>												
					            	</div>
								</div>
							</div>
						</div>
						
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Proxima Llamada:</label>
									<div class="controls col-sm-8">
					                	<div class="input-group">
											<input type="text" id="txtFechaProxima" placeholder="Fecha" size="10" required="required" maxlength="10" class="form-control datepicker" value="" data-format="dd/mm/yyyy" format="dd/mm/yyyy">
											<div class="input-group-addon">
												<a href="#"><i class="entypo-calendar"></i></a>
											</div>
											<select class="form-control" id="selHora" data-role="select" >
												<option value="0">---</option>
											  	<option value="9">09 AM.</option>
											  	<option value="10">10 AM.</option>
											  	<option value="11">11 AM.</option>
											  	<option value="12">12 PM.</option>
											  	<option value="13">01 PM.</option>
											  	<option value="14">02 PM.</option>
											  	<option value="15">03 PM.</option>
											  	<option value="16">04 PM.</option>
											  	<option value="17">05 PM.</option>
											  	<option value="18">06 PM.</option>
											</select>
										</div>
					            	</div>
								</div>
							</div>
						</div>
						
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      	<input type="hidden" value="0" id="hIdEjecutivoSeguimiento" >
			<input type="hidden" value="0" id="hIdLeadSeguimiento" >
				
	      	<button type="button" id="cmdGuardarSeguimiento" class="btn btn-success" data-dismiss="modal">Guardar</button>
	        <button type="button" id="cmdClose" class="btn btn-default" data-dismiss="modal">Close</button>
	        
	      </div>
	    </div>
	
	  </div>
	</div>
	<!-- Modal : Fin -->
	
	
	<!-- Modal : Inicio -->
	<div id="mUpdateSeguimiento" class="modal fade" role="dialog">
	  <div class="modal-dialog ">
	    <!-- Modal content-->
	    
	    <div class="modal-content">
	    
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Actualiza Seguimiento de Leads</h4>
	      </div>
	      
	      <div class="modal-body">
	      		<form id="frmUpdRegistroSeguimiento">
	      				
	      				<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Seguimiento:</label>
									<div class="controls col-sm-8">
					                	<input id="txtUpdNombreClienteSeguimiento" disabled="disabled" required="required" type="text" size="100" maxlength="100" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
					            	</div>
								</div>
							</div>
						</div>
							
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Cotizado (*):</label>
									<div class="controls col-sm-8">
					                	<select class="form-control" id="selUpdIdCotizado" data-role="select" required="required" >
										  	<option value="2">NO</option>
										  	<option value="1">SI</option>
										  	<!-- <option value="3">CERRADO</option> -->
										</select>
					            	</div>
								</div>
							</div>
						</div>
						
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Canal (*):</label>
									<div class="controls col-sm-8">
											<select class="form-control" id="selUpdIdCanal" data-role="select" required="required" >
											  	<option value="1">Correo</option>
											  	<option value="2">Llamada</option>
											  	<option value="3">Presencial</option>
											  	<option value="4">WhatsApp</option>
											</select>
					            	</div>
								</div>
							</div>
						</div>
						
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Reserva (*):</label>
									<div class="controls col-sm-8">
											<select class="form-control" id="selUpdIdReserva" data-role="select" required="required" >
												<option value="2">NO 		 (NO RESERVA)</option>
												<option value="1">SI (Pf/Co) (SI RESERVA) </option>
												<option value="3">Seg 		 (SEGUIMIENTO) </option>
											</select>
					            	</div>
								</div>
							</div>
						</div>
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Motivo (*):</label>
									<div class="controls col-sm-8">
											<select class="form-control" id="selUpdIdMotivo" data-role="select" >
											</select>
					            	</div>
								</div>
							</div>
						</div>
						
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Pax Final:</label>
									<div class="controls col-sm-8">
										<input type="text" id="txtUpdPaxFinal" pattern="\d*" title="Indique numero valido" size="7" maxlength="7" class="form-control k-textbox"  data-role="text" style="text-transform: uppercase">
									</div>
				            	</div>
							</div>
						</div>
					
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Revenue:</label>
									<div class="controls col-sm-8">
										<input type="text" id="txtUpdRevenue" pattern="\d*" title="Indique numero valido" size="7" maxlength="7" class="form-control k-textbox"  data-role="text" style="text-transform: uppercase">
									</div>
				            	</div>
							</div>
						</div>
					
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Servicio Final Reservado:</label>
									<div class="controls col-sm-8">
										<select class="form-control" id="selUpdIdServicioFinal" data-role="select" >
					                		<option value="0">---</option>
										  	<c:forEach items="${listaAdSetName}" var="o">
										  		<option value="${o.id}">${o.denominacion}</option>
										  	</c:forEach>
										</select>
					            	</div>
								</div>
							</div>
						</div>
						
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Observación:</label>
									<div class="controls col-sm-8">
										<textarea class="form-control" maxlength="500" style="text-transform: uppercase" rows="4" id="txtUpdObservacion"></textarea>												
					            	</div>
								</div>
							</div>
						</div>
						
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Proxima Llamada:</label>
									<div class="controls col-sm-8">
					                	<div class="input-group">
											<input type="text" id="txtUpdFechaProxima" placeholder="Fecha" size="10" required="required" maxlength="10" class="form-control datepicker" value="" data-format="dd/mm/yyyy" format="dd/mm/yyyy">
											<div class="input-group-addon">
												<a href="#"><i class="entypo-calendar"></i></a>
											</div>
											<select class="form-control" id="selUpdHora" data-role="select" >
												<option value="0">---</option>
											  	<option value="9">09 AM.</option>
											  	<option value="10">10 AM.</option>
											  	<option value="11">11 AM.</option>
											  	<option value="12">12 PM.</option>
											  	<option value="13">01 PM.</option>
											  	<option value="14">02 PM.</option>
											  	<option value="15">03 PM.</option>
											  	<option value="16">04 PM.</option>
											  	<option value="17">05 PM.</option>
											  	<option value="18">06 PM.</option>
											</select>
										</div>
					            	</div>
								</div>
							</div>
						</div>
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      	<input type="hidden" value="0" id="hUpdIdEjecutivoSeguimiento" >
			<input type="hidden" value="0" id="hUpdIdLeadSeguimiento" >
			<input type="hidden" value="0" id="hUpdIdLead" >
				
	      	<button type="button" id="cmdUpdGuardarSeguimiento" class="btn btn-success" data-dismiss="modal">Guardar</button>
	        <button type="button" id="cmdUpdClose" class="btn btn-default" data-dismiss="modal">Close</button>
	        
	      </div>
	    </div>
	
	  </div>
	</div>
	<!-- Modal : Fin -->
	
	
	<!-- Modal : Inicio -->
	<div id="mUpdateFechaServicio" class="modal fade" role="dialog">
	  <div class="modal-dialog ">
	    <!-- Modal content-->
	    
	    <div class="modal-content">
	    
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Actualiza fecha de servicio</h4>
	      </div>
	      
	      <div class="modal-body">
	      		<form id="frmUpdFechaServicio">
	      				
	      				<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Cliente:</label>
									<div class="controls col-sm-8">
					                	<input id="txtFecSerNombreCliente" disabled="disabled" required="required" type="text" size="100" maxlength="100" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
					            	</div>
								</div>
							</div>
						</div>
							
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-4">Fecha Servicio:</label>
									<div class="controls col-sm-8">
					                	<div class="input-group">
											<input type="text" id="txtFechaAdset" placeholder="Fecha" size="10" required="required" maxlength="10" class="form-control datepicker" value="" data-format="dd/mm/yyyy" format="dd/mm/yyyy">
											<div class="input-group-addon">
												<a href="#"><i class="entypo-calendar"></i></a>
											</div>
										</div>
					            	</div>
								</div>
							</div>
						</div>
				</form>
	      </div>
	      
	      <div class="modal-footer">
			<input type="hidden" value="0" id="hIdFecSerLead" >
				
	      	<button type="button" id="cmdUpdGuardarFechaServicio" class="btn btn-success" data-dismiss="modal">Guardar</button>
	        <button type="button" id="cmdUpdClose" class="btn btn-default" data-dismiss="modal">Close</button>
	        
	      </div>
	    </div>
	
	  </div>
	</div>
	
	
	
	
	
	<!-- Modal : Inicio -->
	<div id="mMailMasivo" class="modal fade" role="dialog">
	  <div class="modal-dialog ">
	    <!-- Modal content-->
	    
	    <div class="modal-content">
	    
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Seguimiento de correo masivo</h4>
	      </div>
	      
	      <div class="modal-body">
	      		<form id="frmMailDescripcion">
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-2">Descripción:</label>
								<div class="controls col-sm-10">
									<textarea class="form-control" maxlength="500" style="text-transform: uppercase" rows="4" id="txtMailDescripcion"></textarea>												
				            	</div>
							</div>
						</div>
					</div>
				</form>
	      </div>
	      
	      <div class="modal-footer">
			<input type="hidden" value="0" id="hMailIdLeads" >
			<input type="hidden" value="0" id="hMailIdLeadsCant" >
	      	<button type="button" id="cmdMailGuardar" class="btn btn-success" data-dismiss="modal">Guardar</button>
	        <button type="button" id="cmdMailClose" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	    </div>
	
	  </div>
	</div>
	<!-- Modal : Fin -->
	
	
	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>

	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>

	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>
	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
	<script>
	$(document).ready(function() {
		$('#selIdReserva').on('change', function() {
			selectMotivo();
		});
		
		$('#selUpdIdReserva').on('change', function() {
			selectUpdMotivo();
		});
	});

	function selectMotivo(){
		var selIdReserva=$("#selIdReserva").val();
		
		if(selIdReserva==1){/*<option value="1">SI (Pf/Co) (SI RESERVA)</option>*/
			var dataList = $("#selIdMotivo");
			dataList.empty();
			dataList.append("<option value='7' selected='selected'>Si reserva</option>");
		}else if(selIdReserva==2){/*<option value="2">NO 		 (NO RESERVA)</option>*/
			var dataList = $("#selIdMotivo");
			dataList.empty();
			dataList.append("<option value='1' selected='selected'>No contesta</option>");
			dataList.append("<option value='2'>No está interesado</option>");
			dataList.append("<option value='4'>Número inválido</option>");
			dataList.append("<option value='6'>Tomo otra opción</option>");
		}else if(selIdReserva==3){/*<option value="3">TE 		 (TENTATIVO) </option>*/
			var dataList = $("#selIdMotivo");
			dataList.empty();
			dataList.append("<option value='3' selected='selected'>Por confirmar</option>");
			dataList.append("<option value='5'>Volver a contactar</option>");
		}
	}

	function selectUpdMotivo(){
		var selIdReserva=$("#selUpdIdReserva").val();

		if(selIdReserva==1){/*<option value="1">SI (Pf/Co) (SI RESERVA)</option>*/
			var dataList = $("#selUpdIdMotivo");
			dataList.empty();
			dataList.append("<option value='7' selected='selected'>Si reserva</option>");
		}else if(selIdReserva==2){/*<option value="2">NO 		 (NO RESERVA)</option>*/
			var dataList = $("#selUpdIdMotivo");
			dataList.empty();
			dataList.append("<option value='1' selected='selected'>No contesta</option>");
			dataList.append("<option value='2'>No está interesado</option>");
			dataList.append("<option value='4'>Número inválido</option>");
			dataList.append("<option value='6'>Tomo otra opción</option>");
		}else if(selIdReserva==3){/*<option value="3">TE 		 (TENTATIVO) </option>*/
			var dataList = $("#selUpdIdMotivo");
			dataList.empty();
			dataList.append("<option value='3' selected='selected'>Por confirmar</option>");
			dataList.append("<option value='5'>Volver a contactar</option>");
		}
	}
	</script>
	
	<script type="text/javascript">
		$(document).ready(function() {
	        $("#txtRevenue").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });    

		$(document).ready(function() {
	        $("#txtPaxFinal").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });

		
		$(document).ready(function() {
	        $("#txtUpdRevenue").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });    

		$(document).ready(function() {
	        $("#txtUpdPaxFinal").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
	    
		$(document).ready(function() {
	        $("#txtDesde").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });

		$(document).ready(function() {
	        $("#txtHasta").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
	    
	</script>  
	
</body>
</html>