<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ include file="/common/taglibs.jsp"%>


<!DOCTYPE html>
<html lang="en">
<head>
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="description" content="Biblioteca ENAMM" />
	<meta name="author" content="" />

	<link rel="icon" href="<c:url value="/resources/assets/images/favicon.ico"/>">

	<title>DELFINES HOTEL & CONVENTION CENTER</title>

	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jquery-ui/css/no-theme/jquery-ui-1.10.3.custom.min.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Noto+Sans:400,700,400italic">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	

	<script src="./resources/assets/js/jquery-1.11.3.min.js"></script>

	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<script type="text/javascript"	src="<c:url value="/resources/js/fn_registro_usuario.js" />"></script>

	<style>
	* {
	  box-sizing: border-box;
	}
	
	#myInput {
	  background-image: url('/css/searchicon.png');
	  background-position: 10px 10px;
	  background-repeat: no-repeat;
	  width: 100%;
	  font-size: 16px;
	  padding: 12px 20px 12px 40px;
	  border: 1px solid #ddd;
	  margin-bottom: 12px;
	}
	
	#myTable {
	  border-collapse: collapse;
	  width: 100%;
	  border: 1px solid #ddd;
	  font-size: 12px;
	}
	
	#myTable th, #myTable td {
	  text-align: left;
	  padding: 12px;
	}
	
	#myTable tr {
	  border-bottom: 1px solid #ddd;
	}
	
	#myTable tr.header, #myTable tr:hover {
	  background-color: #f1f1f1;
	}
	</style>
</head>
<body class="page-body">



    <div class="container-fluid">
			<div class="col-md-6 col-sm-4 clearfix">	
				<ul class="user-info pull-left pull-none-xsm">
		
					<li class="profile-info dropdown">
						<div class="logo">
							<a href="index.html">
								<img src="./resources/assets/images/logo_delfin.png" height="87" alt="" />
							</a>
						</div>
					</li>
				</ul>									
			</div>
			<div class="col-md-6 col-sm-8 clearfix hidden-xs">
		
				<ul class="list-inline links-list pull-right">
					<li>
						<p>Bienvenido: <strong>[${p_usuario.username}/${p_usuario.perfil} - ${p_usuario.denominacionArea}]</strong></p>
						<li>
							<a href="${pageContext.request.contextPath}/">Salir <i class="entypo-logout right"></i></a>
						</li>
						<br>
					</li>
					<li></li>
					<li>
					</li>
				</ul>
		
			</div>   
			<div class="col-md-6 msg-alert-login-error" style="display:none;">
				<div class="alert alert-danger"></div>
			</div>
    </div>
    <!-- /.container-fluid -->



<!-- collapsed -->
<div class="page-container sidebar-collapsed" style="border-top: 1px solid #ccc">
	
	<div class="sidebar-menu">

		<div class="sidebar-menu-inner">
			
			<header class="logo-env">
				<div class="sidebar-collapse">
					<a href="#" class="sidebar-collapse-icon"><!-- add class "with-animation" if you want sidebar to have animation during expanding/collapsing transition -->
						<i class="entypo-menu"></i>
					</a>
				</div>
								
				<!-- open/close menu icon (do not remove if you want to enable menu on mobile devices) -->
				<div class="sidebar-mobile-menu visible-xs">
					<a href="#" class="with-animation"><!-- add class "with-animation" to support animation -->
						<i class="entypo-menu"></i>
					</a>
				</div>

			</header>
			
									
			<ul id="main-menu" class="main-menu">		
				<c:if test="${(p_usuario.perfilId eq 1) or (p_usuario.perfilId eq 2) or (p_usuario.perfilId eq 9)}">	
				<li class="has-sub">					
					<a href="<c:url value="/registro-referencia"/>">
						<i class="entypo-home"></i>
						<span class="title">Registro Comentarios</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 9) }">
				<li class="has-sub">					
					<a href="<c:url value="/valida-referencia"/>">
						<i class="entypo-doc-text"></i>
						<span class="title">Validacion Comentarios</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 1) or (p_usuario.perfilId eq 2) or (p_usuario.perfilId eq 9) or (p_usuario.perfilId eq 8) or (p_usuario.perfilId eq 0)}">
				<li class="has-sub">					
					<a href="<c:url value="/consulta-referencia"/>">
						<i class="entypo-list"></i>
						<span class="title">Consulta Comentarios</span>
					</a>
				</li>
				</c:if>

				<c:if test="${(p_usuario.perfilId eq 1) or (p_usuario.perfilId eq 2) or (p_usuario.perfilId eq 9) or (p_usuario.perfilId eq 8) or (p_usuario.perfilId eq 0)}">
				<li class="has-sub">					
					<a href="<c:url value="/consulta-descargo"/>">
						<i class="entypo-thumbs-down"></i>
						<span class="title">Validaciones Anuladas</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 8) }">
				<li class="has-sub">					
					<a href="<c:url value="/registro-usuario"/>">
						<i class="entypo-folder"></i>
						<span class="title">Registro Usuarios</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 1) }">
				<li class="has-sub">					
					<a href="<c:url value="/registro-ticket"/>">
						<i class="entypo-doc"></i>
						<span class="title">Registro Ticket-Metas</span>
					</a>
				</li>
				</c:if>
				
				<c:if test="${(p_usuario.perfilId eq 9)}">
				<li class="has-sub">					
					<a href="<c:url value="/registro-general"/>">
						<i class="entypo-book"></i>
						<span class="title">Registro Datos General</span>
					</a>
				</li>
				</c:if>	
				
				<c:if test="${(p_usuario.perfilId eq 8)}">
				<li class="has-sub">					
					<a href="<c:url value="/registro-mantenimiento"/>">
						<i class="entypo-tools"></i>
						<span class="title">Registro Mantenimiento</span>
					</a>
				</li>
				</c:if>							
				
				<c:if test="${not (p_urlbi eq '')}">
					<li>					
						<a href="${p_urlbi}" target="_blank">
							<i class="entypo-chart-bar"></i>
							<span class="title">Visor de avance diario</span>
						</a>
					</li>
				</c:if>
				
			</ul>
			
		</div>

	</div>

	<div class="main-content">
				
		<div class="row">
					
				<form id="frmUsuario" >
					<div class="col-md-12">
			
					<div class="panel panel-default">
					  
					  <div class="panel-heading">
					  	<div class="row">
					  		<div class="col-md-12">
					  			<div class="form-group">
							    	<label class="control-label control-label-left col-sm-12" for="field25"><h4>Registro de Usuarios</h4></label>
							    </div>
							</div>
						</div>
					  </div>
					  
					  
					  <div class="panel-body">
							<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3" for="field48">Apellidos y Nombres</label>
						    	<div class="controls col-sm-9">
			                    
				                <input id="txtApellidosNombres" required="required" size="50"  maxlength="50" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase"></div>
				                
							</div>
							
							
							
							<div class="form-group">
							    <label class="control-label control-label-left col-sm-3" for="field49">Areas</label>
							    <div class="controls col-sm-9">
					                <select  required="required" id="txtIdArea" class="form-control" data-role="select" data-parsley-errors-container="#errId2">
					                	<option value="0">---</option>
									  	<c:forEach items="${listaAreas}" var="a">
										  <option value="${a.areaId}">${a.denominacion}</option>
									  </c:forEach>
									  
									</select>
									<span id="errId2" class="error"></span>
								</div>
							</div>
							
							<div class="form-group">
								  <button id="button44" type="submit" class="btn btn-lg" name="Guardar">Guardar</button>
							</div>
						
						<div class="form-group">
							<input type="text" id="myInput" onkeyup="myFunction()" placeholder="Buscar nombre de usuario..." title="Type in a name">
						</div>
							
						<div class="form-group">
							<table id="myTable" class="table table-bordered">
								<thead>
									<tr>				
										<th></th>									
										<th>Cdigo</th>
										<th>Apellidos y Nombres</th>
										<th>Area</th>
										<th>Perfil</th>
										<th>Usuario</th>
									</tr>
								</thead>
								
								<tbody>
									<c:forEach items="${listaUsuarios}" var="e" varStatus="ctr">
										<tr>							
											<td>
												<input type="hidden" id="hIdUsuario${ctr.index}" value="<c:out value="${e.usuarioId}"/>">
												<input type="hidden" id="hApeNom${ctr.index}" value="<c:out value="${e.apellidosNombres}"/>">
												<button type="button" onclick="setParameter(${ctr.index})" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal">Login/Pwd</button>
												<input type="hidden" id="hLogin${ctr.index}" value="<c:out value="${e.username}"/>">
												<input type="hidden" id="hPerfil${ctr.index}" value="<c:out value="${e.perfilId}"/>">
											</td>
											<td>${e.usuarioId}</td>							
											<td>${e.apellidosNombres}</td>
											<td>${e.denominacionArea}</td>
											<td>${e.perfil}</td>
											<td>${e.username}</td>
										</tr>
									</c:forEach>
									
								</tbody>
								
							</table>
						</div>
					</div>
					</div>
					</div>
				</form>
		</div>
	</div>			
</div>


<!-- Modal -->
	<div id="myModal" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Asignar Login / Password</h4>
	      </div>
	      
	      <div class="modal-body">
	      	<form id="frmGuardarLoginPwdUsuario">
				<div class="row">
	            	<div class="col-md-12">
	                	<div class="form-group">
							<input id="txtUsuarioLabel" disabled="disabled" type="text" class="form-control k-textbox">
						</div>
					</div>
				</div>
				
	        	<div class="row">
	            	<div class="col-md-6">
	                	<div class="form-group">
					    	<label class="control-label control-label-left col-sm-3" for="field24">Login:</label>
							<div class="controls col-sm-9">
			                	<input id="txtLoginUsuario" required="required" type="text" class="form-control k-textbox" data-role="text" data-parsley-errors-container="#errId2"><span id="errId2" class="error"></span>
			            	</div>
						</div>
					</div>
			
					<div class="col-md-6">
						<div class="form-group">
						    <label class="control-label control-label-left col-sm-3" for="field24">Password:</label>
							<div class="controls col-sm-9">
			                	<input id="txtPwdUsuario" required="required" type="text" class="form-control k-textbox" data-role="text" data-parsley-errors-container="#errId2"><span id="errId2" class="error"></span>
			            	</div>
						</div>
					</div>
				</div>
				
				<div class="row">
	            	<div class="col-md-6">
	                	<div class="form-group">
					    	<label class="control-label control-label-left col-sm-3" for="field24">Perfil:</label>
							<div class="controls col-sm-9">
									<select  required="required" id="txtIdPerfil" class="form-control" data-role="select" data-parsley-errors-container="#errId2">
					                	<option value="0">--</option>
					                	<option value="2">Operador</option>
										<option value="1">Supervisor</option>
										<option value="9">Administrador</option>
									</select>
			            	</div>
						</div>
					</div>
			
					<div class="col-md-6">
						<div class="form-group">
						    
						</div>
					</div>
				</div>
				
				
				<div class="form-group">
				  
				    <input type="hidden" id="hIdUsuario" value="0">
			        <button type="submit" id="cmdLoginUsuario" class="btn btn-default" name="Guardar">Guardar</button>
			    </div>
			</form>	
	      </div>
	      
	      <div class="modal-footer">
	        <button type="button" id="cmdClose2" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	    </div>
	
	  </div>
	</div>
	
		<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery-ui/js/jquery-ui-1.10.3.minimal.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>


	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>


	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>


	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
	
	<script type="text/javascript">
		function setParameter(index){
	    	var vIdUsuario=document.getElementById('hIdUsuario'+index+'');
			var vApeNom=document.getElementById('hApeNom'+index+'');
			
	        $(".modal-body #hIdUsuario").val(vIdUsuario.value);
			$(".modal-body #txtUsuarioLabel").val(vApeNom.value);

			//valores por defecto
			var vLogin=document.getElementById('hLogin'+index+'');
			var vPerfil=document.getElementById('hPerfil'+index+'');

			$(".modal-body #txtLoginUsuario").val(vLogin.value);
			$(".modal-body #txtIdPerfil").val(vPerfil.value);
	    }

		function myFunction() {
			  var input, filter, table, tr, td, i;
			  input = document.getElementById("myInput");
			  filter = input.value.toUpperCase();
			  table = document.getElementById("myTable");
			  tr = table.getElementsByTagName("tr");
			  for (i = 0; i < tr.length; i++) {
				td = tr[i].getElementsByTagName("td")[0];
				if (td) {
				  if (td.innerHTML.toUpperCase().indexOf(filter) > -1) {
					tr[i].style.display = "";
				  } else {
					tr[i].style.display = "none";
				  }
				}       
			  }
			}
		
	</script>	

</body>
</html>