<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<title>DELFINES HOTEL & CONVENTION CENTER</title>

	<!-- jquery 1.12 :ini -->
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.js"></script>
	<!-- jquery 1.12 :end -->
	
	<!-- datatable 1.10 :ini -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
	<!---->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"></link>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"></link>
	<!-- datatable 1.10 :end -->

	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Noto+Sans:400,700,400italic">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	
	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<!-- datepicker :ini -->
	<link rel="stylesheet" type="text/css" media="all" href="<c:url value="/resources/assets/js/daterangepicker/daterangepicker-bs3.css"/>" />
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/moment.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/daterangepicker.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/bootstrap-datepicker.js"/>"></script>
	
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-timepicker/0.5.2/css/bootstrap-timepicker.min.css">
	<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-timepicker/0.5.2/js/bootstrap-timepicker.min.js"></script>
	
	<script src="https://demo.neontheme.com/assets/js/jquery.inputmask.bundle.js" id="script-resource-8"></script>
	<!-- datepicker :end -->
	
	<!-- Logica de presentacion : ini-->
	<script type="text/javascript" src="<c:url value="/resources/js/fn_registro_reservas.js?73" />"></script>
	
	<!-- Logica de presentacion : fin-->
	<style>
		.btn span.glyphicon {    			
			opacity: 0;				
		}
		.btn.active span.glyphicon {				
			opacity: 1;				
		}
	</style>
	
	<style>
		.btn span.glyphicon {    			
			opacity: 0;				
		}
		.btn.active span.glyphicon {				
			opacity: 1;				
		}
		
		input[type="text"]{
			background-color:#ffffe6 !important
		}
		
		textarea{
			background-color:#ffffe6 !important
		}
		
		input[type="number"]{
			background-color:#ffffe6 !important
		}
		
		select{
		  background-color:#ffffe6 !important
		}
	</style>
	
	<style>
		input:required:focus {
		  border: 1px solid red;
		  outline: none;
		}
		
		select:required:focus {
		  border: 1px solid red;
		  outline: none;
		}
		
		textarea:required:focus {
		  border: 1px solid red;
		  outline: none;
		}
		
		.padding-0{
		    padding-right:0;
		    padding-left:0;
		}

	</style>
	
</head>
<body class="page-body">
	<div class="container-fluid">
			<div class="col-md-6 col-sm-4 clearfix">	
				<ul class="user-info pull-left pull-none-xsm">
		
					<li class="profile-info dropdown">
						<div class="logo">
							<a href="index.html">
								<img src="<c:url value="/resources/assets/images/logo_delfin.png" />" height="87" alt="" />
							</a>
						</div>
					</li>
				</ul>									
			</div>
			<div class="col-md-6 col-sm-8 clearfix hidden-xs">
		
				<ul class="list-inline links-list pull-right">
					<li>
						<p>Bienvenido: <strong>[${p_usuario.username}/${p_usuario.perfil} - ${p_usuario.denominacionArea}]</strong></p>
						<li>
							<a href="${pageContext.request.contextPath}/">Salir <i class="entypo-logout right"></i></a>
						</li>
						<br>
					</li>
					<li></li>
					<li>
					</li>
				</ul>
		
			</div>   
			<div class="col-md-6 msg-alert-login-error" style="display:none;">
				<div class="alert alert-danger"></div>
			</div>
    </div>
    <!-- /.container-fluid -->
    
    <!-- collapsed -->
<div class="page-container sidebar-collapsed" style="border-top: 1px solid #ccc">
	
	<div class="sidebar-menu">

		<div class="sidebar-menu-inner">
			
			<header class="logo-env">
				<div class="sidebar-collapse">
					<a href="#" class="sidebar-collapse-icon"><!-- add class "with-animation" if you want sidebar to have animation during expanding/collapsing transition -->
						<i class="entypo-menu"></i>
					</a>
				</div>

				<!-- open/close menu icon (do not remove if you want to enable menu on mobile devices) -->
				<div class="sidebar-mobile-menu visible-xs">
					<a href="#" class="with-animation"><!-- add class "with-animation" to support animation -->
						<i class="entypo-menu"></i>
					</a>
				</div>
			</header>
									
			<ul id="main-menu" class="main-menu">
			
				<li class="has-sub">
					<a href="<c:url value="/menu-reservas"/>">
						<i class="entypo-clock"></i>
						<span class="title">Registro de Reservas</span>
					</a>
				</li>
			</ul>
			
		</div>

	</div>
	
	<div class="main-content">
			<div class="row">
				<div class="col-md-12">
					<div class="panel panel-default">
				  
					  <div class="row">
					  		<div class="col-md-12">
					  			<div class="panel panel-success">
					  			
						  			<div class="panel-heading">
						  				<div class="panel-title"><b>REGISTRO DE RESERVAS</b></div>
								    </div>
								</div>    
							</div>
						</div>
					  
					  <div class="panel-body">	
					  
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Fec.Reserva Ini:</label>
								    <div class="controls col-sm-9">
					                	<div class="input-group">
											<input type="text" id="txtSearchFechaIni" required="required" placeholder="Desde" class="form-control datepicker"
											data-format="dd/mm/yyyy" format="dd/mm/yyyy" value="${p_fechaIni}" >
											<div class="input-group-addon">
												<a href="#"><i class="entypo-calendar"></i></a>
											</div>
										</div>
					                </div>
								</div>
							</div>
							
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Fec.Reserva Fin:</label>
								    <div class="controls col-sm-9">
					                	<div class="input-group">
					                	
											<input type="text" id="txtSearchFechaFin" required="required" placeholder="Hasta" class="form-control datepicker"
											data-format="dd/mm/yyyy" format="dd/mm/yyyy" value="${p_fechaFin}">
											<div class="input-group-addon">
												<a href="#"><i class="entypo-calendar"></i></a>
											</div>
										</div>
					                </div>
								</div>	
							</div>
						</div>
						
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Outlet:</label>
								    <div class="controls col-sm-9">
								    	<input type="hidden" id="hSearchOutlet" value="${p_idoutlet}" >
					                	<select class="form-control" id="selSearchIdOutlet" data-role="select" required="required" >
					                		<option value="0">---</option>
										  	<c:forEach items="${listaOutlet}" var="o">
										  		<option value="${o.id}">${o.denominacion}</option>
										  	</c:forEach>
										</select>
					                </div>
								</div>
							</div>
							
							<div class="col-md-6">
								<div class="form-group">
								    
								</div>	
							</div>
						</div>
						
						<div class="row">
						
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Tipo Reserva:</label>
								    <div class="controls col-sm-9">
								    	<input type="hidden" id="hSearchTipoReserva" value="${p_idtiporeserva}" >
					                	<select class="form-control" id="selSearchIdTipoReserva" data-role="select" required="required" >
					                		<option value="0">---</option>
										  	<c:forEach items="${listaTipoReserva}" var="o">
										  		<option value="${o.id}">${o.denominacion}</option>
										  	</c:forEach>
										</select>
					                </div>
								</div>
							</div>
							
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Ejecutivo:</label>
								    <div class="controls col-sm-9">
								    	<input type="hidden" id="hSearchEjecutivo" value="${p_idejecutivo}" >
					                	<select class="form-control" id="selSearchIdEjecutivo" data-role="select" required="required" >
					                		<option value="0">---</option>
										  	<c:forEach items="${listaEjecutivo}" var="o">
										  		<option value="${o.ejecutivoId}">${o.apellidosNombres}</option>
										  	</c:forEach>
										</select>
					                </div>
								</div>	
							</div>
							
						</div>
						
						
						<div class="row">
							<div class="col-md-12">
								<div class="form-group">
								    <button type="button" id="cmdBuscar" class="btn btn-success" data-dismiss="modal">Buscar <i class="entypo-search"></i></button>
								</div>
							</div>
						</div>
						
						<div class="row">
							<div class="col-md-12">
								<div class="form-group" >
									<div id="subViewDiv"></div> 
								</div>
							</div>	
						</div>
						
					</div>
				</div>	<!-- panel panel-default -->
			</div>
		</div>			
	</div>
	
	<!-- Modal : Inicio -->
	<div id="mManteReserva" class="modal fade" role="dialog">
	  <div class="modal-dialog modal-lg">
	    <div class="modal-content">
	    
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Registro Reserva</h4>
	      </div>
	      
	      <div class="modal-body" id="accordion" >
	      		<form id="frmEvento" >
	      		
	      			<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-2" >Cliente:</label>
							    <div class="controls col-sm-10">
							    	<div class="input-group">
							    	
							    		<input type="hidden" id="hIdCliente" value=""></input>
					                	<input id="txtIdCliente" type="text" required="required"  list="lClientes" data-list='lClientes' autocomplete="off" class="form-control k-textbox" data-role="text" style="text-transform: uppercase" >
					                	<div class="input-group-addon">
											<a href="#" 
												onclick="initializeClient();"
												data-toggle="collapse" data-parent="#accordion" data-target="#rooms" aria-expanded="false" aria-controls="rooms" >
												<i class="entypo-vcard"></i>
											</a>
										</div>
										
										<datalist id="lClientes" >
											<c:forEach items="${listaClientes}" var="o" varStatus="i" >
												<option data-value="${o.id}" id="${o.id}" value="${o.denominacion}"></option>
											</c:forEach>
										</datalist>
										
									</div>	
				                </div>
				            	
							</div>
						</div>	
					</div>
					
		         	 <div id="rooms" class="panel-collapse collapse" >
						<div class="row">
									    <div class="col-md-12">
									        <div class="panel panel-primary" data-collapsed="0">
									            <div class="panel-body">
									                <form role="form" class="form-horizontal form-groups-bordered">
									                    		
															<div class="row">
																<div class="col-md-6">
																	<div class="form-group">
																    	<label class="control-label control-label-left col-sm-3 padding-0">Tipo Persona:</label>
																		<div class="controls col-sm-9">
														                	<select class="form-control" onchange="selectTipoPersona()" id="selTipoPersona" data-role="select" required="required" >
																			  	<option value="1"  selected="selected" >Natural</option>
																			  	<option value="2">Juridica</option>
																			</select>
														            	</div>
																	</div>
																</div>
																
																<div class="col-md-6">
																	<div class="form-group">
																	</div>
																</div>	
															</div>
															
															<div id="divJuridica">
																<div class="row">
																
													            	<div class="col-md-6 " >
													                	<div class="form-group">
																	    	<label class="control-label padding-0 control-label-left col-sm-3">Razon Social:</label>
																			<div class="controls col-sm-9 ">
															                	<input id="txtRazonSocial" required="required" type="text" size="100" maxlength="100" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
															            	</div>
																		</div>
																	</div>
																	
																	
																	<div class="col-md-6 ">
																		<div class="form-group">
																			<label class="control-label padding-0 control-label-left col-sm-3">RUC:</label>
																			<div class="controls col-sm-9 ">
															                	<input id="txtRuc" required="required" size="11" maxlength="11" type="text" data-mask="fdecimal" data-dec="" data-rad="" class="form-control k-textbox" data-role="text" >
															            	</div>
																		</div>
																	</div>
																	
																</div>
															</div>
															
															<div id="divNatural">	
															
																<div class="row">
													            	<div class="col-md-6">
													                	<div class="form-group">
																	    	<label class="control-label control-label-left col-sm-3 padding-0">Nombre Apellidos:</label>
																			<div class="controls col-sm-9">
															                	<input id="txtApellidosNombres" required="required" type="text" size="100" maxlength="100" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
															            	</div>
																		</div>
																	</div>
																	
																	<div class="col-md-6">
																		<div class="form-group">
																			<label class="control-label control-label-left col-sm-3 padding-0">DNI:</label>
																			<div class="controls col-sm-9">
															                	<input id="txtDni" required="required" size="8" data-mask="fdecimal" data-dec="" data-rad="" maxlength="8" type="text" class="form-control k-textbox" data-role="text" >
															            	</div>
																		</div>
																	</div>
																	
																</div>
																
															</div>
															
															<div class="row">
												            	<div class="col-md-6">
												                	<div class="form-group">
																    	<label class="control-label control-label-left col-sm-3 padding-0">Telefono:</label>
																    	<div class="controls col-sm-9">
																			<input id="txtTelefono" required="required" size="12" data-mask="fdecimal" data-dec="" data-rad="" maxlength="12" type="text" class="form-control k-textbox" data-role="text">
														            	</div>
																	</div>
																</div>
																
																<div class="col-md-6">
												                	<div class="form-group">
																    	<label class="control-label control-label-left col-sm-3 padding-0">Correo:</label>
																    	<div class="controls col-sm-9">
																			<input id="txtCorreo" required="required" size="100" maxlength="100" type="text" class="form-control k-textbox" data-role="text" >
														            	</div>
																	</div>
																</div>
															</div>
															
															
															<div class="row">
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3 padding-0" >Distrito:</label>
																		<div class="controls col-sm-9">
																			
																			<input type="hidden" id="hIdDistrito">
																			<select class="form-control" id="selDistrito" data-role="select" required="required" >
														                		<option value="0">---</option>
																			  	<c:forEach items="${listaDistrito}" var="o">
																			  		<option value="${o.id}">${o.denominacion}</option>
																			  	</c:forEach>
																			</select>
																			
														            	</div>
																	</div>
																</div>
																
																<div class="col-md-6">
																	<div class="form-group">
																	    <label class="control-label control-label-left col-sm-3 padding-0" >Numero Socio:</label>
																		<div class="controls col-sm-9">
																			<input id="txtNumeroSocio" required="required" size="10" data-mask="fdecimal" data-dec="" data-rad="" maxlength="10" type="text" class="form-control k-textbox" data-role="text" >
														            	</div>
																	</div>
																</div>
															</div>
															
															<div class="row">
															
																<div class="col-md-6">
																	<div class="form-group">
																	    <input type="hidden" id="hIdClienteEdit">
																	    
																	    <button type="button" id="cmdGuardarCliente" class="btn btn-success">Guardar</button>
																	    
																	</div>
																</div>
																
																<div class="col-md-6">
																	<div class="form-group">
																		
																	</div>
																</div>
																
															</div>
																		
																	
									                </form>
									            </div>
									        </div>
									    </div>
									
						</div>
					 </div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
		                	
						    	<label class="control-label control-label-left col-sm-2">Tipo de Reserva:</label>
								<div class="controls col-sm-4">
							    	<input type="hidden" id="hIdTipoReserva">
				                	<select class="form-control" id="selTipoReserva" data-role="select" required="required" >
				                		<option value="0">---</option>
									  	<c:forEach items="${listaTipoReserva}" var="o">
									  		<option value="${o.id}">${o.denominacion}</option>
									  	</c:forEach>
									</select>
				                </div>
				                
				            	<label class="control-label control-label-left col-sm-2">Outlet:</label>
								<div class="controls col-sm-4">
							    	<input type="hidden" id="hIdOutlet">
				                	<select class="form-control" id="selOutlet" data-role="select" required="required" >
				                		<option value="0">---</option>
									  	<c:forEach items="${listaOutlet}" var="o">
									  		<option value="${o.id}">${o.denominacion}</option>
									  	</c:forEach>
									</select>
				                </div>
				            	    
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	
						    	<label class="control-label control-label-left col-sm-2">Adultos:</label>
								<div class="controls col-sm-4">
				                	<div class="input-spinner" > 
				                		<button type="button" class="btn btn-default">-</button> 
				                			<input type="text" id="txtAdultos" class="form-control size-1" required="required" value="1" data-min="0" data-max="100" /> 
				                		<button type="button" class="btn btn-default">+</button> 
				                	</div>
				            	</div>
				            	
				            	<label class="control-label control-label-left col-sm-2">Niños:</label>
								<div class="controls col-sm-4">
									<div class="input-spinner"> 
				                		<button type="button" class="btn btn-default">-</button> 
				                			<input type="text" id="txtNinos" class="form-control size-1" required="required" value="0" data-min="0" data-max="100" /> 
				                		<button type="button" class="btn btn-default">+</button> 
				                	</div>
				            	</div>
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-2">Fecha de reserva:</label>
								<div class="controls col-sm-4">
				                	<div class="input-group">
										<input type="text" id="txtFechaReserva" placeholder="Fecha" size="10" required="required" maxlength="10" class="form-control datepicker" data-format="dd/mm/yyyy" format="dd/mm/yyyy" value="${p_fechaIni}" >
										<div class="input-group-addon">
											<a href="#"><i class="entypo-calendar"></i></a>
										</div>
									</div>
				            	</div>
				            	
			            	 	<label class="control-label control-label-left col-sm-2">Hora reserva:</label>
			            	 	<div class="controls col-sm-4">
			            	 	 
				            		<div class="input-group">
				            		    <input type="text" id="txtHoraReserva" required="required" class="form-control timepicker" data-template="dropdown" data-show-seconds="false" data-default-time="12:00 PM" data-show-meridian="true" data-minute-step="10" />
					                    <div class="input-group-addon">
					                      <i class="fa fa-clock-o"></i>
					                    </div>
					                </div>
				            	</div>	 
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-2">Venta estimada:</label>
								<div class="controls col-sm-4">
									<input type="text" id="txtVentaEstimada" required="required" class="form-control" data-mask="fdecimal" data-dec="," data-rad="." maxlength="100" />
				            	</div>
				            	<label class="control-label control-label-left col-sm-2"></label>
								<div class="controls col-sm-4">
									<div class="input-group">
									</div>												
				            	</div>
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-2">Observación:</label>
								<div class="controls col-sm-10">
									<textarea class="form-control" required="required" maxlength="500" style="text-transform: uppercase" rows="4" id="txtObservacion"></textarea>												
				            	</div>
							</div>
						</div>
					</div>
					
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      		<input type="hidden" id="hIdReserva" value="0" >
	      		<button type="button" id="cmdGuardarReserva" class="btn btn-success" data-dismiss="modal">Guardar</button>
	        	<button type="button" id="cmdCloseReserva" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	      
	    </div>
	  </div>
	</div>
	<!-- Modal : Fin -->
	
	
	<!-- Modal : Inicio -->
	<div id="mManteCheck" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	    <div class="modal-content">
	    
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Registro de Check - MICROS</h4>
	      </div>
	      
	      <div class="modal-body" id="accordion" >
	      		<form id="frmEvento" >
	      		
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label padding-0  control-label-left col-sm-2">Cliente:</label>
								<div class="controls col-sm-10">
							    	<input type="hidden" id="hIdClienteCheck" value=""></input>
					                <input id="txtClienteCheck" type="label" required="required" class="form-control k-textbox"  style="text-transform: uppercase" readonly="readonly" >
				                </div>
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label padding-0  control-label-left col-sm-2">Venta Neta:</label>
								<div class="controls col-sm-4">
				                	<input type="text" id="txtVentaNetaCheck" required="required" class="form-control" data-mask="fdecimal" data-dec="," data-rad="." maxlength="100" />
				            	</div>
				            	
			            	 	<label class="control-label padding-0  control-label-left col-sm-2">Nro Check:</label>
			            	 	<div class="controls col-sm-4">
			            	 	
			            	 		<input type="text" id="txtNroCheck" required="required" class="form-control" data-mask="fdecimal" data-dec="" data-rad="" maxlength="100" />
			            	 					            		
				            	</div>	 
				            	
							</div>
						</div>
					</div>
					
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      		<input type="hidden" id="hIdReservaCheck" value="0" >
	      		<button type="button" id="cmdGuardarCheck" class="btn btn-success" data-dismiss="modal">Guardar</button>
	        	<button type="button" id="cmdCloseCheck" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	      
	    </div>
	  </div>
	</div>
	<!-- Modal : Fin -->
	
	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>

	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>

	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>
	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	<script>

		//valida lista cliente
		$("#txtIdCliente").on("blur", function() {
		    var selectedOption = $("#lClientes option[value='" + $(this).val() + "']");
		    var selectedPerson = parseInt(selectedOption.attr('data-value'));
		    //var selectedDesc = selectedOption.attr('id');
		    
		    if (selectedPerson) {
		    	//$('#txtDescCliente').val(selectedDesc);
		    	$('#hIdClienteEdit').val(selectedPerson);
		    } else {
		        $('#txtIdCliente').val('');
		        
		        //$('#txtDescCliente').val('');
		        $('#hIdClienteEdit').val('0');
		    }
	    	cliente();
		});
	
		function initializeClient(){
			 $('#rooms').collapse()
		}
	
		function isEmpty(str){
	        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
	    }
		
		function isInt(x) {
			var y = parseInt(x, 10);
			return !isNaN(y) && x == y && x.toString() == y.toString();
		}

		//Timepicker
	    $(".timepicker").timepicker({
	      showInputs: false
	    });


		selectNatural();
		
		function selectTipoPersona(){
			var idSelTipoPersona=$("#selTipoPersona").val();
			
			if(idSelTipoPersona==1){
				selectNatural();
			}else if(idSelTipoPersona==2){
				selectJuridica();
			}
		}
	    
	    function selectNatural(){
			var divNatural = document.getElementById("divNatural");
			var divJuridica = document.getElementById("divJuridica");
			divNatural.style.display = "block";
			divJuridica.style.display = "none";
		}
	
	    function selectJuridica(){
	    	var divNatural = document.getElementById("divNatural");
			var divJuridica = document.getElementById("divJuridica");
			divNatural.style.display = "none";
			divJuridica.style.display = "block";
		} 


	    function cliente(){
	    	var hIdCliente=$('#hIdClienteEdit').val();
	    	
			if(hIdCliente==0){
				$('#txtRazonSocial').val("");
				$('#txtRuc').val("");
				$('#txtApellidosNombres').val("");
				$('#txtDni').val("");
				$('#txtTelefono').val("");
				$('#txtCorreo').val("");
				$('#txtNumeroSocio').val("");
				$('#selDistrito').val(0);
				$("#selTipoPersona").val(1);//Natural
			}else{
				var baseURL=$('#contextPathHolder').attr('data-contextPath');
				
				$.ajax({
					url : baseURL + "/buscar-cliente-simple",
					data : {
						idCliente: hIdCliente	
					},
					async:false,
					type : "get",
					contentType: "application/json", //this is required for spring 3 - ajax to work (at least for me)
					dataType : 'json',
					success : function(cliente) {
						$('#txtRazonSocial').val(cliente.denominacion);
						$('#txtRuc').val(cliente.nroDocumento);
						$('#txtApellidosNombres').val(cliente.denominacion);
						$('#txtDni').val(cliente.nroDocumento);
						$('#txtTelefono').val(cliente.telefono);
						$('#txtCorreo').val(cliente.correo);
						$('#txtNumeroSocio').val(cliente.nroSocio);
						$('#selDistrito').val(cliente.idDistrito);
						$("#selTipoPersona").val(cliente.idTipoCliente);//Natural/Juridica
						selectTipoPersona();
					},
					error: function(xhr, status, error) {
						
				    }
				});
			}
			
			$('#txtApellidosNombres').focus();
			$('#txtApellidosNombres').select();   
	    }

	</script>
	
	<script type="text/javascript">
		$(document).ready(function() {
	        $("#txtAdultos").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });    

		$(document).ready(function() {
	        $("#txtNinos").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
	    
	</script>  
	
</body>
</html>