$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	inicio();

	/***
	 * INICIO de GUARDAR FICHA
	 */
	$("#cmdMktGuardar").click(function (event) {
		saveMkt();
	});
	function saveMkt(){
		var txtMktPaginaWeb=$("#txtMktPaginaWeb").val().trim();
		var txtMktPresenciaWeb=$("#txtMktPresenciaWeb").val();
		var txtMktNombreContacto=$("#txtMktNombreContacto").val().trim().toUpperCase();
		var txtMktComentario=$("#txtMktComentario").val().trim().toUpperCase();
		
		txtMktNombreContacto=normalize(txtMktNombreContacto);
		txtMktComentario=normalize(txtMktComentario);
		
		var hIdEvento=$("#hIdEvento").val();
		
		if(isInt(hIdEvento)){
			$.ajax({
				url : baseURL + "/guardar-evento-marketing",
				data : {
					idEvento:hIdEvento,
					paginaWeb:txtMktPaginaWeb,
					presenciaWeb:txtMktPresenciaWeb,	
					nombreContacto:txtMktNombreContacto,
					comentario:txtMktComentario
				},
				async:false,
				type : "get",
				success : function(response) {
					$('#overlay').modal('show');
					setTimeout(function() {$('#overlay').modal('hide');}, 1000);
				}
				
			});
		}
	}
	
	$("#cmdAyBGuardar").click(function (event) {
		saveAyB();
	});
	
	function saveAyB(){
		var txtAyBCotiza=$("#txtAyBCotiza").val();
		var txtAyBIdEjecutivo=$("#txtAyBIdEjecutivo").val();
		var txtAyBRevenue=$("#txtAyBRevenue").val();
		var txtAyBRevenue = txtAyBRevenue.replace(",", "");
		if(!$.isNumeric(txtAyBRevenue)){
			txtAyBRevenue=0;
		}
		var txtAyBComentario=$("#txtAyBComentario").val().trim().toUpperCase();
		txtAyBComentario=normalize(txtAyBComentario);
		
		var hIdEvento=$("#hIdEvento").val();
		
		if(isInt(hIdEvento)){
			$.ajax({
				url : baseURL + "/guardar-evento-ayb",
				data : {
					idEvento:hIdEvento,
					cotiza:txtAyBCotiza,
					idEjecutivo:txtAyBIdEjecutivo,	
					revenue:txtAyBRevenue,
					comentario:txtAyBComentario
				},
				async:false,
				type : "get",
				success : function(response) {
					$('#overlay').modal('show');
					setTimeout(function() {$('#overlay').modal('hide');}, 1000);
				}
			});
		}
	}
	
	$("#cmdAloGuardar").click(function (event) {
		saveAlo();
	});
	
	function saveAlo(){
		var txtAloCotiza=$("#txtAloCotiza").val();
		var txtAloIdEjecutivo=$("#txtAloIdEjecutivo").val();
		var txtAloIdEjecutivo2=$("#txtAloIdEjecutivo2").val();
		var txtAloIdEjecutivo3=$("#txtAloIdEjecutivo3").val();
		var txtAloRevenue=$("#txtAloRevenue").val();
		var txtAloRevenue = txtAloRevenue.replace(",", "");
		if(!$.isNumeric(txtAloRevenue)){
			txtAloRevenue=0;
		}
		var txtAloComentario=$("#txtAloComentario").val().trim().toUpperCase();
		txtAloComentario=normalize(txtAloComentario);
		
		var hIdEvento=$("#hIdEvento").val();
		
		if(isInt(hIdEvento)){
			$.ajax({
				url : baseURL + "/guardar-evento-alojamiento",
				data : {
					idEvento:hIdEvento,
					cotiza:txtAloCotiza,
					idEjecutivo:txtAloIdEjecutivo,	
					idEjecutivo2:txtAloIdEjecutivo2,
					idEjecutivo3:txtAloIdEjecutivo3,
					revenue:txtAloRevenue,
					comentario:txtAloComentario
				},
				async:false,
				type : "get",
				success : function(response) {
					$('#overlay').modal('show');
					setTimeout(function() {$('#overlay').modal('hide');}, 1000);
				}
			});
		}
	}
	
	$("#cmdEvenGuardar").click(function (event) {
		saveEven();
	});
	function saveEven(){
		var txtEveCotiza=$("#txtEveCotiza").val();
		var txtEveIdEjecutivo=$("#txtEveIdEjecutivo").val();
		var txtEveIdEjecutivo2=$("#txtEveIdEjecutivo2").val();
		var txtEveRevenue=$("#txtEveRevenue").val();
		var txtEveRevenue = txtEveRevenue.replace(",", "");
		
		if(!$.isNumeric(txtEveRevenue)){
			txtEveRevenue=0;
		}
		var txtEveComentario=$("#txtEveComentario").val().trim().toUpperCase();
		txtEveComentario=normalize(txtEveComentario);
		
		var hIdEvento=$("#hIdEvento").val();
		
		if(isInt(hIdEvento)){
			$.ajax({
				url : baseURL + "/guardar-evento-eventos",
				data : {
					idEvento:hIdEvento,
					cotiza:txtEveCotiza,
					idEjecutivo:txtEveIdEjecutivo,	
					idEjecutivo2:txtEveIdEjecutivo2,
					revenue:txtEveRevenue,
					comentario:txtEveComentario
				},
				async:false,
				type : "get",
				success : function(response) {
					$('#overlay').modal('show');
					setTimeout(function() {$('#overlay').modal('hide');}, 1000);
				}
			});
		}
	}
	
	$("#cmdSedGuardar").click(function (event) {
		saveSed();
	});
	function saveSed(){
		var txtSedSedeActual=$("#txtSedSedeActual").val().trim().toUpperCase();
		var txtSedSedeAnterior=$("#txtSedSedeAnterior").val().trim().toUpperCase();
		var txtSedIdPeriodicidad=$("#txtSedIdPeriodicidad").val();
		var txtSedVecesHotel=$("#txtSedVecesHotel").val();
		if(!isInt(txtSedVecesHotel)){
			txtSedVecesHotel=0;
		}
		var txtSedIdContactoHotel=0;
		var hIdEvento=$("#hIdEvento").val();
		
		txtSedSedeActual=normalize(txtSedSedeActual);
		txtSedSedeAnterior=normalize(txtSedSedeAnterior);
		
		if(isInt(hIdEvento)){
			$.ajax({
				url : baseURL + "/guardar-evento-sede",
				data : {
					idEvento:hIdEvento,
					sedeActual:txtSedSedeActual,
					sedeAnterior:txtSedSedeAnterior,	
					idPeriodicidad:txtSedIdPeriodicidad,
					vecesHotel:txtSedVecesHotel,
					idContactoHotel:txtSedIdContactoHotel
				},
				async:false,
				type : "get",
				success : function(response) {
					$('#overlay').modal('show');
					setTimeout(function() {$('#overlay').modal('hide');}, 1000);
				}
			});
		}
	}
	
	$("#cmdOrgGuardar").click(function (event) {
		saveOrg();
	});
	function saveOrg(){
		var txtOrgOrganizador=$("#txtOrgOrganizador").val().trim().toUpperCase();
		var txtOrgNombreContacto=$("#txtOrgNombreContacto").val().trim().toUpperCase();
		var txtOrgTelefonoContacto='';
		
		var txtOrgCorreoContacto=$("#txtOrgCorreoContacto").val().trim();
		
		var txtOrgIdServicio=$("#txtOrgIdServicio").val();
		var hIdEvento=$("#hIdEvento").val();
		
		txtOrgOrganizador=normalize(txtOrgOrganizador);
		txtOrgNombreContacto=normalize(txtOrgNombreContacto);
		
		if(isInt(hIdEvento)){
			$.ajax({
				url : baseURL + "/guardar-evento-org",
				data : {
					idEvento:hIdEvento,
					organizador:txtOrgOrganizador,
					nombreContacto:txtOrgNombreContacto,	
					telefonoContacto:txtOrgTelefonoContacto,
					correoContacto:txtOrgCorreoContacto,
					idServicio:txtOrgIdServicio
				},
				async:false,
				type : "get",
				success : function(response) {
					$('#overlay').modal('show');
					setTimeout(function() {$('#overlay').modal('hide');}, 1000);
				}
			});
		}
	}
	
	$("#cmdGenGuardar").click(function (event) {
		saveGen();
	});
	function saveGen(){
		var txtGenDenominacion=$("#txtGenDenominacion").val().trim().toUpperCase();
		var txtGenFechaIni=$("#txtGenFechaIni").val();
		var txtGenFechaFin=$("#txtGenFechaFin").val();
		var txtGenDescripcion=$("#txtGenDescripcion").val().trim().toUpperCase();
		var hIdEvento=$("#hIdEvento").val();
		
		txtGenDenominacion=normalize(txtGenDenominacion);
		txtGenDescripcion=normalize(txtGenDescripcion);
		
		if(isInt(hIdEvento)){
			$.ajax({
				url : baseURL + "/guardar-evento-gen",
				data : {
					idEvento:hIdEvento,
					denominacion:txtGenDenominacion,
					fechaIni:txtGenFechaIni,	
					fechaFin:txtGenFechaFin,
					descripcion:txtGenDescripcion
				},
				async:false,
				type : "get",
				success : function(response) {
					$('#overlay').modal('show');
					setTimeout(function() {$('#overlay').modal('hide');}, 1000);
				}
			});
		}
	}
	
	
	/***
	 * Fin de GUARDAR FICHA
	 */
	
	$("#cmdMostrarFicha").click(function(){
		//var hIdEvento=$("#hIdEvento").val();
		var hIdEvento=1;
		
		$.ajax({
			url : baseURL + "/mostrar-ficha-evento",
			data : {
				idEvento:hIdEvento	
			},
			async:false,
			type : "get",
			success : function(target) {
				window.location.replace(baseURL+"/"+target);
			}
		});
    });
	
	function valida(){
		var txtDenominacion=$("#txtEventoDenominacion").val();
		var txtDescripcion=$("#txtEventoDescripcion").val();
		var txtFechaInicio=$("#txtEventoFechaInicio").val();
		var txtFechaFin=$("#txtEventoFechaFin").val();
		
		if(isEmpty(txtDenominacion)){
			alert('Ingrese denominación de evento');
			$("#txtEventoDenominacion").focus();
  			$("#txtEventoDenominacion").select();
			return false;
		}
		
		if(isEmpty(txtDescripcion)){
			alert('Ingrese descripción de evento');
			$("#txtEventoDescripcion").focus();
  			$("#txtEventoDescripcion").select();
			return false;
		}
		
		if(isEmpty(txtFechaInicio)){
			alert('Ingrese fecha de inicio de evento');
			$("#txtEventoFechaInicio").focus();
  			$("#txtEventoFechaInicio").select();
			return false;
		}
		
		if(isEmpty(txtFechaFin)){
			alert('Ingrese fecha de fin de evento');
			$("#txtEventoFechaFin").focus();
  			$("#txtEventoFechaFin").select();
			return false;
		}
		
		return true;
	}
	
	
	
	
	$("#cmdGuardarEvento").click(function (event) {
		var txtDenominacion=$("#txtEventoDenominacion").val().trim().toUpperCase();
		var txtFechaInicio=$("#txtEventoFechaInicio").val();
		var txtFechaFin=$("#txtEventoFechaFin").val();
		var txtDescripcion=$("#txtEventoDescripcion").val().trim().toUpperCase();
		
		txtDenominacion=normalize(txtDenominacion);
		txtDescripcion=normalize(txtDescripcion);
		
		var hIdEvento=$("#hIdEvento").val();
		
		if(valida()){
			$.ajax({
				url : baseURL + "/guardar-evento",
				data : {
					idEvento:hIdEvento,
					denominacion:txtDenominacion,
					fechaInicio:txtFechaInicio,
					fechaFin:txtFechaFin,
					descripcion:txtDescripcion},
				async:false,
				type : "get",
				success : function(response){
					$("#subViewDiv").html(response);
				}
			});
		}
    });
	
	$("#cmdBuscar").click(function (event) {
		var txtFechaIni=$("#txtFechaIni").val();
		var txtFechaFin=$("#txtFechaFin").val();
		var selPeriodo=$("#selPeriodo").val();
		
		var selIdArea=$("#selIdArea").val();
		var selIdEjecutivo=$("#selIdEjecutivo").val();
		
		if((!isEmpty(txtFechaIni)) && isEmpty(txtFechaFin)){
			txtFechaFin=txtFechaIni;
		}
		
		$.ajax({
			url : baseURL + "/buscar-registro-eventos",
			data : {
				fechaIni:txtFechaIni,
				fechaFin:txtFechaFin,
				periodo:selPeriodo,
				idArea:selIdArea,
				idEjecutivo:selIdEjecutivo
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html(response);
			}
		});
		
    });
	
	
	$("#cmdDelAceptar").click(function(){
		var hIdDelete=$("#hIdDelete").val();
		var txtDenominacion = $("#txtDenominacionDelete").val().trim().toUpperCase();
        	
		$.ajax({
			url : baseURL + "/eliminar-evento",
			data : {
				id: hIdDelete
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
    });
	
	$("#selIdArea").on('change',function(){
		var selIdArea=$("#selIdArea").val();
		
		if(selIdArea>0){
			$.ajax({
				url : baseURL + "/obtener-ejecutivos-area",
				data : {
					idArea: selIdArea
				},
				async:false,
				type : "get",
				contentType: "application/json", 
				dataType : 'json',
				success : function(data) {
					var dataList = $("#selIdEjecutivo");
					dataList.empty();
					dataList.append("<option value='0'>---</option>");
					if(data.length) {
			          for(var i=0, len=data.length; i<len; i++) {
			        	  dataList.append("<option value='" + data[i]['id'] + "'>" + data[i]['denominacion'] + "</option>");
			          }
			        }
				}
			});
		}else{
			var dataList = $("#selIdEjecutivo");
			dataList.empty();
			dataList.append("<option value='0'>---</option>");
		}
    });
	
	function inicio(){
		$.ajax({
			url : baseURL + "/lista-eventos",
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
	}
	
	function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
	
	function isInt(x) {
		   var y = parseInt(x, 10);
		   return !isNaN(y) && x == y && x.toString() == y.toString();
	}
	
});

var normalize = (function() {
	  var from = "ÃÀÁÄÂÈÉËÊÌÍÏÎÒÓÖÔÙÚÜÛãàáäâèéëêìíïîòóöôùúüûÑñÇç", 
	      to   = "AAAAAEEEEIIIIOOOOUUUUaaaaaeeeeiiiioooouuuuNncc",
	      mapping = {};
	 
	  for(var i = 0, j = from.length; i < j; i++ )
	      mapping[ from.charAt( i ) ] = to.charAt( i );
	 
	  return function( str ) {
	      var ret = [];
	      for( var i = 0, j = str.length; i < j; i++ ) {
	          var c = str.charAt( i );
	          if( mapping.hasOwnProperty( str.charAt( i ) ) )
	              ret.push( mapping[ c ] );
	          else
	              ret.push( c );
	      }      
	      return ret.join( '' );
	  }
	})();