$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	$.ajax({
		url : baseURL + "/lista-perfil",
		async:false,
		type : "get",
		success : function(response) {
			$("#subViewDiv").html( response );
		}
	});
	
	$("#cmdGuardar").click(function(){
		var hId=$("#hId").val();
        
        var selIdArea = $("#selIdArea").val().trim().toUpperCase();
        var selIdSubArea = $("#selIdSubArea").val().trim().toUpperCase();
        var selIdUsuario = $("#selIdUsuario").val().trim().toUpperCase();
        var selIdPerfil = $("#selIdPerfil").val().trim().toUpperCase();
        
        $.ajax({
			url : baseURL + "/registro-perfil",
			data : {
				id: hId,	
				idArea:selIdArea,
				idSubArea:selIdSubArea,
				idUsuario:selIdUsuario,
				idPerfil:selIdPerfil
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
				
				$("#selIdArea").val("");
		        $("#selIdSubArea").val("");
		        $("#selIdUsuario").val("");
		        $("#selIdPerfil").val("");
			}
		});
    });
	
	$("#cmdDelAceptar").click(function(){
		var hIdDelete=$("#hIdDelete").val();
		var txtDenominacion = $("#txtDenominacionDelete").val().trim().toUpperCase();
        	
		$.ajax({
			url : baseURL + "/eliminar-perfil",
			data : {
				id: hIdDelete
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
    });
	
});
