$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	inicio();

	$("#cmdBuscar").click(function (event) {
		var txtFechaIni=$("#txtFechaIni").val();
		var txtFechaFin=$("#txtFechaFin").val();
		
		if((!isEmpty(txtFechaIni)) && isEmpty(txtFechaFin)){
			txtFechaFin=txtFechaIni;
		}
		
		$.ajax({
			url : baseURL + "/buscar-micros-invoice",
			data : {
				fechaIni:txtFechaIni,
				fechaFin:txtFechaFin
			},
			async:false,
			type : "get",
			success : function(response) {
				$('#overlay').modal('show');
				$("#subViewDiv").html(response);
				setTimeout(function() {$('#overlay').modal('hide');}, 1000);
			}
		});
		
    });
	
	
	function inicio(){
		$.ajax({
			url : baseURL + "/lista-micros-invoice",
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
	}
	
	function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
	
	function isInt(x) {
		   var y = parseInt(x, 10);
		   return !isNaN(y) && x == y && x.toString() == y.toString();
	}
	
});