$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	$.ajax({
		url : baseURL + "/lista-correos",
		async:false,
		type : "get",
		success : function(response) {
			$("#subViewDiv").html( response );
		}
	});
	
	$("#cmdBuscar").click(function (event) {
        
		var txtFechaAdsIni=$("#txtFechaAdsIni").val();
		var txtFechaAdsFin=$("#txtFechaAdsFin").val();
		
		var txtFechaProximaIni=$("#txtFechaProximaIni").val();
		var txtFechaProximaFin=$("#txtFechaProximaFin").val();

		var selIdEstado=$("#selIdEstado").val();
		var selIdSeguimiento=$("#selIdSeguimiento").val();
		var selPIdEjecutivo=$("#selPIdEjecutivo").val();
		
		if((!isEmpty(txtFechaAdsIni)) && isEmpty(txtFechaAdsFin)){
			txtFechaAdsFin=txtFechaAdsIni;
		}
		
		if((!isEmpty(txtFechaProximaIni)) && isEmpty(txtFechaProximaFin)){
			txtFechaProximaFin=txtFechaProximaIni;
		}
		
		//nuevos filtros
		var selFIdArea=$("#selFIdArea").val();
		var selFIdAdsetName=$("#selFIdAdsetName").val();
		var selFIdReserva=$("#selFIdReserva").val();
		var selFIdMotivo=$("#selFIdMotivo").val();
		var selFCantSeg=$("#selFCantSeg").val();
		var selCotiza=$("#selCotiza").val();
		
		$.ajax({
			url : baseURL + "/buscar-correos",
			data : {
				fechaAdsIni:txtFechaAdsIni,
				fechaAdsFin:txtFechaAdsFin,
				idEstado:selIdEstado,
				pIdEjecutivo:selPIdEjecutivo,
				fechaProximaIni:txtFechaProximaIni,
				fechaProximaFin:txtFechaProximaFin,
				idSeguimiento:selIdSeguimiento,//nuevos filtros
				idArea:selFIdArea,
				idAdsetName:selFIdAdsetName,
				idReserva:selFIdReserva,
				idMotivo:selFIdMotivo,
				cantSeg:selFCantSeg,
				idCotizado:selCotiza
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
		
    });
	
	$("#cmdGuardarEjecutivoSingle").click(function (event) {
		
		var selIdEjecutivoSingle=$("#selIdEjecutivoSingle").val();
		var hIdLead=$("#hIdLead").val();
    	
		$.ajax({
			url : baseURL + "/asignar-ejecutivo-single-correo",
			data : {
				idEjecutivo:selIdEjecutivoSingle,
				idEmail:hIdLead
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
    });
	
	$("#cmdGuardarSeguimiento").click(function (event) {
		var selIdEjecutivoSingle=$("#hIdEjecutivoSeguimiento").val();
		var hIdLead=$("#hIdLeadSeguimiento").val();
			var selIdCotizado=$("#selIdCotizado").val();
			var selIdCanal=$("#selIdCanal").val();
			var selIdReserva=$("#selIdReserva").val();
		var selIdMotivo=$("#selIdMotivo").val();
		var txtPaxFinal=$("#txtPaxFinal").val();
		var txtRevenue=$("#txtRevenue").val();
		var selIdServicioFinal=$("#selIdServicioFinal").val();
		var txtObservacion=$("#txtObservacion").val().toUpperCase();
		txtObservacion=normalize(txtObservacion);
		var txtFechaProxima=$("#txtFechaProxima").val();
		
		if(isEmpty(txtPaxFinal)){
			txtPaxFinal="0"
		}
		if(isEmpty(txtRevenue)){
			txtRevenue="0.0"
		}
			
		if(!isInt(txtPaxFinal)){
			alert('El campo Pax Final no es un numero valido')
			$("#txtPaxFinal").focus();
	  		$("#txtPaxFinal").select();
	  		return false;
		}
		
		if(!$.isNumeric(txtRevenue)){
			alert('El campo Revenue no es un numero valido')
			$("#txtRevenue").focus();
	  		$("#txtRevenue").select();
	  		return false;
		}
		
		if(isInt(txtPaxFinal)&&$.isNumeric(txtRevenue)){
			if(validaSIRESERVA()){	
				$.ajax({
					url : baseURL + "/guardar-seguimiento-correo",
					data : {
						idEjecutivo:selIdEjecutivoSingle,
						idEmail:hIdLead,	
						idCotizado:selIdCotizado,
						idCanal:selIdCanal,
						idReserva:selIdReserva,
						idMotivo:selIdMotivo,
						paxFinal:txtPaxFinal,
						revenue:txtRevenue,
						idServicioFinal:selIdServicioFinal,
						observacion:txtObservacion,
						fechaProxima:txtFechaProxima
					},
					async:false,
					type : "get",
					success : function(response) {
						$("#hIdEjecutivoSeguimiento").val("0");
						$("#hIdLeadSeguimiento").val("0");
							$("#selIdCotizado").val("2");
							$("#selIdCanal").val("1");
							$("#selIdReserva").val("2");
						$("#selIdMotivo").val("1");
						$("#txtPaxFinal").val("");
						$("#txtRevenue").val("");
						$("#selIdServicioFinal").val("0");
						$("#txtObservacion").val("");
						$("#txtFechaProxima").val("");
						
						$("#subViewDiv").html( response );
					}
				});
			}else{
				cancelBubble(event);
			}
		}else{
			cancelBubble(event);
		}
		
    });
	
	function cancelBubble(e) {
		 var evt = e ? e:window.event;
		 if (evt.stopPropagation)    evt.stopPropagation();
		 if (evt.cancelBubble!=null) evt.cancelBubble = true;
	}
	
	function validaSIRESERVA(){
		var selIdReserva=$("#selIdReserva").val();
		var selIdMotivo=$("#selIdMotivo").val();
		
		var txtPaxFinal=$("#txtPaxFinal").val();
		var txtRevenue=$("#txtRevenue").val();
 		
		if(isEmpty(txtPaxFinal)){
			txtPaxFinal="0"
		}
		if(isEmpty(txtRevenue)){
			txtRevenue="0.0"
		}
		
 		if(selIdReserva==1){//SI (Pf/Co) (SI RESERVA)
 			
 			if(txtPaxFinal<=0){
 				alert('Indique un valor de Pax Final válido.!');
  	  			$("#txtPaxFinal").focus();
  	  			$("#txtPaxFinal").select();
  	  			return false;
  			}
  			
  			if(txtRevenue<=0){
  				alert('Indique un valor de Revenue válido.!');
  	  			$("#txtRevenue").focus();
  	  			$("#txtRevenue").select();
  	  			return false;
  			}
 			
 		}
 		return true;
 		
	}
	
	
	function validaSIRESERVAUPD(){
		var selIdReserva=$("#selUpdEmailIdReserva").val();
		var selIdMotivo=$("#selUpdEmailIdMotivo").val();
		
		var txtPaxFinal=$("#txtUpdEmailPaxFinal").val();
		var txtRevenue=$("#txtUpdEmailRevenue").val();
 		
		if(isEmpty(txtPaxFinal)){
			txtPaxFinal="0"
		}
		if(isEmpty(txtRevenue)){
			txtRevenue="0.0"
		}
		
 		if(selIdReserva==1){//SI (Pf/Co) (SI RESERVA)
 			
 			if(txtPaxFinal<=0){
  				alert('Indique un valor de Pax Final válido.!');
  	  			$("#txtUpdEmailPaxFinal").focus();
  	  			$("#txtUpdEmailPaxFinal").select();
  	  			return false;
  			}
  			
  			if(txtRevenue<=0){
  				alert('Indique un valor de Revenue válido.!');
  	  			$("#txtUpdEmailRevenue").focus();
  	  			$("#txtUpdEmailRevenue").select();
  	  			return false;
  			}
 		}
 		return true;
	}
	
	
	$("#cmdDelAceptar").click(function(){
		var hIdDelete=$("#hIdDelete").val();
		var txtDenominacion = $("#txtDenominacionDelete").val().trim().toUpperCase();
        	
		$.ajax({
			url : baseURL + "/eliminar-correo",
			data : {
				id: hIdDelete
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
    });
	
	$("#cmdDelAceptarSel").click(function(){
		var hMailIdLeads=$("#hMailIdLeadsSel").val();
		
		var cant=$("#hMailIdLeadsSelCant").val();
		
		if(cant>0 ){
			$.ajax({
				url : baseURL + "/eliminar-mail-masivo",
				data : {
					mailIdLeads:hMailIdLeads
				},
				async:false,
				type : "get",
				success : function(response) {
					$("#subViewDiv").html( response );
				}
			});
		}else{
			alert("Debe seleccionar registros de correos a eliminar!");
		}
    });
	
	$("#cmdUpdEmailGuardarSeguimiento").click(function (event) {
		var hIdLeadSeguimiento=$("#hUpdEmailIdLeadSeguimiento").val();
		var hIdLead=$("#hUpdEmailIdLead").val();
			var selIdCotizado=$("#selUpdEmailIdCotizado").val();
			var selIdCanal=$("#selUpdEmailIdCanal").val();
			var selIdReserva=$("#selUpdEmailIdReserva").val();
		var selIdMotivo=$("#selUpdEmailIdMotivo").val();
		var txtPaxFinal=$("#txtUpdEmailPaxFinal").val();
		var txtRevenue=$("#txtUpdEmailRevenue").val();
		var selIdServicioFinal=$("#selUpdEmailIdServicioFinal").val();
		var txtObservacion=$("#txtUpdEmailObservacion").val().toUpperCase();
		txtObservacion=normalize(txtObservacion);
		var txtFechaProxima=$("#txtUpdEmailFechaProxima").val();
		
		if(isEmpty(txtPaxFinal)){
			txtPaxFinal="0"
		}
		if(isEmpty(txtRevenue)){
			txtRevenue="0.0"
		}
			
		if(!isInt(txtPaxFinal)){
			alert('El campo Pax Final no es un numero valido')
			$("#txtUpdEmailPaxFinal").focus();
	  		$("#txtUpdEmailPaxFinal").select();
	  		return false;
		}
		
		if(!$.isNumeric(txtRevenue)){
			alert('El campo Revenue no es un numero valido')
			$("#txtUpdEmailRevenue").focus();
	  		$("#txtUpdEmailRevenue").select();
	  		return false;
		}
		
		if(isInt(txtPaxFinal)&&$.isNumeric(txtRevenue)){
			if(validaSIRESERVAUPD()){	
				$.ajax({
					url : baseURL + "/actualizar-seguimiento-correo",
					data : {
						idLeadSeguimiento:hIdLeadSeguimiento,
						idLead:hIdLead,	
						idCotizado:selIdCotizado,
						idCanal:selIdCanal,
						idReserva:selIdReserva,
						idMotivo:selIdMotivo,
						paxFinal:txtPaxFinal,
						revenue:txtRevenue,
						idServicioFinal:selIdServicioFinal,
						observacion:txtObservacion,
						fechaProxima:txtFechaProxima
					},
					async:false,
					type : "get",
					success : function(response) {
						$("#hUpdEmailIdLeadSeguimiento").val("0");
						$("#hUpdEmailIdEjecutivoSeguimiento").val("0");
						$("#hUpdEmailIdLeadSeguimiento").val("0");
							$("#selUpdEmailIdCotizado").val("2");
							$("#selUpdEmailIdCanal").val("1");
							$("#selUpdEmailIdReserva").val("2");
						$("#selUpdEmailIdMotivo").val("1");
						$("#txtUpdEmailPaxFinal").val("");
						$("#txtUpdEmailRevenue").val("");
						$("#selUpdEmailIdServicioFinal").val("0");
						$("#txtUpdEmailObservacion").val("");
						$("#txtUpdEmailFechaProxima").val("");
						
						$("#subViewDiv").html( response );
					}
				});
			}else{
				cancelBubble(event);
			}
		}else{
			cancelBubble(event);
		}
    });
	
	function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
	
	function isInt(x) {
		   var y = parseInt(x, 10);
		   return !isNaN(y) && x == y && x.toString() == y.toString();
		}
	
});

var normalize = (function() {
	  var from = "ÃÀÁÄÂÈÉËÊÌÍÏÎÒÓÖÔÙÚÜÛãàáäâèéëêìíïîòóöôùúüûÑñÇç", 
	      to   = "AAAAAEEEEIIIIOOOOUUUUaaaaaeeeeiiiioooouuuuNncc",
	      mapping = {};
	 
	  for(var i = 0, j = from.length; i < j; i++ )
	      mapping[ from.charAt( i ) ] = to.charAt( i );
	 
	  return function( str ) {
	      var ret = [];
	      for( var i = 0, j = str.length; i < j; i++ ) {
	          var c = str.charAt( i );
	          if( mapping.hasOwnProperty( str.charAt( i ) ) )
	              ret.push( mapping[ c ] );
	          else
	              ret.push( c );
	      }      
	      return ret.join( '' );
	  }
	 
	})();