$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	$.ajax({
		url : baseURL + "/lista-leads",
		async:false,
		type : "get",
		success : function(response) {
			$("#subViewDiv").html( response );
		}
	});
	
	$("#fileSubmit").click(function (event) {
        fire_ajax_submit();
    });
	
	$("#cmdBuscar").click(function (event) {
        
		var selIdAdsetName=$("#selIdAdsetName").val();
		var txtFechaAdsIni=$("#txtFechaAdsIni").val();
		var txtFechaAdsFin=$("#txtFechaAdsFin").val();
		var selIdArea=$("#selIdArea").val();
		var selIdSubArea=$("#selIdSubArea").val();
		
		var selIdEstado=$("#selIdEstado").val();
		var selIdSeguimiento=$("#selIdSeguimiento").val();
		
		var txtFechaLeadIni=$("#txtFechaLeadIni").val();
		var txtFechaLeadFin=$("#txtFechaLeadFin").val();
		
		var txtFechaProxIni=$("#txtFechaProxIni").val();
		var txtFechaProxFin=$("#txtFechaProxFin").val();
		
		if((!isEmpty(txtFechaAdsIni)) && isEmpty(txtFechaAdsFin)){
			txtFechaAdsFin=txtFechaAdsIni;
		}
		
		if((!isEmpty(txtFechaLeadIni)) && isEmpty(txtFechaLeadFin)){
			txtFechaLeadFin=txtFechaLeadIni;
		}
		if((!isEmpty(txtFechaProxIni)) && isEmpty(txtFechaProxFin)){
			txtFechaProxFin=txtFechaProxIni;
		}
		
		var selIdFMotivo=$("#selIdFMotivo").val();
		var selFIdReserva=$("#selFIdReserva").val();
		var selFCantSeg=$("#selFCantSeg").val();
		var selCotiza=$("#selCotiza").val();
		
		$.ajax({
			url : baseURL + "/buscar-leads",
			data : {
				idAdsetName:selIdAdsetName,
				fechaAdsIni:txtFechaAdsIni,
				fechaAdsFin:txtFechaAdsFin,
				idArea:selIdArea,
				idSubArea:selIdSubArea,
				idEstado:selIdEstado,
				fechaLeadIni:txtFechaLeadIni,
				fechaLeadFin:txtFechaLeadFin,
				fechaProxIni:txtFechaProxIni,
				fechaProxFin:txtFechaProxFin,
				idSeguimiento:selIdSeguimiento,
				idMotivo:selIdFMotivo,
				idReserva:selFIdReserva,
				seqSeguimiento:selFCantSeg,
				idCotizado:selCotiza
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
		
    });
	
	$("#cmdGuardarEjecutivo").click(function (event) {
		var selIdEjecutivo=$("#selIdEjecutivo").val();
		
		var tamanoLista=parseInt($("#hTamanoLista").val());
		
		var txtDesde=$("#txtDesde").val();
		var txtHasta=$("#txtHasta").val();
		
		var iDesde=0
		if(!isEmpty(txtDesde)){
			iDesde=parseInt(txtDesde)
		}
		
		var iHasta=0
		if(!isEmpty(txtHasta)){
			iHasta=parseInt(txtHasta)
		}
		
		if(iHasta>tamanoLista){
			iHasta=tamanoLista;
		}
		
		if(iDesde<iHasta&&
				iDesde>=0&&iHasta>=0){
			$.ajax({
				url : baseURL + "/asignar-ejecutivo-all",
				data : {
					idEjecutivo:selIdEjecutivo,
					desde:iDesde,
					hasta:iHasta
				},
				async:false,
				type : "get",
				success : function(response) {
					$("#subViewDiv").html( response );
				}
			});
		}else{
			alert("El valor de Hasta debe ser mayor a Desde !");
		}	
    });
	
	
	
	$("#cmdUpdGuardarFechaServicio").click(function (event) {
		
		var hIdLead=$("#hIdFecSerLead").val();
		var txtFechaAdset=$("#txtFechaAdset").val();
    	
		$.ajax({
			url : baseURL + "/actualizar-fecha-servicio",
			data : {
				idLead:hIdLead,
				fechaAdset:txtFechaAdset
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
		
    });
	
	$("#cmdGuardarEjecutivoSingle").click(function (event) {
		
		var selIdEjecutivoSingle=$("#selIdEjecutivoSingle").val();
		var hIdLead=$("#hIdLead").val();
    	
		$.ajax({
			url : baseURL + "/asignar-ejecutivo-single",
			data : {
				idEjecutivo:selIdEjecutivoSingle,
				idLead:hIdLead
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
    });
	
	$("#cmdGuardarSeguimiento").click(function (event) {
		var selIdEjecutivoSingle=$("#hIdEjecutivoSeguimiento").val();
		var hIdLead=$("#hIdLeadSeguimiento").val();
			var selIdCotizado=$("#selIdCotizado").val();
			var selIdCanal=$("#selIdCanal").val();
			var selIdReserva=$("#selIdReserva").val();
		var selIdMotivo=$("#selIdMotivo").val();
		var txtPaxFinal=$("#txtPaxFinal").val();
		var txtRevenue=$("#txtRevenue").val();
		var selIdServicioFinal=$("#selIdServicioFinal").val();
		var txtObservacion=$("#txtObservacion").val().toUpperCase();
		txtObservacion=normalize(txtObservacion);
		var txtFechaProxima=$("#txtFechaProxima").val();
		
		var selHora=$("#selHora").val();
		
		if(isEmpty(txtPaxFinal)){
			txtPaxFinal="0"
		}
		if(isEmpty(txtRevenue)){
			txtRevenue="0.0"
		}
			
		if(!isInt(txtPaxFinal)){
			alert('El campo Pax Final no es un número válido')
			$("#txtPaxFinal").focus();
	  		$("#txtPaxFinal").select();
	  		return false;
		}
		
		if(!$.isNumeric(txtRevenue)){
			alert('El campo Revenue no es un número válido')
			$("#txtRevenue").focus();
	  		$("#txtRevenue").select();
	  		return false;
		}
		
		if(isInt(txtPaxFinal)&&$.isNumeric(txtRevenue)){
			if(validaSIRESERVA()){
				$.ajax({
					url : baseURL + "/guardar-seguimiento",
					data : {
						idEjecutivo:selIdEjecutivoSingle,
						idLead:hIdLead,	
						idCotizado:selIdCotizado,
						idCanal:selIdCanal,
						idReserva:selIdReserva,
						idMotivo:selIdMotivo,
						paxFinal:txtPaxFinal,
						revenue:txtRevenue,
						idServicioFinal:selIdServicioFinal,
						observacion:txtObservacion,
						fechaProxima:txtFechaProxima,
						hora:selHora
					},
					async:false,
					type : "get",
					success : function(response) {
						
						$("#hIdEjecutivoSeguimiento").val("0");
						$("#hIdLeadSeguimiento").val("0");
							$("#selIdCotizado").val("2");
							$("#selIdCanal").val("1");
							$("#selIdReserva").val("2");
						$("#selIdMotivo").val("1");
						$("#txtPaxFinal").val("");
						$("#txtRevenue").val("");
						$("#selIdServicioFinal").val("0");
						$("#txtObservacion").val("");
						$("#txtFechaProxima").val("");
						$("#selHora").val("");
						$("#subViewDiv").html( response );
					}
				});
			}else{
				cancelBubble(event);
			}
		}else{
			cancelBubble(event);
		}
		
    });
	
	function cancelBubble(e) {
		 var evt = e ? e:window.event;
		 if (evt.stopPropagation)    evt.stopPropagation();
		 if (evt.cancelBubble!=null) evt.cancelBubble = true;
	}
	
	function validaSIRESERVA(){
		var selIdReserva=$("#selIdReserva").val();
		var selIdMotivo=$("#selIdMotivo").val();
		
		var txtPaxFinal=$("#txtPaxFinal").val();
		var txtRevenue=$("#txtRevenue").val();
  		
		if(isEmpty(txtPaxFinal)){
			txtPaxFinal="0"
		}
		if(isEmpty(txtRevenue)){
			txtRevenue="0.0"
		}
		
  		if(selIdReserva==1){//SI (Pf/Co) (SI RESERVA)
  			
  			if(txtPaxFinal<=0){
  				alert('Indique un valor de Pax Final válido.!');
  	  			$("#txtPaxFinal").focus();
  	  			$("#txtPaxFinal").select();
  	  			return false;
  			}
  			
  			if(txtRevenue<=0){
  				alert('Indique un valor de Revenue válido.!');
  	  			$("#txtRevenue").focus();
  	  			$("#txtRevenue").select();
  	  			return false;
  			}
  		}
  		return true;
	}
	
	function validaSIRESERVAUPD(){
		var selIdReserva=$("#selUpdIdReserva").val();
		var selIdMotivo=$("#selUpdIdMotivo").val();
		
		var txtPaxFinal=$("#txtUpdPaxFinal").val();
		var txtRevenue=$("#txtUpdRevenue").val();
  		
		if(isEmpty(txtPaxFinal)){
			txtPaxFinal="0"
		}
		if(isEmpty(txtRevenue)){
			txtRevenue="0.0"
		}
		
  		if(selIdReserva==1){//SI (Pf/Co) (SI RESERVA)
  			
  			if(txtPaxFinal<=0){
  				alert('Indique un valor de Pax Final válido.!');
  	  			$("#txtUpdPaxFinal").focus();
  	  			$("#txtUpdPaxFinal").select();
  	  			return false;
  			}
  			
  			if(txtRevenue<=0){
  				alert('Indique un valor de Revenue válido.!');
  	  			$("#txtUpdRevenue").focus();
  	  			$("#txtUpdRevenue").select();
  	  			return false;
  			}
  		}
  		return true;
	}
	
	$("#cmdUpdGuardarSeguimiento").click(function (event) {
		
		var hIdLeadSeguimiento=$("#hUpdIdLeadSeguimiento").val();
		var hIdLead=$("#hUpdIdLead").val();
			var selIdCotizado=$("#selUpdIdCotizado").val();
			var selIdCanal=$("#selUpdIdCanal").val();
			var selIdReserva=$("#selUpdIdReserva").val();
		var selIdMotivo=$("#selUpdIdMotivo").val();
		var txtPaxFinal=$("#txtUpdPaxFinal").val();
		var txtRevenue=$("#txtUpdRevenue").val();
		var selIdServicioFinal=$("#selUpdIdServicioFinal").val();
		var txtObservacion=$("#txtUpdObservacion").val().toUpperCase();
		txtObservacion=normalize(txtObservacion);
		var txtFechaProxima=$("#txtUpdFechaProxima").val();
		
		var selHora=$("#selUpdHora").val();
		
		if(isEmpty(txtPaxFinal)){
			txtPaxFinal="0"
		}
		if(isEmpty(txtRevenue)){
			txtRevenue="0.0"
		}
			
		if(!isInt(txtPaxFinal)){
			alert('El campo Pax Final no es un numero valido')
			$("#txtPaxFinal").focus();
	  		$("#txtPaxFinal").select();
	  		return false;
		}
		
		if(!$.isNumeric(txtRevenue)){
			alert('El campo Revenue no es un numero valido')
			$("#txtRevenue").focus();
	  		$("#txtRevenue").select();
	  		return false;
		}
		
		if(isInt(txtPaxFinal)&&$.isNumeric(txtRevenue)){
			if(validaSIRESERVAUPD()){	
				$.ajax({
					url : baseURL + "/actualizar-seguimiento",
					data : {
						idLeadSeguimiento:hIdLeadSeguimiento,
						idLead:hIdLead,	
						idCotizado:selIdCotizado,
						idCanal:selIdCanal,
						idReserva:selIdReserva,
						idMotivo:selIdMotivo,
						paxFinal:txtPaxFinal,
						revenue:txtRevenue,
						idServicioFinal:selIdServicioFinal,
						observacion:txtObservacion,
						fechaProxima:txtFechaProxima,
						hora:selHora
					},
					async:false,
					type : "get",
					success : function(response) {
						$("#hUpdIdLeadSeguimiento").val("0");
						$("#hUpdIdEjecutivoSeguimiento").val("0");
						$("#hUpdIdLeadSeguimiento").val("0");
							$("#selUpdIdCotizado").val("2");
							$("#selUpdIdCanal").val("1");
							$("#selUpdIdReserva").val("2");
						$("#selUpdIdMotivo").val("1");
						$("#txtUpdPaxFinal").val("");
						$("#txtUpdRevenue").val("");
						$("#selUpdIdServicioFinal").val("0");
						$("#txtUpdObservacion").val("");
						$("#txtUpdFechaProxima").val("");
						$("#selUpdHora").val("");
						$("#subViewDiv").html( response );
					}
				});
			}else{
					cancelBubble(event);
			}
		}else{
			cancelBubble(event);
		}
    });
	
	function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
	
	function isInt(x) {
		   var y = parseInt(x, 10);
		   return !isNaN(y) && x == y && x.toString() == y.toString();
		}
	
	$("#cmdMailGuardar").click(function (event) {
		var hMailIdLeads=$("#hMailIdLeads").val();
		var txtDescripcion=$("#txtMailDescripcion").val();
		txtDescripcion=normalize(txtDescripcion);
		
		var cant=$("#hMailIdLeadsCant").val();
		
		$.ajax({
			url : baseURL + "/guardar-mail-masivo",
			data : {
				mailIdLeads:hMailIdLeads,
				descripcion:txtDescripcion
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
		
    });
	
});


function fire_ajax_submit() {
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
	var formData = new FormData();
    formData.append('file', $('input[type=file]')[0].files[0]);
    console.log("form data " + formData);
    $.ajax({
        url : baseURL+'/theurl',
        data : formData,
        processData : false,
        contentType : false,
        type : 'POST',
        success : function(response) {
        	$("#subViewDiv").html( response );
        },
        error : function(err) {
            alert(err);
        }
    });
}


var normalize = (function() {
	  var from = "ÃÀÁÄÂÈÉËÊÌÍÏÎÒÓÖÔÙÚÜÛãàáäâèéëêìíïîòóöôùúüûÑñÇç", 
	      to   = "AAAAAEEEEIIIIOOOOUUUUaaaaaeeeeiiiioooouuuuNncc",
	      mapping = {};
	 
	  for(var i = 0, j = from.length; i < j; i++ )
	      mapping[ from.charAt( i ) ] = to.charAt( i );
	 
	  return function( str ) {
	      var ret = [];
	      for( var i = 0, j = str.length; i < j; i++ ) {
	          var c = str.charAt( i );
	          if( mapping.hasOwnProperty( str.charAt( i ) ) )
	              ret.push( mapping[ c ] );
	          else
	              ret.push( c );
	      }      
	      return ret.join( '' );
	  }
	 
	})();
