$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
    $("#frmUsuario").submit(function(e){
        e.preventDefault();
        
		var txtApellidosNombres = $("#txtApellidosNombres").val().trim().toUpperCase();
		var txtIdArea = $("#txtIdArea").val();
		
		if(validaArea(txtIdArea)){
			$.ajax({
				url : baseURL + "/insert-usuario",
				data : {
					apellidosNombres : txtApellidosNombres,
					idArea:txtIdArea
				},
				async:false,
				type : "get",
				success : function(exito) {
					window.location.replace(baseURL+"/registro-usuario");
				}
			});
		}else{
			e.stopPropagation();
		}
		
    });
    
    function validaArea(idArea){
    	if(isEmpty(idArea)||(idArea=="0")){
    		alert("Seleccione el Area del usuario");
    		return false;
    	}
    	return true;
    }
    
    function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
    
    $("#frmGuardarLoginPwdUsuario").submit(function(e){
        e.preventDefault();
        var hdIdUsuario = $("#hIdUsuario").val();
		var txtLoginUsuario = $("#txtLoginUsuario").val().trim();
		var txtPwdUsuario = $("#txtPwdUsuario").val().trim();
		var txtIdPerfil = $("#txtIdPerfil").val();
		
		if(txtIdPerfil!='0'){
			$.ajax({
				url : baseURL + "/update-loginpwd-usuario",
				data : {
					loginUsuario : txtLoginUsuario,
					pwdUsuario:txtPwdUsuario,
					idPerfil : txtIdPerfil,
					idUsuario : hdIdUsuario
				},
				async:false,
				type : "get",
				success : function(exito) {
					$("#txtLoginUsuario").val("");
					$("#txtPwdUsuario").val("");
					$("#txtIdPerfil").val("");
					window.location.replace(baseURL+"/registro-usuario");
				}
			});
		}else{
			alert('Seleccione el perfil del usuario');
			e.stopPropagation();
		}
		
    });	
	
    
});
