$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	$("#cmdBuscar").click(function (event) {
        
		var txtFechaProximaIni=$("#txtFechaProximaIni").val();
		var txtFechaProximaFin=$("#txtFechaProximaFin").val();
		
		var txtFechaCargaIni=$("#txtFechaCargaIni").val();
		var txtFechaCargaFin=$("#txtFechaCargaFin").val();
		
		var selIdArea=$("#selIdArea").val();
		
		var selIdEjecutivo=$("#selIdEjecutivo").val();
		var selIdEstado=$("#selIdEstado").val();
		
		if((!isEmpty(txtFechaProximaIni)) && isEmpty(txtFechaProximaFin)){
			txtFechaProximaFin=txtFechaProximaIni;
		}
		if((!isEmpty(txtFechaCargaIni)) && isEmpty(txtFechaCargaFin)){
			txtFechaCargaFin=txtFechaCargaIni;
		}
		
		$.ajax({
			url : baseURL + "/reporte-correos",
			data : {
				fechaProximaIni:txtFechaProximaIni,
				fechaProximaFin:txtFechaProximaFin,
				fechaCargaIni:txtFechaCargaIni,
				fechaCargaFin:txtFechaCargaFin,
				idArea:selIdArea,
				idEjecutivo:selIdEjecutivo,
				idEstado:selIdEstado
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
		
    });
	
	function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
	
});

