$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	$("#cmdBuscar").click(function (event) {
		var selIdArea=$("#selIdArea").val();
		var selIdEstado=$("#selIdEstado").val();
		var selIdSeguimiento=$("#selIdSeguimiento").val();
		var txtFechaAdsIni=$("#txtFechaAdsIni").val();
		var txtFechaAdsFin=$("#txtFechaAdsFin").val();
		
		if((!isEmpty(txtFechaAdsIni)) && isEmpty(txtFechaAdsFin)){
			txtFechaAdsFin=txtFechaAdsIni;
		}
		
		$.ajax({
			url : baseURL + "/buscar-eventos",
			data : {
				idArea:selIdArea,
				idEstado:selIdEstado,
				idSeguimiento:selIdSeguimiento,
				fechaAdsIni:txtFechaAdsIni,
				fechaAdsFin:txtFechaAdsFin
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html(response);
			}
		});
		
    });
	
	$("#cmdGuardarSeguimiento").click(function (event) {
		var selIdEjecutivoSingle=$("#hIdEjecutivoSeguimiento").val();
		var hIdEvento=$("#hIdEventoSeguimiento").val();
			var selIdCotizado=$("#selIdCotizado").val();
			var selIdCanal=$("#selIdCanal").val();
			var selIdReserva=$("#selIdReserva").val();
		var selIdMotivo=$("#selIdMotivo").val();
		var txtPaxFinal=$("#txtPaxFinal").val();
		var txtRevenue=$("#txtRevenue").val();
		var selIdServicioFinal=$("#selIdServicioFinal").val();
		var txtObservacion=$("#txtObservacion").val().toUpperCase();
		txtObservacion=normalize(txtObservacion);
		var txtFechaProxima=$("#txtFechaProxima").val();
		
		var selHora=$("#selHora").val();
		
		if(isEmpty(txtPaxFinal)){
			txtPaxFinal="0"
		}
		if(isEmpty(txtRevenue)){
			txtRevenue="0.0"
		}
			
		if(!isInt(txtPaxFinal)){
			alert('El campo Pax Final no es un numero valido')
		}
		
		if(!$.isNumeric(txtRevenue)){
			alert('El campo Revenue no es un numero valido')
		}
		
		if(isInt(txtPaxFinal)&&$.isNumeric(txtRevenue)){
			$.ajax({
				url : baseURL + "/guardar-seguimiento-eventos",
				data : {
					idEjecutivo:selIdEjecutivoSingle,
					idEvento:hIdEvento,	
					idCotizado:selIdCotizado,
					idCanal:selIdCanal,
					idReserva:selIdReserva,
					idMotivo:selIdMotivo,
					paxFinal:txtPaxFinal,
					revenue:txtRevenue,
					idServicioFinal:selIdServicioFinal,
					observacion:txtObservacion,
					fechaProxima:txtFechaProxima,
					hora:selHora
				},
				async:false,
				type : "get",
				success : function(response) {
					
					$("#hIdEjecutivoSeguimiento").val("0");
					$("#hIdEventoSeguimiento").val("0");
						$("#selIdCotizado").val("2");
						$("#selIdCanal").val("1");
						$("#selIdReserva").val("2");
					$("#selIdMotivo").val("1");
					$("#txtPaxFinal").val("");
					$("#txtRevenue").val("");
					$("#selIdServicioFinal").val("0");
					$("#txtObservacion").val("");
					$("#txtFechaProxima").val("");
					$("#selHora").val("");
					$("#subViewDiv").html( response );
				}
			});
		}
		
    });
	
	$("#cmdUpdGuardarSeguimiento").click(function (event) {
		var hIdLeadSeguimiento=$("#hUpdIdLeadSeguimiento").val();
		var hIdLead=$("#hUpdIdLead").val();
			var selIdCotizado=$("#selUpdIdCotizado").val();
			var selIdCanal=$("#selUpdIdCanal").val();
			var selIdReserva=$("#selUpdIdReserva").val();
		var selIdMotivo=$("#selUpdIdMotivo").val();
		var txtPaxFinal=$("#txtUpdPaxFinal").val();
		var txtRevenue=$("#txtUpdRevenue").val();
		var selIdServicioFinal=$("#selUpdIdServicioFinal").val();
		var txtObservacion=$("#txtUpdObservacion").val().toUpperCase();
		txtObservacion=normalize(txtObservacion);
		var txtFechaProxima=$("#txtUpdFechaProxima").val();
		
		var selHora=$("#selUpdHora").val();
		
		if(isEmpty(txtPaxFinal)){
			txtPaxFinal="0"
		}
		if(isEmpty(txtRevenue)){
			txtRevenue="0.0"
		}
			
		if(!isInt(txtPaxFinal)){
			alert('El campo Pax Final no es un numero valido')
		}
		
		if(!$.isNumeric(txtRevenue)){
			alert('El campo Revenue no es un numero valido')
		}
		
		if(isInt(txtPaxFinal)&&$.isNumeric(txtRevenue)){
			$.ajax({
				url : baseURL + "/actualizar-seguimiento-evento",
				data : {
					idLeadSeguimiento:hIdLeadSeguimiento,
					idLead:hIdLead,	
					idCotizado:selIdCotizado,
					idCanal:selIdCanal,
					idReserva:selIdReserva,
					idMotivo:selIdMotivo,
					paxFinal:txtPaxFinal,
					revenue:txtRevenue,
					idServicioFinal:selIdServicioFinal,
					observacion:txtObservacion,
					fechaProxima:txtFechaProxima,
					hora:selHora
				},
				async:false,
				type : "get",
				success : function(response) {
					$("#hUpdIdLeadSeguimiento").val("0");
					$("#hUpdIdEjecutivoSeguimiento").val("0");
					$("#hUpdIdLeadSeguimiento").val("0");
						$("#selUpdIdCotizado").val("2");
						$("#selUpdIdCanal").val("1");
						$("#selUpdIdReserva").val("2");
					$("#selUpdIdMotivo").val("1");
					$("#txtUpdPaxFinal").val("");
					$("#txtUpdRevenue").val("");
					$("#selUpdIdServicioFinal").val("0");
					$("#txtUpdObservacion").val("");
					$("#txtUpdFechaProxima").val("");
					$("#selUpdHora").val("");
					$("#subViewDiv").html( response );
				}
			});
		}
    });
	
	function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
	
	function isInt(x) {
		   var y = parseInt(x, 10);
		   return !isNaN(y) && x == y && x.toString() == y.toString();
	}
	
});

var normalize = (function() {
	  var from = "ÃÀÁÄÂÈÉËÊÌÍÏÎÒÓÖÔÙÚÜÛãàáäâèéëêìíïîòóöôùúüûÑñÇç", 
	      to   = "AAAAAEEEEIIIIOOOOUUUUaaaaaeeeeiiiioooouuuuNncc",
	      mapping = {};
	 
	  for(var i = 0, j = from.length; i < j; i++ )
	      mapping[ from.charAt( i ) ] = to.charAt( i );
	 
	  return function( str ) {
	      var ret = [];
	      for( var i = 0, j = str.length; i < j; i++ ) {
	          var c = str.charAt( i );
	          if( mapping.hasOwnProperty( str.charAt( i ) ) )
	              ret.push( mapping[ c ] );
	          else
	              ret.push( c );
	      }      
	      return ret.join( '' );
	  }
	 
	})();