package com.delfines.business;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import com.delfines.dao.ConnectionFactory;
import com.delfines.vo.Area;
import com.delfines.vo.Usuario;

public class AreaBo {
	
	public List<Area> listarArea(Usuario pUser){
		List<Area> lista = new ArrayList<Area>(); 
		
		PreparedStatement ps=null;
		ResultSet rs=null;
        try {
            
        	Connection conn = ConnectionFactory.getInstance().getConnection();
            
            StringBuilder query = new StringBuilder();
            query.append("SELECT a.id_area,a.denominacion FROM area a ");
            query.append("WHERE 1=1 ");
            query.append(sqlWherefromProfile(pUser.getPerfilId(), pUser.getAreaId()));
            
            ps = conn.prepareStatement(query.toString());
            rs = ps.executeQuery();
            
            while(rs.next()){
            	Area area=new Area();
            	area.setAreaId(rs.getInt("id_area"));
            	area.setDenominacion(rs.getString("denominacion"));
            	lista.add(area);
            }
            
        } catch (SQLException e) {
            throw new RuntimeException(e);
        } finally {
            if (ps != null) {try {ps.close();} catch (SQLException e) {e.printStackTrace();}}
            if (rs != null) {try {rs.close();} catch (SQLException e) {e.printStackTrace();}}
        }
        
        return lista;
	}

	public String sqlWherefromProfile(Integer idPerfil,Integer idArea){
		StringBuilder sqlWhere = new StringBuilder();
		
		if(idPerfil==1){
			sqlWhere.append(" AND a.id_area=").append(String.valueOf(idArea));
		}else if(idPerfil==9){
			sqlWhere.append(" AND 1=1 ");
		}
		
		return sqlWhere.toString();
	}
	
}
