package com.delfines.business;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import com.delfines.dao.ConnectionFactory;
import com.delfines.vo.Area;
import com.delfines.vo.Operador;
import com.delfines.vo.Usuario;

public class OperadorBo {
	
	public List<Operador> listarOperador(){
		List<Operador> lista = new ArrayList<Operador>(); 
		
		PreparedStatement ps=null;
		ResultSet rs=null;

		try {
            
			Connection conn = ConnectionFactory.getInstance().getConnection();
            
            StringBuilder query = new StringBuilder();
            query.append("select id_operador,denominacion FROM operador");
            
            ps = conn.prepareStatement(query.toString());
            rs = ps.executeQuery();
            
            while(rs.next()){
            	Operador operador=new Operador();
            	operador.setOperadorId(rs.getInt("id_operador"));
            	operador.setDenominacion(rs.getString("denominacion"));
            	lista.add(operador);
            }
            
        } catch (SQLException e) {
            throw new RuntimeException(e);
        } finally {
        	if (ps != null) {try {ps.close();} catch (SQLException e) {e.printStackTrace();}}
            if (rs != null) {try {rs.close();} catch (SQLException e) {e.printStackTrace();}}
        }
        
        return lista;
	}
	
	
}
