package com.delfines.vo;

public class Lead {
	private Integer idLead;
	private String adSetName;
	private String fechaAdSet;
	private Integer paxAdulto;
	private Integer paxNinyo;
	
	private String nombreCliente;
	private String emailCliente;
	private String telefonoCliente;
	
	private Double precioPaxAdulto;
	private Double precioPaxNinyo;
	
	private String area;
	private String subArea;
	private Integer idArea;
	private Integer idSubArea;
	//--
	private String ejecutivo;
	private Integer idEjecutivo;
	
	private Integer seguimiento;
	
	private Integer estadoLead;
	private String colorRegistroLead;
	
	private String fechaCarga;
	
	private Double totalReserva;
	
	private String fechaProxima;
	private String hora;
	
	//nuevos filtros 28/082018
	private String motivo;
	private String reserva;
	private Integer seqSeguimiento;
	private String cotizado;
	private String fechaContacto;
	private String canal;
	
	private Integer paxFinal;
	private Double revenue;
	
	private String wpTelefonoCliente;
	private String wpAdSetName;
	
	public String getWpAdSetName() {
		adSetName=adSetName.trim().toLowerCase();
		if(adSetName.length()>1){
			adSetName=adSetName.substring(0, 1).toUpperCase() + adSetName.substring(1,adSetName.length()).toLowerCase();
		}
		String wpAdSetName="Agradecemos su preferencia en nuestro servicio: "+adSetName+", nos confirma si le reservamos";
		return wpAdSetName;
	}

	public String getWpTelefonoCliente() {
		String wpTelefonoCliente=telefonoCliente.replace("+", "");
		return wpTelefonoCliente;
	}

	public Integer getPaxFinal() {
		return paxFinal;
	}

	public void setPaxFinal(Integer paxFinal) {
		this.paxFinal = paxFinal;
	}

	public Double getRevenue() {
		return revenue;
	}

	public void setRevenue(Double revenue) {
		this.revenue = revenue;
	}

	public String getCanal() {
		return canal;
	}

	public void setCanal(String canal) {
		this.canal = canal;
	}

	public String getFechaContacto() {
		return fechaContacto;
	}

	public void setFechaContacto(String fechaContacto) {
		this.fechaContacto = fechaContacto;
	}

	public String getCotizado() {
		return cotizado;
	}

	public void setCotizado(String cotizado) {
		this.cotizado = cotizado;
	}

	public Integer getSeqSeguimiento() {
		return seqSeguimiento;
	}

	public void setSeqSeguimiento(Integer seqSeguimiento) {
		this.seqSeguimiento = seqSeguimiento;
	}

	public String getMotivo() {
		return motivo;
	}

	public void setMotivo(String motivo) {
		this.motivo = motivo;
	}

	public String getReserva() {
		return reserva;
	}

	public void setReserva(String reserva) {
		this.reserva = reserva;
	}

	public String getHora() {
		return hora;
	}

	public void setHora(String hora) {
		this.hora = hora;
	}

	public String getFechaProxima() {
		return fechaProxima;
	}

	public void setFechaProxima(String fechaProxima) {
		this.fechaProxima = fechaProxima;
	}

	public Double getTotalReserva() {
		return totalReserva;
	}

	public void setTotalReserva(Double totalReserva) {
		this.totalReserva = totalReserva;
	}

	public String getFechaCarga() {
		return fechaCarga;
	}

	public void setFechaCarga(String fechaCarga) {
		this.fechaCarga = fechaCarga;
	}

	public String getColorRegistroLead() {
		if(estadoLead==1){
			colorRegistroLead="#98E6BB";//verde // proxima fecha de llamada
		}else if(estadoLead==2){
			colorRegistroLead="#CCCCCC";//plomo  // cerrado el cliente no quiere el servicio
		}else if(estadoLead==3){
			colorRegistroLead="#FEFF99";//amarillo // es cliente y tomo el servicio
		}else{
			colorRegistroLead="#FFFFFF";//blanco  // sin seguimiento
		}
		return colorRegistroLead;
	}
	
	public Integer getEstadoLead() {
		return estadoLead;
	}
	public void setEstadoLead(Integer estadoLead) {
		this.estadoLead = estadoLead;
	}
	public Integer getSeguimiento() {
		return seguimiento;
	}
	public void setSeguimiento(Integer seguimiento) {
		this.seguimiento = seguimiento;
	}
	public Integer getIdEjecutivo() {
		return idEjecutivo;
	}
	public void setIdEjecutivo(Integer idEjecutivo) {
		this.idEjecutivo = idEjecutivo;
	}
	public String getEjecutivo() {
		return ejecutivo;
	}
	public void setEjecutivo(String ejecutivo) {
		this.ejecutivo = ejecutivo;
	}
	
	public Integer getIdLead() {
		return idLead;
	}
	public void setIdLead(Integer idLead) {
		this.idLead = idLead;
	}
	public String getAdSetName() {
		return adSetName;
	}
	public void setAdSetName(String adSetName) {
		this.adSetName = adSetName;
	}
	public String getFechaAdSet() {
		return fechaAdSet;
	}
	public void setFechaAdSet(String fechaAdSet) {
		this.fechaAdSet = fechaAdSet;
	}
	public Integer getPaxAdulto() {
		return paxAdulto;
	}
	public void setPaxAdulto(Integer paxAdulto) {
		this.paxAdulto = paxAdulto;
	}
	public Integer getPaxNinyo() {
		return paxNinyo;
	}
	public void setPaxNinyo(Integer paxNinyo) {
		this.paxNinyo = paxNinyo;
	}

	public String getNombreCliente() {
		return nombreCliente;
	}
	public void setNombreCliente(String nombreCliente) {
		this.nombreCliente = nombreCliente;
	}
	public String getEmailCliente() {
		return emailCliente;
	}
	public void setEmailCliente(String emailCliente) {
		this.emailCliente = emailCliente;
	}
	public String getTelefonoCliente() {
		return telefonoCliente;
	}
	public void setTelefonoCliente(String telefonoCliente) {
		this.telefonoCliente = telefonoCliente;
	}
	public Double getPrecioPaxAdulto() {
		return precioPaxAdulto;
	}
	public void setPrecioPaxAdulto(Double precioPaxAdulto) {
		this.precioPaxAdulto = precioPaxAdulto;
	}
	public Double getPrecioPaxNinyo() {
		return precioPaxNinyo;
	}
	public void setPrecioPaxNinyo(Double precioPaxNinyo) {
		this.precioPaxNinyo = precioPaxNinyo;
	}

	public String getArea() {
		return area;
	}
	public void setArea(String area) {
		this.area = area;
	}
	public String getSubArea() {
		return subArea;
	}
	public void setSubArea(String subArea) {
		this.subArea = subArea;
	}
	public Integer getIdArea() {
		return idArea;
	}
	public void setIdArea(Integer idArea) {
		this.idArea = idArea;
	}
	public Integer getIdSubArea() {
		return idSubArea;
	}
	public void setIdSubArea(Integer idSubArea) {
		this.idSubArea = idSubArea;
	}
	
}
